#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cryptd_alloc_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_shash_desc, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_aead, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_aead, "_gpl", "");

SYMBOL_CRC(cryptd_alloc_skcipher, 0xb22860b9, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0x7e74c385, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0x0674f18a, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0xac93831e, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0x248cb9a1, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0x913a7614, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0xefc42ced, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0xe91068a3, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0x8ce580d0, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0x7cb21716, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0x6a10ba8a, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0x330d14b5, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0xbb1097d1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf95c8d72, "crypto_unregister_template" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0xa45e6857, "crypto_register_template" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0x38069f99, "crypto_grab_aead" },
	{ 0xea4129cf, "crypto_grab_shash" },
	{ 0x28b1f99f, "shash_no_setkey" },
	{ 0xa82458e, "ahash_register_instance" },
	{ 0x18e83b84, "crypto_grab_skcipher" },
	{ 0xc7d75119, "skcipher_register_instance" },
	{ 0x2e7f299e, "aead_register_instance" },
	{ 0x7ceeb5b3, "crypto_skcipher_decrypt" },
	{ 0x21ab4904, "crypto_skcipher_encrypt" },
	{ 0x62b0880b, "shash_ahash_digest" },
	{ 0x96f94ecf, "shash_ahash_finup" },
	{ 0x66e42761, "crypto_shash_final" },
	{ 0xeda0db60, "shash_ahash_update" },
	{ 0x6b23386f, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd1d1c4f9, "crypto_alloc_skcipher" },
	{ 0xb9d949ed, "crypto_destroy_tfm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe096ee35, "crypto_alloc_ahash" },
	{ 0xd3ac30c, "crypto_alloc_aead" },
	{ 0x84c248be, "crypto_skcipher_setkey" },
	{ 0x6f85a647, "crypto_spawn_tfm2" },
	{ 0x9724a97c, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0x6cbb8483, "crypto_shash_setkey" },
	{ 0xce05e247, "crypto_shash_import" },
	{ 0x5063cf56, "crypto_shash_export" },
	{ 0x17337949, "crypto_clone_shash" },
	{ 0xe791fff7, "crypto_aead_setauthsize" },
	{ 0x65c02da3, "crypto_aead_setkey" },
	{ 0xa28c7e70, "pcpu_hot" },
	{ 0x7946d503, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x66e4473b, "crypto_enqueue_request" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C6EC7CF175001F17908D20C");
