#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sata_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_link_next, "_gpl", "");
KSYMTAB_FUNC(ata_dev_next, "_gpl", "");
KSYMTAB_FUNC(atapi_cmd_type, "_gpl", "");
KSYMTAB_FUNC(ata_pack_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mask2mode, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2mask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2shift, "_gpl", "");
KSYMTAB_FUNC(ata_mode_string, "_gpl", "");
KSYMTAB_FUNC(ata_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_id_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_c_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_pio_need_iordy, "_gpl", "");
KSYMTAB_FUNC(ata_do_dev_read_id, "_gpl", "");
KSYMTAB_FUNC(ata_cable_40wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_unknown, "_gpl", "");
KSYMTAB_FUNC(ata_cable_ignore, "_gpl", "");
KSYMTAB_FUNC(ata_cable_sata, "_gpl", "");
KSYMTAB_FUNC(ata_dev_pair, "_gpl", "");
KSYMTAB_FUNC(ata_do_set_mode, "_gpl", "");
KSYMTAB_FUNC(ata_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_std_prereset, "_gpl", "");
KSYMTAB_FUNC(sata_std_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_std_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_dev_set_feature, "_gpl", "");
KSYMTAB_FUNC(ata_std_qc_defer, "_gpl", "");
KSYMTAB_FUNC(ata_noop_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete, "_gpl", "");
KSYMTAB_FUNC(ata_qc_get_active, "_gpl", "");
KSYMTAB_FUNC(ata_link_online, "_gpl", "");
KSYMTAB_FUNC(ata_link_offline, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_resume, "_gpl", "");
KSYMTAB_FUNC(ata_host_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_host_resume, "_gpl", "");
KSYMTAB_FUNC(ata_port_free, "_gpl", "");
KSYMTAB_FUNC(ata_host_put, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc_pinfo, "_gpl", "");
KSYMTAB_FUNC(ata_host_start, "_gpl", "");
KSYMTAB_FUNC(ata_host_init, "_gpl", "");
KSYMTAB_FUNC(ata_port_probe, "_gpl", "");
KSYMTAB_FUNC(ata_host_register, "_gpl", "");
KSYMTAB_FUNC(ata_host_activate, "_gpl", "");
KSYMTAB_FUNC(ata_host_detach, "_gpl", "");
KSYMTAB_FUNC(ata_pci_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_pci_shutdown_one, "_gpl", "");
KSYMTAB_FUNC(pci_test_config_bits, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_resume, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_resume, "_gpl", "");
KSYMTAB_FUNC(ata_platform_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_ratelimit, "_gpl", "");
KSYMTAB_FUNC(ata_msleep, "_gpl", "");
KSYMTAB_FUNC(ata_wait_register, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_info, "_gpl", "");
KSYMTAB_FUNC(ata_print_version, "", "");
KSYMTAB_DATA(__tracepoint_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(dev_attr_unload_heads, "_gpl", "");
KSYMTAB_DATA(ata_common_sdev_groups, "_gpl", "");
KSYMTAB_FUNC(ata_std_bios_param, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_unlock_native_capacity, "_gpl", "");
KSYMTAB_FUNC(ata_sas_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_dma_need_drain, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_device_configure, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_slave_destroy, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_queuecmd, "_gpl", "");
KSYMTAB_FUNC(__ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_clear_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_pbar_desc, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_cmd_error_handler, "", "");
KSYMTAB_FUNC(ata_scsi_port_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_port_wait_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_sched_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_end_eh, "", "");
KSYMTAB_FUNC(ata_port_schedule_eh, "_gpl", "");
KSYMTAB_FUNC(ata_link_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_eh_freeze_port, "_gpl", "");
KSYMTAB_FUNC(ata_dev_disable, "_gpl", "");
KSYMTAB_FUNC(ata_get_cmd_name, "_gpl", "");
KSYMTAB_FUNC(ata_std_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_port_classify, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_normal, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_hotplug, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_long, "_gpl", "");
KSYMTAB_FUNC(sata_scr_valid, "_gpl", "");
KSYMTAB_FUNC(sata_scr_read, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write_flush, "_gpl", "");
KSYMTAB_FUNC(ata_tf_to_fis, "_gpl", "");
KSYMTAB_FUNC(ata_tf_from_fis, "_gpl", "");
KSYMTAB_FUNC(sata_link_debounce, "_gpl", "");
KSYMTAB_FUNC(sata_link_resume, "_gpl", "");
KSYMTAB_FUNC(sata_link_scr_lpm, "_gpl", "");
KSYMTAB_FUNC(sata_set_spd, "_gpl", "");
KSYMTAB_FUNC(sata_link_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete_multiple, "_gpl", "");
KSYMTAB_FUNC(ata_slave_link_init, "_gpl", "");
KSYMTAB_FUNC(sata_lpm_ignore_phy_events, "_gpl", "");
KSYMTAB_DATA(dev_attr_link_power_management_policy, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_enabled, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(ata_ncq_sdev_groups, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message_type, "_gpl", "");
KSYMTAB_DATA(dev_attr_sw_activity, "_gpl", "");
KSYMTAB_FUNC(ata_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_sas_tport_add, "_gpl", "");
KSYMTAB_FUNC(ata_sas_tport_delete, "_gpl", "");
KSYMTAB_FUNC(ata_sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(ata_sas_queuecmd, "_gpl", "");
KSYMTAB_FUNC(sata_async_notification, "_gpl", "");
KSYMTAB_FUNC(ata_eh_read_sense_success_ncq_log, "_gpl", "");
KSYMTAB_FUNC(ata_eh_analyze_ncq_error, "_gpl", "");
KSYMTAB_DATA(ata_sff_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_sff_check_status, "_gpl", "");
KSYMTAB_FUNC(ata_sff_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dma_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_ready, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_select, "_gpl", "");
KSYMTAB_FUNC(ata_sff_irq_on, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_load, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_read, "_gpl", "");
KSYMTAB_FUNC(ata_sff_exec_command, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer32, "_gpl", "");
KSYMTAB_FUNC(ata_sff_hsm_move, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_delayed_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_pio_task, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_fill_rtf, "_gpl", "");
KSYMTAB_FUNC(ata_sff_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_sff_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_lost_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_sff_thaw, "_gpl", "");
KSYMTAB_FUNC(ata_sff_prereset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_softreset, "_gpl", "");
KSYMTAB_FUNC(sata_sff_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_drain_fifo, "_gpl", "");
KSYMTAB_FUNC(ata_sff_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_sff_std_ports, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_activate_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_one, "_gpl", "");
KSYMTAB_DATA(ata_bmdma_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_bmdma32_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_dumb_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_post_internal_cmd, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_irq_clear, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_stop, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start32, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_clear_simplex, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init_one, "_gpl", "");
KSYMTAB_DATA(sata_pmp_port_ops, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_qc_defer_cmd_switch, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_stm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_cbl_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_timing_merge, "_gpl", "");
KSYMTAB_FUNC(ata_timing_find_mode, "_gpl", "");
KSYMTAB_FUNC(ata_timing_compute, "_gpl", "");

SYMBOL_CRC(sata_port_ops, 0xc00b7c2a, "_gpl");
SYMBOL_CRC(ata_link_next, 0x57a2d2bc, "_gpl");
SYMBOL_CRC(ata_dev_next, 0x1176e60a, "_gpl");
SYMBOL_CRC(atapi_cmd_type, 0x8462cb62, "_gpl");
SYMBOL_CRC(ata_pack_xfermask, 0x3a15013b, "_gpl");
SYMBOL_CRC(ata_xfer_mask2mode, 0xc2368ea5, "_gpl");
SYMBOL_CRC(ata_xfer_mode2mask, 0xe77d5ef3, "_gpl");
SYMBOL_CRC(ata_xfer_mode2shift, 0x58db1176, "_gpl");
SYMBOL_CRC(ata_mode_string, 0x6a9e90af, "_gpl");
SYMBOL_CRC(ata_dev_classify, 0x5bcc0df7, "_gpl");
SYMBOL_CRC(ata_id_string, 0xccd86806, "_gpl");
SYMBOL_CRC(ata_id_c_string, 0xafddd545, "_gpl");
SYMBOL_CRC(ata_id_xfermask, 0x030cbca2, "_gpl");
SYMBOL_CRC(ata_pio_need_iordy, 0xb0b78676, "_gpl");
SYMBOL_CRC(ata_do_dev_read_id, 0x677d8507, "_gpl");
SYMBOL_CRC(ata_cable_40wire, 0x751fc196, "_gpl");
SYMBOL_CRC(ata_cable_80wire, 0x44a075ae, "_gpl");
SYMBOL_CRC(ata_cable_unknown, 0x0d329f24, "_gpl");
SYMBOL_CRC(ata_cable_ignore, 0x4b932d2f, "_gpl");
SYMBOL_CRC(ata_cable_sata, 0xf78c0924, "_gpl");
SYMBOL_CRC(ata_dev_pair, 0x754de589, "_gpl");
SYMBOL_CRC(ata_do_set_mode, 0x923db8d7, "_gpl");
SYMBOL_CRC(ata_wait_after_reset, 0xac9d15d4, "_gpl");
SYMBOL_CRC(ata_std_prereset, 0x3c7af6eb, "_gpl");
SYMBOL_CRC(sata_std_hardreset, 0x7e602c58, "_gpl");
SYMBOL_CRC(ata_std_postreset, 0x97066ee5, "_gpl");
SYMBOL_CRC(ata_dev_set_feature, 0x03207902, "_gpl");
SYMBOL_CRC(ata_std_qc_defer, 0x9af9460d, "_gpl");
SYMBOL_CRC(ata_noop_qc_prep, 0xf9ef4bac, "_gpl");
SYMBOL_CRC(ata_qc_complete, 0x28166304, "_gpl");
SYMBOL_CRC(ata_qc_get_active, 0x8ebfd229, "_gpl");
SYMBOL_CRC(ata_link_online, 0x201d0012, "_gpl");
SYMBOL_CRC(ata_link_offline, 0x1cf90cf6, "_gpl");
SYMBOL_CRC(ata_sas_port_suspend, 0x5777d44b, "_gpl");
SYMBOL_CRC(ata_sas_port_resume, 0x89402375, "_gpl");
SYMBOL_CRC(ata_host_suspend, 0x482e7c73, "_gpl");
SYMBOL_CRC(ata_host_resume, 0x3664a64f, "_gpl");
SYMBOL_CRC(ata_port_free, 0xb2e44c6e, "_gpl");
SYMBOL_CRC(ata_host_put, 0x789080c7, "_gpl");
SYMBOL_CRC(ata_host_alloc, 0x6d5807a1, "_gpl");
SYMBOL_CRC(ata_host_alloc_pinfo, 0x997ebaa1, "_gpl");
SYMBOL_CRC(ata_host_start, 0x9d5e3adf, "_gpl");
SYMBOL_CRC(ata_host_init, 0xdc07176f, "_gpl");
SYMBOL_CRC(ata_port_probe, 0xb95ac1f4, "_gpl");
SYMBOL_CRC(ata_host_register, 0x986a7309, "_gpl");
SYMBOL_CRC(ata_host_activate, 0xa54d4cbe, "_gpl");
SYMBOL_CRC(ata_host_detach, 0x0af691ac, "_gpl");
SYMBOL_CRC(ata_pci_remove_one, 0x0bb37572, "_gpl");
SYMBOL_CRC(ata_pci_shutdown_one, 0x21548a99, "_gpl");
SYMBOL_CRC(pci_test_config_bits, 0x2530f61d, "_gpl");
SYMBOL_CRC(ata_pci_device_do_suspend, 0x17c2e669, "_gpl");
SYMBOL_CRC(ata_pci_device_do_resume, 0x45af36bf, "_gpl");
SYMBOL_CRC(ata_pci_device_suspend, 0xc5d5f147, "_gpl");
SYMBOL_CRC(ata_pci_device_resume, 0x178f7a72, "_gpl");
SYMBOL_CRC(ata_platform_remove_one, 0xfaaccc5f, "_gpl");
SYMBOL_CRC(ata_ratelimit, 0xf8f3a0fb, "_gpl");
SYMBOL_CRC(ata_msleep, 0x5a4f2b1d, "_gpl");
SYMBOL_CRC(ata_wait_register, 0x36e5b345, "_gpl");
SYMBOL_CRC(ata_dummy_port_ops, 0x3e4d4f30, "_gpl");
SYMBOL_CRC(ata_dummy_port_info, 0x76cae31d, "_gpl");
SYMBOL_CRC(ata_print_version, 0xbe835c9a, "");
SYMBOL_CRC(__tracepoint_ata_tf_load, 0xab3bf7d7, "_gpl");
SYMBOL_CRC(__traceiter_ata_tf_load, 0x9437a50c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_tf_load, 0x82bba708, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_tf_load, 0xcf2b93c8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_exec_command, 0x73a6dd8d, "_gpl");
SYMBOL_CRC(__traceiter_ata_exec_command, 0x2208c5cc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_exec_command, 0x167dbecc, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_exec_command, 0x46047827, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_setup, 0xd1b6e18c, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_setup, 0x9f810dc7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_setup, 0xba0c66d4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_setup, 0x9a2851ef, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_start, 0x8ad22b92, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_start, 0xf7472300, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_start, 0xe168acca, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_start, 0xa1c3f8a8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_status, 0x42d8d47a, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_status, 0xd06af698, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_status, 0x2703b73b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_status, 0xc3e1021c, "_gpl");
SYMBOL_CRC(dev_attr_unload_heads, 0x89ab1ec3, "_gpl");
SYMBOL_CRC(ata_common_sdev_groups, 0x2db9e505, "_gpl");
SYMBOL_CRC(ata_std_bios_param, 0x82b85144, "_gpl");
SYMBOL_CRC(ata_scsi_unlock_native_capacity, 0x7859e467, "_gpl");
SYMBOL_CRC(ata_sas_scsi_ioctl, 0x4f91ac60, "_gpl");
SYMBOL_CRC(ata_scsi_ioctl, 0x069fcef6, "_gpl");
SYMBOL_CRC(ata_scsi_dma_need_drain, 0x0354ac3c, "_gpl");
SYMBOL_CRC(ata_scsi_slave_alloc, 0x8df5da71, "_gpl");
SYMBOL_CRC(ata_scsi_device_configure, 0x3e81dc42, "_gpl");
SYMBOL_CRC(ata_scsi_slave_destroy, 0x24917153, "_gpl");
SYMBOL_CRC(ata_scsi_queuecmd, 0x7f91505d, "_gpl");
SYMBOL_CRC(__ata_ehi_push_desc, 0xe39cec98, "_gpl");
SYMBOL_CRC(ata_ehi_push_desc, 0xe6390ffb, "_gpl");
SYMBOL_CRC(ata_ehi_clear_desc, 0x2f656972, "_gpl");
SYMBOL_CRC(ata_port_desc, 0xe6ea79ec, "_gpl");
SYMBOL_CRC(ata_port_pbar_desc, 0xa41e6a20, "_gpl");
SYMBOL_CRC(ata_scsi_cmd_error_handler, 0xdcf4db9a, "");
SYMBOL_CRC(ata_scsi_port_error_handler, 0xee3576f5, "_gpl");
SYMBOL_CRC(ata_port_wait_eh, 0x2a6d2343, "_gpl");
SYMBOL_CRC(ata_std_sched_eh, 0x8838498b, "_gpl");
SYMBOL_CRC(ata_std_end_eh, 0x740b9133, "");
SYMBOL_CRC(ata_port_schedule_eh, 0xa19a163c, "_gpl");
SYMBOL_CRC(ata_link_abort, 0x5fb5fe73, "_gpl");
SYMBOL_CRC(ata_port_abort, 0x1167b8f1, "_gpl");
SYMBOL_CRC(ata_port_freeze, 0x59feea83, "_gpl");
SYMBOL_CRC(ata_eh_freeze_port, 0x8f3467b1, "_gpl");
SYMBOL_CRC(ata_dev_disable, 0x1a08f9eb, "_gpl");
SYMBOL_CRC(ata_get_cmd_name, 0xbd06f3a9, "_gpl");
SYMBOL_CRC(ata_std_error_handler, 0xc5ae4809, "_gpl");
SYMBOL_CRC(ata_port_classify, 0xe5917ec9, "_gpl");
SYMBOL_CRC(sata_deb_timing_normal, 0x9371ea58, "_gpl");
SYMBOL_CRC(sata_deb_timing_hotplug, 0xbc79eb0b, "_gpl");
SYMBOL_CRC(sata_deb_timing_long, 0x06c98647, "_gpl");
SYMBOL_CRC(sata_scr_valid, 0x2e96160c, "_gpl");
SYMBOL_CRC(sata_scr_read, 0x739ccd32, "_gpl");
SYMBOL_CRC(sata_scr_write, 0x91d6513c, "_gpl");
SYMBOL_CRC(sata_scr_write_flush, 0x427ae050, "_gpl");
SYMBOL_CRC(ata_tf_to_fis, 0xdf0c757f, "_gpl");
SYMBOL_CRC(ata_tf_from_fis, 0xa4c085f8, "_gpl");
SYMBOL_CRC(sata_link_debounce, 0xea3d58ce, "_gpl");
SYMBOL_CRC(sata_link_resume, 0x0187e4f8, "_gpl");
SYMBOL_CRC(sata_link_scr_lpm, 0x4b1a53c0, "_gpl");
SYMBOL_CRC(sata_set_spd, 0xcd3734c7, "_gpl");
SYMBOL_CRC(sata_link_hardreset, 0x644d11d5, "_gpl");
SYMBOL_CRC(ata_qc_complete_multiple, 0x25e02d1d, "_gpl");
SYMBOL_CRC(ata_slave_link_init, 0x302d0a62, "_gpl");
SYMBOL_CRC(sata_lpm_ignore_phy_events, 0x8c677007, "_gpl");
SYMBOL_CRC(dev_attr_link_power_management_policy, 0x2435a174, "_gpl");
SYMBOL_CRC(ata_ncq_prio_supported, 0x6729693a, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_supported, 0x60413e4d, "_gpl");
SYMBOL_CRC(ata_ncq_prio_enabled, 0x1f449146, "_gpl");
SYMBOL_CRC(ata_ncq_prio_enable, 0x8f199947, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_enable, 0xecc879aa, "_gpl");
SYMBOL_CRC(ata_ncq_sdev_groups, 0xaf2b709b, "_gpl");
SYMBOL_CRC(dev_attr_em_message, 0xddae8fa3, "_gpl");
SYMBOL_CRC(dev_attr_em_message_type, 0x34ebbe79, "_gpl");
SYMBOL_CRC(dev_attr_sw_activity, 0x0a21b1d0, "_gpl");
SYMBOL_CRC(ata_change_queue_depth, 0x987f0980, "_gpl");
SYMBOL_CRC(ata_scsi_change_queue_depth, 0x36f233e4, "_gpl");
SYMBOL_CRC(ata_sas_port_alloc, 0x4eb73128, "_gpl");
SYMBOL_CRC(ata_sas_tport_add, 0xb4cf1a3f, "_gpl");
SYMBOL_CRC(ata_sas_tport_delete, 0x5c5c65f4, "_gpl");
SYMBOL_CRC(ata_sas_device_configure, 0xdbd01606, "_gpl");
SYMBOL_CRC(ata_sas_queuecmd, 0x08390ca4, "_gpl");
SYMBOL_CRC(sata_async_notification, 0x22a6f9c3, "_gpl");
SYMBOL_CRC(ata_eh_read_sense_success_ncq_log, 0x78009f7e, "_gpl");
SYMBOL_CRC(ata_eh_analyze_ncq_error, 0xf9c85672, "_gpl");
SYMBOL_CRC(ata_sff_port_ops, 0x8ff2286d, "_gpl");
SYMBOL_CRC(ata_sff_check_status, 0x1dd4085b, "_gpl");
SYMBOL_CRC(ata_sff_pause, 0x266d2947, "_gpl");
SYMBOL_CRC(ata_sff_dma_pause, 0xe2fef32a, "_gpl");
SYMBOL_CRC(ata_sff_wait_ready, 0x3d9e17e4, "_gpl");
SYMBOL_CRC(ata_sff_dev_select, 0x610a3f51, "_gpl");
SYMBOL_CRC(ata_sff_irq_on, 0xf87158bc, "_gpl");
SYMBOL_CRC(ata_sff_tf_load, 0x7b6c1613, "_gpl");
SYMBOL_CRC(ata_sff_tf_read, 0x50be9adb, "_gpl");
SYMBOL_CRC(ata_sff_exec_command, 0xe8a6c72b, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer, 0xff70ce9d, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer32, 0x1bb38e2e, "_gpl");
SYMBOL_CRC(ata_sff_hsm_move, 0xb3de240e, "_gpl");
SYMBOL_CRC(ata_sff_queue_work, 0xa6b06f65, "_gpl");
SYMBOL_CRC(ata_sff_queue_delayed_work, 0x4e17c613, "_gpl");
SYMBOL_CRC(ata_sff_queue_pio_task, 0x5a4ade85, "_gpl");
SYMBOL_CRC(ata_sff_qc_issue, 0xc92b1c88, "_gpl");
SYMBOL_CRC(ata_sff_qc_fill_rtf, 0x21bbe817, "_gpl");
SYMBOL_CRC(ata_sff_port_intr, 0x6ed2e36b, "_gpl");
SYMBOL_CRC(ata_sff_interrupt, 0x3a4f6a32, "_gpl");
SYMBOL_CRC(ata_sff_lost_interrupt, 0xa8908cf5, "_gpl");
SYMBOL_CRC(ata_sff_freeze, 0x69910c87, "_gpl");
SYMBOL_CRC(ata_sff_thaw, 0xa250f28d, "_gpl");
SYMBOL_CRC(ata_sff_prereset, 0xb7f2f0c0, "_gpl");
SYMBOL_CRC(ata_sff_dev_classify, 0x5d880b89, "_gpl");
SYMBOL_CRC(ata_sff_wait_after_reset, 0xb06782fe, "_gpl");
SYMBOL_CRC(ata_sff_softreset, 0xdffdc4bf, "_gpl");
SYMBOL_CRC(sata_sff_hardreset, 0xdcb27dcd, "_gpl");
SYMBOL_CRC(ata_sff_postreset, 0x20aef860, "_gpl");
SYMBOL_CRC(ata_sff_drain_fifo, 0x75135de3, "_gpl");
SYMBOL_CRC(ata_sff_error_handler, 0x3e89055b, "_gpl");
SYMBOL_CRC(ata_sff_std_ports, 0x73a48b4a, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_host, 0xbc0ce2dc, "_gpl");
SYMBOL_CRC(ata_pci_sff_prepare_host, 0x6741eb75, "_gpl");
SYMBOL_CRC(ata_pci_sff_activate_host, 0xd7a71585, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_one, 0x7a3d380e, "_gpl");
SYMBOL_CRC(ata_bmdma_port_ops, 0x4b9900f4, "_gpl");
SYMBOL_CRC(ata_bmdma32_port_ops, 0x3844a500, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_prep, 0xa0edd4a7, "_gpl");
SYMBOL_CRC(ata_bmdma_dumb_qc_prep, 0x8c200d6d, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_issue, 0xcb3aa53c, "_gpl");
SYMBOL_CRC(ata_bmdma_port_intr, 0x3ab7cb60, "_gpl");
SYMBOL_CRC(ata_bmdma_interrupt, 0xe818b32b, "_gpl");
SYMBOL_CRC(ata_bmdma_error_handler, 0x27827d85, "_gpl");
SYMBOL_CRC(ata_bmdma_post_internal_cmd, 0x72cfcfac, "_gpl");
SYMBOL_CRC(ata_bmdma_irq_clear, 0xdcdb8f43, "_gpl");
SYMBOL_CRC(ata_bmdma_setup, 0xdfc68058, "_gpl");
SYMBOL_CRC(ata_bmdma_start, 0x5578e5ad, "_gpl");
SYMBOL_CRC(ata_bmdma_stop, 0xba5dcdfb, "_gpl");
SYMBOL_CRC(ata_bmdma_status, 0xf9835018, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start, 0xf2846549, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start32, 0x7194f0e1, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_clear_simplex, 0x51a0da37, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init, 0x6ea28795, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_prepare_host, 0x73d7c82a, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init_one, 0xcfeea3c3, "_gpl");
SYMBOL_CRC(sata_pmp_port_ops, 0x230cfd4f, "_gpl");
SYMBOL_CRC(sata_pmp_qc_defer_cmd_switch, 0x840cc8a0, "_gpl");
SYMBOL_CRC(sata_pmp_error_handler, 0x264b6b84, "_gpl");
SYMBOL_CRC(ata_acpi_gtm, 0xaed8f2af, "_gpl");
SYMBOL_CRC(ata_acpi_stm, 0xfcd66ee1, "_gpl");
SYMBOL_CRC(ata_acpi_gtm_xfermask, 0x0d726d1d, "_gpl");
SYMBOL_CRC(ata_acpi_cbl_80wire, 0x98ef5c20, "_gpl");
SYMBOL_CRC(ata_timing_merge, 0xf6e874f5, "_gpl");
SYMBOL_CRC(ata_timing_find_mode, 0xd2b10a05, "_gpl");
SYMBOL_CRC(ata_timing_compute, 0xd583eee0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7273c182, "scsi_device_set_state" },
	{ 0x8a3951d6, "dev_driver_string" },
	{ 0x3ab7b1cc, "scsi_set_sense_field_pointer" },
	{ 0x7362d263, "trace_event_buffer_commit" },
	{ 0xf6bf39f0, "pci_read_config_dword" },
	{ 0x8345797b, "transport_setup_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xae89199b, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x848d372e, "iowrite8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xaf412951, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd7550d54, "put_device" },
	{ 0xfeee1964, "devm_free_irq" },
	{ 0xd02770ca, "pm_runtime_enable" },
	{ 0x5009c71d, "glob_match" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x758524ef, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x53a8c161, "scsi_eh_finish_cmd" },
	{ 0xc6cbbc89, "capable" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8559f1a8, "scsi_device_put" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0x3b0f055c, "pcim_iomap_regions" },
	{ 0x1968336d, "kobject_uevent_env" },
	{ 0x94a4d3a5, "sg_miter_next" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x87971f58, "perf_trace_run_bpf_submit" },
	{ 0xdf0e63a1, "_dev_err" },
	{ 0xe6b04110, "scsi_host_put" },
	{ 0x94476180, "transport_class_unregister" },
	{ 0x1c6e1891, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x24d273d1, "add_timer" },
	{ 0xa7d7c0aa, "sdev_enable_disk_events" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfc11175d, "attribute_container_register" },
	{ 0x64e21aa9, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc9bd3bb5, "__devres_alloc_node" },
	{ 0x8820649d, "sg_miter_stop" },
	{ 0x33a85d65, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x9caea91b, "device_link_remove" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x13f42152, "system_entering_hibernation" },
	{ 0x74f4ee6e, "transport_configure_device" },
	{ 0x920fcc1d, "blk_queue_update_dma_pad" },
	{ 0xdf7470be, "devres_open_group" },
	{ 0x9bd5d177, "scsi_resume_device" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xdeb4fe6d, "pcim_pin_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1974aa8, "transport_add_device" },
	{ 0x2fde8d5d, "sg_miter_start" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x93022ba6, "__scsi_format_command" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x94068e42, "pci_restore_state" },
	{ 0x54814847, "bpf_trace_run1" },
	{ 0xfa094ec, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb19b445, "ioread8" },
	{ 0xec144ba1, "scsi_rescan_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xe5dfb811, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x1f9b922d, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x3b931af6, "param_ops_string" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0x68ec1d01, "dma_set_coherent_mask" },
	{ 0x2900c467, "devm_kasprintf" },
	{ 0x48549775, "pv_ops" },
	{ 0x5328666c, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x7e9fbda, "pm_runtime_forbid" },
	{ 0x61b916b8, "trace_event_buffer_reserve" },
	{ 0x56aa9d93, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4979c7b9, "attribute_container_unregister" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9461a87, "scsi_execute_cmd" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9e534efa, "transport_destroy_device" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x905e4cb6, "acpi_initialize_hp_context" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8112b3d2, "scsi_build_sense_buffer" },
	{ 0x33b35674, "pci_disable_device" },
	{ 0x342bfdee, "scsi_done" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x1dc60a4, "dma_set_mask" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xadab7698, "dma_unmap_sg_attrs" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x9b5fb5ee, "pcim_iomap_table" },
	{ 0x7e8f55b3, "scsi_remove_device" },
	{ 0xff7428a5, "blk_abort_request" },
	{ 0x9a50ae1b, "scsi_add_host_with_dma" },
	{ 0x6b45f968, "set_primary_fwnode" },
	{ 0x86aaeae2, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x84a87ac2, "param_ops_int" },
	{ 0x903dd252, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xbbbee6ed, "dev_pm_qos_expose_flags" },
	{ 0x47ece35f, "pcim_enable_device" },
	{ 0x68d773a4, "scsi_host_alloc" },
	{ 0x349cba85, "strchr" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x418e2caa, "__scsi_add_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6119030e, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x2f061dae, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1db87a7b, "acpi_pm_set_device_wakeup" },
	{ 0x8ae65f81, "pci_bus_type" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0xf5fd5791, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6c0f6bc2, "transport_class_register" },
	{ 0x4a6bfaab, "pci_save_state" },
	{ 0x7a81541b, "async_synchronize_cookie" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x7c61dadf, "acpi_pm_device_sleep_state" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x96054378, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf8e83aa, "devres_release_group" },
	{ 0xb4a21fb6, "devm_request_threaded_irq" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0xa0b66e2f, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x7e407386, "dev_set_name" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xae2f7cef, "devres_remove_group" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x48fb8844, "dmam_alloc_attrs" },
	{ 0x9d2b2dcf, "trace_raw_output_prep" },
	{ 0xa020ee2a, "scsi_remove_host" },
	{ 0x948fe3e8, "transport_remove_device" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x248a33dd, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc6f10be7, "scsi_build_sense" },
	{ 0xd272f086, "scsi_schedule_eh" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xd4bad11a, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3815f35, "ledtrig_disk_activity" },
	{ 0xf7370f56, "system_state" },
	{ 0x4ea27f8, "scsi_check_sense" },
	{ 0x758b59b3, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xa84177b, "sdev_evt_send_simple" },
	{ 0xd1f033ac, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x10d9f885, "scsi_sense_desc_find" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xa28c7e70, "pcpu_hot" },
	{ 0x818416e1, "scsi_set_sense_information" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5793bb12, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd0d691c, "pci_set_power_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xfc7b37c0, "sdev_disable_disk_events" },
	{ 0x9cf06002, "devres_add" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,scsi_common");


MODULE_INFO(srcversion, "BE89452EC19DAF025ACE773");
