#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gpuvm_range_valid, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_object_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_vm, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_objects, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_array, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_validate, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_add_fence, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain_prealloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_extobj_add, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_evict, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");

SYMBOL_CRC(drm_gpuvm_range_valid, 0xf93d91db, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_object_alloc, 0x4626bad0, "_gpl");
SYMBOL_CRC(drm_gpuvm_init, 0xef1a0575, "_gpl");
SYMBOL_CRC(drm_gpuvm_put, 0x21f5736e, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_vm, 0xd5e275e7, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_objects, 0x360a72f4, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_range, 0x202c6a92, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock, 0xee137ebc, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_array, 0xe89cac82, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_range, 0xdd3a7a44, "_gpl");
SYMBOL_CRC(drm_gpuvm_validate, 0x44900d18, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_add_fence, 0x22d8f996, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_create, 0x2c0ae14d, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_put, 0xc910073b, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_find, 0x92b3f513, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain, 0x45a09192, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain_prealloc, 0xc6e37e85, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_extobj_add, 0x72ca5530, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_evict, 0x81b22561, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0x6b6897cc, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0x638b706b, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0xab0994d6, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0x637615c5, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0x8e3b5eb3, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0xd7b7b910, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0x009d1e6c, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0x3b810b7e, "_gpl");
SYMBOL_CRC(drm_gpuvm_interval_empty, 0xed9b2c08, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0xce213448, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0xa9534a3b, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0x6c03e406, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map, 0x0120f2af, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap, 0x4633e78c, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map_ops_create, 0xf13ff158, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap_ops_create, 0x76d3d2f8, "_gpl");
SYMBOL_CRC(drm_gpuvm_prefetch_ops_create, 0x048b8d1e, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_unmap_ops_create, 0x0c45f09b, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0x4620ec7b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68cb3e0e, "drm_gem_object_release" },
	{ 0x37a0cba, "kfree" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xe72dbc75, "drm_exec_prepare_array" },
	{ 0x73824eed, "dma_resv_add_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0x22a55bcc, "drm_gem_private_object_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8a3951d6, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa80cd2f5, "drm_exec_prepare_obj" },
	{ 0x611fcf15, "drm_exec_lock_obj" },
	{ 0x8d6b15e3, "drm_exec_init" },
	{ 0x7d5e7b52, "drm_exec_cleanup" },
	{ 0xc993993b, "drm_exec_fini" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "drm_exec");


MODULE_INFO(srcversion, "AE6034294DD56076A1A429C");
