#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa6257a2f, "complete" },
	{ 0x25389e6c, "input_mt_report_pointer_emulation" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe28f338a, "_dev_info" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x5a921311, "strncmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x66ef873b, "input_allocate_device" },
	{ 0x1f2cf2b9, "input_set_capability" },
	{ 0x1b65cf8c, "input_set_abs_params" },
	{ 0x89753742, "input_alloc_absinfo" },
	{ 0x850bbc01, "input_mt_init_slots" },
	{ 0xe895c370, "input_free_device" },
	{ 0xc9a1c906, "input_register_device" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xe98d5778, "request_firmware_nowait" },
	{ 0x72f03bd8, "request_firmware" },
	{ 0x1bb2c31d, "device_property_present" },
	{ 0x96054378, "is_acpi_device_node" },
	{ 0xc6304f1e, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x2044dae2, "device_property_read_u32_array" },
	{ 0xd5e2c818, "devm_regulator_bulk_get" },
	{ 0xad9b3432, "devm_gpiod_get_optional" },
	{ 0xb4a21fb6, "devm_request_threaded_irq" },
	{ 0xb5b9cd53, "regulator_bulk_enable" },
	{ 0x78172403, "sysfs_create_group" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1aa2f0ee, "i2c_register_driver" },
	{ 0x3e4ba70f, "i2c_transfer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdf0e63a1, "_dev_err" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbd1a29f0, "i2c_del_driver" },
	{ 0x4dd8f0af, "gpiod_set_value" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2f74ee42, "__dynamic_dev_dbg" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x702c2cdf, "i2c_transfer_buffer_flags" },
	{ 0x37a0cba, "kfree" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x803fc089, "irq_get_irq_data" },
	{ 0xe5dfb811, "_dev_warn" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x79ec0bc7, "input_device_enabled" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xbd6dfcf9, "sysfs_remove_group" },
	{ 0xcdcd310e, "input_unregister_device" },
	{ 0xdf6d1daa, "regulator_bulk_disable" },
	{ 0xd1118718, "input_event" },
	{ 0x6c6ebb2, "input_mt_report_slot_state" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("i2c:qt602240_ts");
MODULE_ALIAS("i2c:atmel_mxt_ts");
MODULE_ALIAS("i2c:atmel_mxt_tp");
MODULE_ALIAS("i2c:maxtouch");
MODULE_ALIAS("i2c:mXT224");
MODULE_ALIAS("acpi*:ATML0000:*");
MODULE_ALIAS("acpi*:ATML0001:*");
MODULE_ALIAS("of:N*T*Catmel,maxtouch");
MODULE_ALIAS("of:N*T*Catmel,maxtouchC*");
MODULE_ALIAS("of:N*T*Catmel,qt602240_ts");
MODULE_ALIAS("of:N*T*Catmel,qt602240_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_ts");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tp");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tpC*");
MODULE_ALIAS("of:N*T*Catmel,mXT224");
MODULE_ALIAS("of:N*T*Catmel,mXT224C*");

MODULE_INFO(srcversion, "E3B2B211E4D359D8DD18827");
