#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx88_tuner_callback, "", "");
KSYMTAB_FUNC(cx88_setup_xc3028, "_gpl", "");
KSYMTAB_FUNC(cx88_risc_buffer, "", "");
KSYMTAB_FUNC(cx88_risc_databuffer, "", "");
KSYMTAB_DATA(cx88_sram_channels, "", "");
KSYMTAB_FUNC(cx88_sram_channel_setup, "", "");
KSYMTAB_FUNC(cx88_sram_channel_dump, "", "");
KSYMTAB_FUNC(cx88_print_irqbits, "", "");
KSYMTAB_FUNC(cx88_core_irq, "", "");
KSYMTAB_FUNC(cx88_wakeup, "", "");
KSYMTAB_FUNC(cx88_shutdown, "", "");
KSYMTAB_FUNC(cx88_reset, "", "");
KSYMTAB_FUNC(cx88_set_scale, "", "");
KSYMTAB_FUNC(cx88_set_tvnorm, "", "");
KSYMTAB_FUNC(cx88_vdev_init, "", "");
KSYMTAB_FUNC(cx88_core_get, "", "");
KSYMTAB_FUNC(cx88_core_put, "", "");
KSYMTAB_FUNC(cx88_set_tvaudio, "", "");
KSYMTAB_FUNC(cx88_newstation, "", "");
KSYMTAB_FUNC(cx88_get_stereo, "", "");
KSYMTAB_FUNC(cx88_set_stereo, "", "");
KSYMTAB_FUNC(cx88_audio_thread, "", "");
KSYMTAB_FUNC(cx88_dsp_detect_stereo_sap, "", "");
KSYMTAB_FUNC(cx88_ir_start, "", "");
KSYMTAB_FUNC(cx88_ir_stop, "", "");

SYMBOL_CRC(cx88_tuner_callback, 0x6141c8c5, "");
SYMBOL_CRC(cx88_setup_xc3028, 0xd3ca3b13, "_gpl");
SYMBOL_CRC(cx88_risc_buffer, 0xd825cbb6, "");
SYMBOL_CRC(cx88_risc_databuffer, 0xe873a14b, "");
SYMBOL_CRC(cx88_sram_channels, 0x8d88137a, "");
SYMBOL_CRC(cx88_sram_channel_setup, 0xf8b066c1, "");
SYMBOL_CRC(cx88_sram_channel_dump, 0x869669e9, "");
SYMBOL_CRC(cx88_print_irqbits, 0x5edb7ae5, "");
SYMBOL_CRC(cx88_core_irq, 0x8d82c451, "");
SYMBOL_CRC(cx88_wakeup, 0xeb230f97, "");
SYMBOL_CRC(cx88_shutdown, 0xbf27af9c, "");
SYMBOL_CRC(cx88_reset, 0x50c37a09, "");
SYMBOL_CRC(cx88_set_scale, 0xaecdd450, "");
SYMBOL_CRC(cx88_set_tvnorm, 0x19122498, "");
SYMBOL_CRC(cx88_vdev_init, 0x45249c4f, "");
SYMBOL_CRC(cx88_core_get, 0xf8e7d612, "");
SYMBOL_CRC(cx88_core_put, 0xe383649b, "");
SYMBOL_CRC(cx88_set_tvaudio, 0xd3904748, "");
SYMBOL_CRC(cx88_newstation, 0x51ed9f41, "");
SYMBOL_CRC(cx88_get_stereo, 0x09f65b0b, "");
SYMBOL_CRC(cx88_set_stereo, 0xfa24736f, "");
SYMBOL_CRC(cx88_audio_thread, 0x904b8696, "");
SYMBOL_CRC(cx88_dsp_detect_stereo_sap, 0x93cc3ad1, "");
SYMBOL_CRC(cx88_ir_start, 0x548cd6c1, "");
SYMBOL_CRC(cx88_ir_stop, 0x118b97d9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x702c2cdf, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0x849614b1, "i2c_smbus_xfer" },
	{ 0x758524ef, "const_pcpu_hot" },
	{ 0xb4d9daeb, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc5bdca9a, "rc_keyup" },
	{ 0x1308f1cc, "__v4l2_ctrl_grab" },
	{ 0x49777761, "i2c_unregister_device" },
	{ 0x15fbc1d, "tveeprom_read" },
	{ 0xf13578bd, "rc_keydown_notimeout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4d1557cb, "rc_register_device" },
	{ 0xe8294507, "dma_alloc_attrs" },
	{ 0xbdf55686, "rc_keydown" },
	{ 0xdbaa3618, "vb2_buffer_done" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x45a57375, "i2c_new_client_device" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd6299dad, "freezing_slow_path" },
	{ 0xd00eb108, "rc_free_device" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa62b0bd2, "v4l2_device_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdc19a418, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbba08a1e, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0x4b7b3632, "v4l2_ctrl_handler_free" },
	{ 0x3e4ba70f, "i2c_transfer" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xc4ef3be1, "v4l2_device_unregister" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0x99726cbb, "v4l2_i2c_new_subdev" },
	{ 0x86aaeae2, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x84a87ac2, "param_ops_int" },
	{ 0x9c7e81c8, "ir_raw_event_store_with_filter" },
	{ 0x318c7c5b, "i2c_smbus_read_byte_data" },
	{ 0x2edb8bc5, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x98f13806, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf3251e7b, "v4l2_norm_to_name" },
	{ 0x40480656, "ir_raw_event_handle" },
	{ 0x6b23386f, "param_ops_uint" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x989417f2, "i2c_bit_add_bus" },
	{ 0x63f9f073, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x47431a63, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "rc-core,videodev,tveeprom,videobuf2-common,i2c-algo-bit");


MODULE_INFO(srcversion, "589AC743322CBC1653CD124");
