#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x45aa07ff, "pci_iomap" },
	{ 0x8ce564f8, "dev_addr_mod" },
	{ 0x7e65780, "register_netdev" },
	{ 0x92997ed8, "_printk" },
	{ 0xe28f338a, "_dev_info" },
	{ 0xe5dfb811, "_dev_warn" },
	{ 0x4c65a38a, "pci_unregister_driver" },
	{ 0x49265046, "netif_carrier_on" },
	{ 0x93340053, "netif_carrier_off" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x45524a19, "dma_map_page_attrs" },
	{ 0x1943e917, "__netdev_alloc_skb" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8a3951d6, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf9cadc2d, "__dynamic_netdev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4fd7f276, "dev_kfree_skb_irq_reason" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa5872d2c, "skb_put" },
	{ 0x456ec0e5, "eth_type_trans" },
	{ 0xd7de8ec2, "netif_rx" },
	{ 0x7ae4c88, "netif_tx_wake_queue" },
	{ 0x7ab5ae65, "__dma_sync_single_for_cpu" },
	{ 0x75b47694, "__dma_sync_single_for_device" },
	{ 0x848d372e, "iowrite8" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd25d029d, "netif_device_attach" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb7d8235f, "netif_device_detach" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe8294507, "dma_alloc_attrs" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xdd4d7d3a, "dma_free_attrs" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa28c7e70, "pcpu_hot" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4e3d7a49, "eth_mac_addr" },
	{ 0x19a62e09, "eth_validate_addr" },
	{ 0x47431a63, "param_array_ops" },
	{ 0x84a87ac2, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe36252d0, "__pci_register_driver" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8e99fb76, "dma_unmap_page_attrs" },
	{ 0xfafc0eea, "consume_skb" },
	{ 0x74b1ed8f, "unregister_netdev" },
	{ 0x96cd814e, "pci_iounmap" },
	{ 0x9fdbebef, "free_netdev" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x5d600c43, "mii_ethtool_set_link_ksettings" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x770a64f6, "mii_ethtool_get_link_ksettings" },
	{ 0xa5bcc233, "mii_link_ok" },
	{ 0xd7c23394, "mii_nway_restart" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x47ece35f, "pcim_enable_device" },
	{ 0x1f9b922d, "pci_set_master" },
	{ 0x1dc60a4, "dma_set_mask" },
	{ 0xaff09c98, "alloc_etherdev_mqs" },
	{ 0x7b524d2e, "pci_request_regions" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "mii");

MODULE_ALIAS("pci:v00001050d00000840sv*sd00008153bc*sc*i*");
MODULE_ALIAS("pci:v00001050d00000840sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011F6d00002011sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "55FFE30159CEEEAA04BB20E");
