#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x9a527af8, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0xdcdc15a3, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0x2868c684, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x995eca07, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0xe1aa7f52, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2307d118, "pci_device_is_present" },
	{ 0xd346c408, "debugfs_remove" },
	{ 0x64e21aa9, "pci_read_config_word" },
	{ 0x90b8ffd3, "pcie_flr" },
	{ 0xe821bda3, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4cc53741, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x7c03b485, "dcbnl_ieee_notify" },
	{ 0xe32496ed, "xsk_uses_need_wakeup" },
	{ 0x7e65780, "register_netdev" },
	{ 0xad6bce4a, "dev_mc_del" },
	{ 0x33a85d65, "trace_event_reg" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0x9fdbebef, "free_netdev" },
	{ 0x3bfd2909, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x742e3d79, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8a57cb13, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x2cb680bc, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9768ce4e, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x5fededdf, "netif_tx_stop_all_queues" },
	{ 0x94068e42, "pci_restore_state" },
	{ 0x54814847, "bpf_trace_run1" },
	{ 0x7ae4c88, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xfa094ec, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xc0668627, "dcb_getapp" },
	{ 0x21cf842, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xe5dfb811, "_dev_warn" },
	{ 0xad1b7674, "flow_rule_match_ports" },
	{ 0xb2387ea0, "gnss_allocate_device" },
	{ 0xc1c8e5ed, "dpll_netdev_pin_set" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x521ed22a, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xc113c80, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x1f9b922d, "pci_set_master" },
	{ 0x8ab3bc4f, "dpll_device_unregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe219b492, "flow_rule_match_ipv6_addrs" },
	{ 0x81ca1f3e, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x77bc2ba5, "devl_params_unregister" },
	{ 0x30eaaf19, "ptp_clock_unregister" },
	{ 0x7b976341, "__pskb_pull_tail" },
	{ 0x5681d261, "xp_dma_unmap" },
	{ 0x817072a5, "dpll_pin_put" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xa7aaab18, "switchdev_handle_port_obj_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0xba8c9300, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf9cadc2d, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x68ec1d01, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2900c467, "devm_kasprintf" },
	{ 0x745a981, "xa_erase" },
	{ 0x8375866e, "flow_rule_match_pppoe" },
	{ 0x48549775, "pv_ops" },
	{ 0xecb8af00, "flow_rule_match_enc_control" },
	{ 0x5328666c, "bpf_trace_run3" },
	{ 0x5dbb00b8, "seq_read" },
	{ 0x12d86327, "__page_frag_cache_drain" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x721df68, "_dev_notice" },
	{ 0xfbd3ba5e, "gnss_deregister_device" },
	{ 0xff5b2d51, "debugfs_create_file" },
	{ 0x67e99c33, "rps_may_expire_flow" },
	{ 0xd950f901, "metadata_dst_free" },
	{ 0x9adc7d67, "xsk_set_tx_need_wakeup" },
	{ 0x35132cb8, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd7fc234c, "netdev_reset_tc" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x61b916b8, "trace_event_buffer_reserve" },
	{ 0x253430d1, "kthread_destroy_worker" },
	{ 0x2d0e5eb3, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x8fe0c97a, "flow_rule_match_enc_ports" },
	{ 0x30537831, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x73ced2af, "dpll_netdev_pin_clear" },
	{ 0x94b119be, "netif_queue_set_napi" },
	{ 0x75b47694, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xa826bf19, "call_netdevice_notifiers" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xe3ed553, "devl_assert_locked" },
	{ 0x9c6a4e6c, "pcie_print_link_status" },
	{ 0xe789f310, "xp_set_rxq_info" },
	{ 0x3eb6e3a0, "flow_rule_match_vlan" },
	{ 0x7a453ed5, "devl_port_unregister" },
	{ 0xdb6ae94d, "xdp_rxq_info_unreg" },
	{ 0xd44caace, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x4bd32643, "napi_build_skb" },
	{ 0x30a5ce15, "netdev_master_upper_dev_get_rcu" },
	{ 0x268258d7, "__xdp_rxq_info_reg" },
	{ 0x6466067f, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x93340053, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8b683cab, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xdf6b912c, "dpll_pin_register" },
	{ 0x9cf6f2f6, "gnss_register_device" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf824fc90, "devlink_priv" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0xfe71e1f5, "__hw_addr_sync_dev" },
	{ 0xaad8d5ae, "devlink_port_register_with_ops" },
	{ 0x9de8e9d2, "pci_disable_sriov" },
	{ 0x58cf8484, "pldmfw_flash_image" },
	{ 0xf03ea410, "kthread_queue_delayed_work" },
	{ 0x8c0de383, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb814633a, "dst_release" },
	{ 0x49265046, "netif_carrier_on" },
	{ 0x82fda941, "netdev_set_num_tc" },
	{ 0x72ec7cca, "dpll_device_register" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x1c9c56e2, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5b14feb1, "dev_uc_add_excl" },
	{ 0x33b35674, "pci_disable_device" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x9171b27b, "xp_free" },
	{ 0x9373abc1, "dev_mc_add_excl" },
	{ 0xc6effb8, "gnss_put_device" },
	{ 0x1a648ef5, "single_release" },
	{ 0x1dc60a4, "dma_set_mask" },
	{ 0x4bc47c6e, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x650124d5, "netif_set_tso_max_size" },
	{ 0xed98e4c6, "__skb_flow_dissect" },
	{ 0x1b5c6e8c, "vlan_dev_vlan_id" },
	{ 0x43cc4855, "pci_msix_alloc_irq_at" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0xdf691764, "skb_add_rx_frag_netmem" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x9b5fb5ee, "pcim_iomap_table" },
	{ 0xff562134, "xdp_master_redirect" },
	{ 0xbeb938f4, "__devm_add_action" },
	{ 0xd9dae5d5, "dpll_pin_on_pin_register" },
	{ 0x177affaa, "napi_schedule_prep" },
	{ 0x179460b4, "napi_consume_skb" },
	{ 0x86aaeae2, "pci_read_config_byte" },
	{ 0xa24f58f4, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0x66d2fe16, "napi_disable" },
	{ 0x1ec7160c, "dev_kfree_skb_any_reason" },
	{ 0xf31ed0df, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x84a87ac2, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x2229a894, "single_open" },
	{ 0x47ece35f, "pcim_enable_device" },
	{ 0x9f8c50e7, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0x49e60dec, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe86d3ebc, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xedc761e8, "flow_rule_match_control" },
	{ 0x68500b9e, "flow_rule_match_ip" },
	{ 0xc882593e, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe0e05699, "dpll_device_get" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xfc3b72a3, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xcc9baa30, "ethtool_op_get_ts_info" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x2a7b9b83, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x305801de, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf70cd2e8, "__tracepoint_xdp_exception" },
	{ 0x517f3c20, "xsk_tx_completed" },
	{ 0x8e22b7d3, "napi_alloc_skb" },
	{ 0xaff09c98, "alloc_etherdev_mqs" },
	{ 0xc862f1b1, "netdev_lower_get_next" },
	{ 0xbf81a5f4, "flow_block_cb_lookup" },
	{ 0x4a6bfaab, "pci_save_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x87ee02d, "devl_rate_leaf_create" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xdccfa62f, "device_set_wakeup_enable" },
	{ 0x83ee930a, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x374231fc, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xcdd0c71c, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1b556bd3, "pci_find_ext_capability" },
	{ 0x2b3459b4, "kthread_create_worker" },
	{ 0xe76a3127, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd92e38c7, "devl_region_create" },
	{ 0x4e5e183a, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xbe42da74, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0xb4a21fb6, "devm_request_threaded_irq" },
	{ 0xe6080e80, "kthread_cancel_delayed_work_sync" },
	{ 0xff857eed, "dpll_device_change_ntf" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc6304f1e, "devm_kmalloc" },
	{ 0xbdb597f9, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xe48942fe, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x15d521eb, "call_switchdev_notifiers" },
	{ 0x403cc9d7, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x60b2613d, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xcf309ef, "ethtool_forced_speed_maps_init" },
	{ 0x54a9cdb5, "auxiliary_device_init" },
	{ 0x19b22487, "pci_enable_device_mem" },
	{ 0xfafc0eea, "consume_skb" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0x9e9b66b4, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0x1a7b2ee, "pci_alloc_irq_vectors" },
	{ 0xa74fb13f, "flow_rule_match_l2tpv3" },
	{ 0xa5265b9c, "netif_napi_add_weight" },
	{ 0xbcb14295, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8964d220, "xsk_tx_peek_release_desc_batch" },
	{ 0x6a764ed7, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x48fb8844, "dmam_alloc_attrs" },
	{ 0x9d2b2dcf, "trace_raw_output_prep" },
	{ 0x968ca9b9, "devl_lock" },
	{ 0x7d2fdad7, "pci_dev_put" },
	{ 0xe34900de, "xp_fill_cb" },
	{ 0x5cb41236, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xd35f6de0, "ndo_dflt_bridge_getlink" },
	{ 0x74b1ed8f, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4f00dc7b, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xfd6ec686, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x681d691c, "xdp_features_set_redirect_target" },
	{ 0x248a33dd, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa2b6507c, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x8e99fb76, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x72f03bd8, "request_firmware" },
	{ 0xd4bad11a, "trace_event_printf" },
	{ 0x78d5f29f, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xa00656d9, "flow_rule_match_cvlan" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xe36252d0, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xe885ca0a, "gnss_insert_raw" },
	{ 0x4f631398, "pci_num_vf" },
	{ 0x3bc1883e, "flow_rule_match_eth_addrs" },
	{ 0xae730404, "get_device_system_crosststamp" },
	{ 0x751263e7, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xf7fd63f8, "ptp_clock_index" },
	{ 0xd1f033ac, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x76b090fd, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xe1a3b2a8, "devlink_alloc_ns" },
	{ 0x7e406d74, "devl_rate_leaf_destroy" },
	{ 0xa28c7e70, "pcpu_hot" },
	{ 0xe91dbae4, "xdp_do_redirect" },
	{ 0x2619288b, "devlink_free" },
	{ 0x19a62e09, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5793bb12, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x343e4ac4, "devl_rate_node_create" },
	{ 0xb3520e79, "netdev_warn" },
	{ 0x9adf072d, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd0d691c, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb9fcd7bd, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x50546109, "pci_irq_vector" },
	{ 0x4d8c0c8, "flow_rule_match_ipv4_addrs" },
	{ 0x1e4c3b3f, "__netif_napi_del" },
	{ 0x8037741b, "dpll_pin_on_pin_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x2f74ee42, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4c7573b7, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x4c65a38a, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xec6f5c41, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f646664, "pskb_expand_head" },
	{ 0xda5fd6b2, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x5548f08d, "devlink_flash_update_status_notify" },
	{ 0x8a3951d6, "dev_driver_string" },
	{ 0x1cffb80d, "pci_restore_msi_state" },
	{ 0x7362d263, "trace_event_buffer_commit" },
	{ 0xd98bf1bb, "xdp_return_buff" },
	{ 0x8ce564f8, "dev_addr_mod" },
	{ 0xd1aa9ed9, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x82b5909d, "convert_art_ns_to_tsc" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x456ec0e5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdc9f4777, "auxiliary_driver_unregister" },
	{ 0x45524a19, "dma_map_page_attrs" },
	{ 0x471729bc, "napi_complete_done" },
	{ 0x4427b27e, "switchdev_handle_port_obj_del" },
	{ 0xfa1e5050, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x127ccab2, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8fe6ae31, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xef9919a2, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd7550d54, "put_device" },
	{ 0xfeee1964, "devm_free_irq" },
	{ 0x7f52071a, "net_dim" },
	{ 0x8f6d2e31, "__napi_schedule" },
	{ 0x1d4c1ab, "ipv6_skip_exthdr" },
	{ 0xaabc6a40, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x4b22eab5, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8d7125e7, "__free_pages" },
	{ 0x2a67fed8, "__hw_addr_unsync_dev" },
	{ 0xe28f338a, "_dev_info" },
	{ 0xbf884267, "napi_gro_receive" },
	{ 0x7e3a4336, "xdp_features_clear_redirect_target" },
	{ 0x40af8b0b, "netdev_pick_tx" },
	{ 0xb959478d, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x318d6dad, "xp_raw_get_dma" },
	{ 0x62aebee4, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x533915dc, "pci_iov_virtfn_devfn" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xc4fb30bd, "xdp_rxq_info_is_reg" },
	{ 0x43645dd1, "flow_rule_match_enc_opts" },
	{ 0xaf2527fe, "flow_block_cb_setup_simple" },
	{ 0xa044515b, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf697dcf7, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x512d217d, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x3b0f055c, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x509e5aa0, "vlan_dev_real_dev" },
	{ 0x8ebdf821, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x7ab5ae65, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd4f9e5ef, "devm_kmemdup" },
	{ 0x98c006c2, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x87971f58, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x25da10a, "devlink_port_unregister" },
	{ 0x59d8d05c, "devlink_flash_update_timeout_notify" },
	{ 0x24c35bc0, "devm_kfree" },
	{ 0xdf0e63a1, "_dev_err" },
	{ 0x315f65c2, "init_net" },
	{ 0x3eff780b, "softnet_data" },
	{ 0x1375e9fb, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x31c8d84c, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xdbfc78d, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xaf468fa3, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xaa003d2c, "netif_set_real_num_tx_queues" },
	{ 0xda315e22, "__auxiliary_device_add" },
	{ 0x1744f27f, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x97b9933d, "netif_set_real_num_rx_queues" },
	{ 0x8ed705d3, "flow_indr_block_cb_alloc" },
	{ 0xf4032d5c, "devl_port_register_with_ops" },
	{ 0x88314006, "pci_wait_for_pending_transaction" },
	{ 0xd6a238ed, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "gnss,libie,dimlib");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DEsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "7D011F98263702FFEB50F82");
