#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b976341, "__pskb_pull_tail" },
	{ 0x1943e917, "__netdev_alloc_skb" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x68ec1d01, "dma_set_coherent_mask" },
	{ 0xfc0db89d, "in_dev_finish_destroy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd4d7d3a, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xd130a9dc, "pci_enable_wake" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5b7020de, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x30a5ce15, "netdev_master_upper_dev_get_rcu" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x93340053, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x49265046, "netif_carrier_on" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x2b66991b, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x33b35674, "pci_disable_device" },
	{ 0x1dc60a4, "dma_set_mask" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x177affaa, "napi_schedule_prep" },
	{ 0x66d2fe16, "napi_disable" },
	{ 0x1ec7160c, "dev_kfree_skb_any_reason" },
	{ 0x84a87ac2, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9412dd51, "pci_write_config_dword" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0x2a7b9b83, "netdev_info" },
	{ 0x6a18fc7d, "device_remove_bin_file" },
	{ 0x582a7211, "device_remove_file" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xaff09c98, "alloc_etherdev_mqs" },
	{ 0x4a6bfaab, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1b556bd3, "pci_find_ext_capability" },
	{ 0x43515bbb, "pci_enable_device" },
	{ 0xa5872d2c, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa5265b9c, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x74b1ed8f, "unregister_netdev" },
	{ 0x8e99fb76, "dma_unmap_page_attrs" },
	{ 0x72f03bd8, "request_firmware" },
	{ 0xe36252d0, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x4ac0b9f, "pci_disable_msi" },
	{ 0x7b524d2e, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa28c7e70, "pcpu_hot" },
	{ 0x19a62e09, "eth_validate_addr" },
	{ 0xd0d691c, "pci_set_power_state" },
	{ 0x1e4c3b3f, "__netif_napi_del" },
	{ 0x281ed576, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x4c65a38a, "pci_unregister_driver" },
	{ 0xec6f5c41, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb08d595c, "device_create_bin_file" },
	{ 0x8a3951d6, "dev_driver_string" },
	{ 0x8ce564f8, "dev_addr_mod" },
	{ 0x456ec0e5, "eth_type_trans" },
	{ 0xf6bf39f0, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x45524a19, "dma_map_page_attrs" },
	{ 0x471729bc, "napi_complete_done" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8f6d2e31, "__napi_schedule" },
	{ 0x9a15110b, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xb7d8235f, "netif_device_detach" },
	{ 0xe28f338a, "_dev_info" },
	{ 0xbf884267, "napi_gro_receive" },
	{ 0xd25d029d, "netif_device_attach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7fd9ef36, "device_create_file" },
	{ 0xef57e8af, "pci_find_capability" },
	{ 0x509e5aa0, "vlan_dev_real_dev" },
	{ 0xed063d76, "pci_enable_msi" },
	{ 0xdf0e63a1, "_dev_err" },
	{ 0x3e11b7df, "device_wakeup_enable" },
	{ 0x315f65c2, "init_net" },
	{ 0x29c5175d, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe8294507, "dma_alloc_attrs" },
	{ 0xe821bda3, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x2241274c, "netif_receive_skb" },
	{ 0x7e65780, "register_netdev" },
	{ 0x9fdbebef, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8a57cb13, "ethtool_op_get_link" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8518a4a6, "_raw_spin_trylock_bh" },
	{ 0x94068e42, "pci_restore_state" },
	{ 0x7ae4c88, "netif_tx_wake_queue" },
	{ 0xe5dfb811, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x1f9b922d, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00004040d00000001sv*sd*bc02sc00i00*");
MODULE_ALIAS("pci:v00004040d00000002sv*sd*bc02sc00i00*");
MODULE_ALIAS("pci:v00004040d00000003sv*sd*bc02sc00i00*");
MODULE_ALIAS("pci:v00004040d00000004sv*sd*bc02sc00i00*");
MODULE_ALIAS("pci:v00004040d00000005sv*sd*bc02sc00i00*");
MODULE_ALIAS("pci:v00004040d00000024sv*sd*bc02sc00i00*");
MODULE_ALIAS("pci:v00004040d00000025sv*sd*bc02sc00i00*");
MODULE_ALIAS("pci:v00004040d00000100sv*sd*bc02sc00i00*");

MODULE_INFO(srcversion, "59240A1B689B00A4BA8DE5D");
