#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0xcf16aa30, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0xf1e4400d, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x62cd02ba, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0xc19b007, "netdev_rx_handler_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2418b8fe, "skb_ensure_writable_head_tail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x49a22428, "gro_cells_init" },
	{ 0x8ce564f8, "dev_addr_mod" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4a9f8b7f, "skb_copy" },
	{ 0xfafc0eea, "consume_skb" },
	{ 0x4d07fe92, "skb_push" },
	{ 0xa5872d2c, "skb_put" },
	{ 0x62dd3ebf, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xa735174a, "skb_to_sgvec" },
	{ 0xc4bf9939, "crypto_aead_encrypt" },
	{ 0x7675335e, "skb_copy_expand" },
	{ 0xb814633a, "dst_release" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x336a782d, "skb_clone" },
	{ 0x98d59c47, "__netif_rx" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb0f8a3b5, "crypto_aead_decrypt" },
	{ 0x7b976341, "__pskb_pull_tail" },
	{ 0x70ae224b, "netdev_rx_handler_unregister" },
	{ 0x5f616965, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x93340053, "netif_carrier_off" },
	{ 0x994c98f0, "dev_mc_unsync" },
	{ 0x6f200097, "dev_uc_unsync" },
	{ 0x78d5f29f, "dev_uc_del" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xcffd9500, "dev_uc_add" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x49265046, "netif_carrier_on" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa02a7a97, "genlmsg_put" },
	{ 0x4b078a66, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x4bdcf43a, "rtnl_link_register" },
	{ 0x5dd6fbf2, "genl_register_family" },
	{ 0xdb3a4730, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9d949ed, "crypto_destroy_tfm" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd3ac30c, "crypto_alloc_aead" },
	{ 0x65c02da3, "crypto_aead_setkey" },
	{ 0xe791fff7, "crypto_aead_setauthsize" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0xd5a43273, "nla_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0x29c5175d, "skb_pull" },
	{ 0xdf2883ae, "___pskb_trim" },
	{ 0xf32ec785, "ether_setup" },
	{ 0xd950f901, "metadata_dst_free" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x1cfaef3d, "dev_mc_sync" },
	{ 0xc287de1f, "dev_uc_sync" },
	{ 0xa4fa84c0, "dev_set_allmulti" },
	{ 0x78f88e23, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x9f2c83d8, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xa28c7e70, "pcpu_hot" },
	{ 0x35132cb8, "__dev_queue_xmit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x456ec0e5, "eth_type_trans" },
	{ 0x1eb5c237, "gro_cells_receive" },
	{ 0xf0c63ff6, "kfree_skb_reason" },
	{ 0xec89804f, "__dev_get_by_index" },
	{ 0xa5c9faa5, "register_netdevice" },
	{ 0x1895b011, "netdev_upper_dev_link" },
	{ 0x73b8d893, "netdev_upper_dev_unlink" },
	{ 0x598cb98e, "unregister_netdevice_queue" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8c0de383, "metadata_dst_alloc" },
	{ 0x1c51f0d3, "netif_stacked_transfer_operstate" },
	{ 0x37c5b342, "linkwatch_fire_event" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "981086FA488E38EE0F6C8FC");
