#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x93e4657b, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x5812cdc2, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xe82d9252, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x9fa80110, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a57cb13, "ethtool_op_get_link" },
	{ 0x9c4666ba, "nexthop_find_by_id" },
	{ 0x822cebc3, "arp_create" },
	{ 0x13db201c, "__ethtool_get_link_ksettings" },
	{ 0x45dcddea, "netdev_adjacent_change_prepare" },
	{ 0xf894582b, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x2d6302d9, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2151da76, "netdev_adjacent_change_abort" },
	{ 0x82183fb2, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x2c5be70, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x4cff37ca, "__iptunnel_pull_header" },
	{ 0x7b976341, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xd7de8ec2, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xe7184c82, "setup_udp_tunnel_sock" },
	{ 0x1442e9c6, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4b078a66, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf9cadc2d, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb6a7dc2c, "skb_scrub_packet" },
	{ 0x3c69eafb, "nexthop_select_path" },
	{ 0x48549775, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd950f901, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc0b1f461, "neigh_destroy" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1f51de4f, "param_ops_bool" },
	{ 0xbbbda35a, "udp_tun_rx_dst" },
	{ 0x2080c379, "rtnl_notify" },
	{ 0x96d5e77b, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x98d59c47, "__netif_rx" },
	{ 0x336a782d, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8c0de383, "metadata_dst_alloc" },
	{ 0xb814633a, "dst_release" },
	{ 0x5242d3a4, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xca0bdfb7, "udp_tunnel_notify_del_rx_port" },
	{ 0x8c46b0d0, "register_nexthop_notifier" },
	{ 0xdf8b64ea, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x5af4d6c8, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x992a357f, "netdev_core_stats_inc" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0x2a7b9b83, "netdev_info" },
	{ 0x40790535, "neigh_lookup" },
	{ 0x679c5033, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa5c9faa5, "register_netdevice" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xb32da3e4, "__skb_checksum_complete" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xbe42da74, "skb_copy_bits" },
	{ 0x47de0583, "__nlmsg_put" },
	{ 0x68585be9, "netdev_adjacent_change_commit" },
	{ 0x4e3d7a49, "eth_mac_addr" },
	{ 0xa5872d2c, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0x15d521eb, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x187be34c, "ip6_dst_hoplimit" },
	{ 0x3eaed40d, "param_ops_ushort" },
	{ 0xfafc0eea, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0xab03153f, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7a12d69f, "udp_tunnel6_xmit_skb" },
	{ 0x4bdcf43a, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xf8e8d3f4, "__unregister_nexthop_notifier" },
	{ 0x4e2ee5b7, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0xa28c7e70, "pcpu_hot" },
	{ 0x19a62e09, "eth_validate_addr" },
	{ 0x49a22428, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb4dd1638, "rtnl_create_link" },
	{ 0x598cb98e, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa1323e1c, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf32ec785, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1e2b7731, "udp_tunnel_drop_rx_port" },
	{ 0x1895b011, "netdev_upper_dev_link" },
	{ 0x7f646664, "pskb_expand_head" },
	{ 0xec25a607, "register_pernet_subsys" },
	{ 0x8ce564f8, "dev_addr_mod" },
	{ 0x456ec0e5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb8f7350a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x31dc7724, "__alloc_skb" },
	{ 0x30b45c91, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x5aaadd17, "eth_gro_complete" },
	{ 0x7522e504, "rtnl_set_sk_err" },
	{ 0xe1a4d6d3, "eth_gro_receive" },
	{ 0xe996c98d, "rtnl_configure_link" },
	{ 0x3b83e12c, "skb_tunnel_check_pmtu" },
	{ 0x29939409, "udp_tunnel_dst_lookup" },
	{ 0x1c62e7ab, "rtnl_unicast" },
	{ 0x8d4e42ee, "peernet2id" },
	{ 0xa7317747, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xec89804f, "__dev_get_by_index" },
	{ 0xdb3a4730, "rtnl_link_unregister" },
	{ 0x25014ae7, "__skb_get_hash" },
	{ 0x99c06bd2, "ipv6_stub" },
	{ 0x29c5175d, "skb_pull" },
	{ 0xc7a49072, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9cadfac9, "dev_get_by_index_rcu" },
	{ 0xf0c63ff6, "kfree_skb_reason" },
	{ 0x1eb5c237, "gro_cells_receive" },
	{ 0x4d07fe92, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x73b8d893, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0x9fdbebef, "free_netdev" },
	{ 0xef19e0a9, "ip_mc_join_group" },
	{ 0xad09e8a2, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x40638db2, "lock_sock_nested" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "22D5A6E39F29B1F437404C4");
