#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x9d865170, "seq_lseek" },
	{ 0xd0d691c, "pci_set_power_state" },
	{ 0x2f74ee42, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x98efccc0, "pmt_telem_read32" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf74d3a84, "pmt_telem_unregister_endpoint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfc03d97a, "page_is_ram" },
	{ 0xad137d3, "lpit_read_residency_count_address" },
	{ 0xe28f338a, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0xfd7dc722, "debugfs_attr_read" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x7483dc59, "pci_dev_present" },
	{ 0x24c35bc0, "devm_kfree" },
	{ 0xdf0e63a1, "_dev_err" },
	{ 0xa9d93f38, "debugfs_create_bool" },
	{ 0xd0a32f44, "intel_vsec_register" },
	{ 0xeef6ee81, "simple_attr_release" },
	{ 0x96a4b348, "pci_get_domain_bus_and_slot" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd346c408, "debugfs_remove" },
	{ 0x1a68968e, "seq_putc" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xe5dfb811, "_dev_warn" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x39b12223, "__acpi_handle_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9e6c010c, "__platform_driver_register" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x48549775, "pv_ops" },
	{ 0x5dbb00b8, "seq_read" },
	{ 0x44aaf30f, "tsc_khz" },
	{ 0xff5b2d51, "debugfs_create_file" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1f51de4f, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xd3505e77, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8b683cab, "seq_printf" },
	{ 0x33b35674, "pci_disable_device" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x1a648ef5, "single_release" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x2229a894, "single_open" },
	{ 0x47ece35f, "pcim_enable_device" },
	{ 0x49e60dec, "debugfs_create_dir" },
	{ 0xd92b0a67, "pmt_telem_read" },
	{ 0x1f628044, "fwnode_property_read_u8_array" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0x524db37c, "pmt_telem_find_and_register_endpoint" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x96054378, "is_acpi_device_node" },
	{ 0x43e4208a, "simple_attr_open" },
	{ 0x66283031, "x86_match_cpu" },
	{ 0x5312c5f9, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc6304f1e, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7d0e6363, "platform_driver_unregister" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x7d2fdad7, "pci_dev_put" },
	{ 0x6d211d05, "pm_report_hw_sleep_time" },
	{ 0xa2b6507c, "pci_get_device" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xabc6e9e4, "pm_report_max_hw_sleep" },
	{ 0xedc03953, "iounmap" },
	{ 0x69acdf38, "memcpy" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "pmt_telemetry,intel_vsec");

MODULE_ALIAS("acpi*:INT33A1:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod004E:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod005E:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod008E:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod009E:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod0066:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod007E:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod009D:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod00A5:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod00A6:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod008C:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod008D:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod0096:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod009C:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod00A7:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod009A:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod00BE:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod0097:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod00BA:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod00B7:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod00BF:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod00AA:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod00C6:feature:*");
MODULE_ALIAS("cpu:type:x86,ven0000fam0006mod00BD:feature:*");

MODULE_INFO(srcversion, "7E2E12AAAE148DC9FD91F75");
