#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6a86bc1, "iowrite16" },
	{ 0x719d62fb, "ieee80211_register_hw" },
	{ 0xaa4c7da4, "ieee80211_emulate_change_chanctx" },
	{ 0x4fd7f276, "dev_kfree_skb_irq_reason" },
	{ 0x5f933f00, "ieee80211_get_hdrlen_from_skb" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f74ee42, "__dynamic_dev_dbg" },
	{ 0x4c65a38a, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8a3951d6, "dev_driver_string" },
	{ 0x45524a19, "dma_map_page_attrs" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xdd043ad8, "ieee80211_handle_wake_tx_queue" },
	{ 0x848d372e, "iowrite8" },
	{ 0xcfb11907, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe28f338a, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xa79e1627, "device_wakeup_disable" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xdf0e63a1, "_dev_err" },
	{ 0x29c5175d, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe8294507, "dma_alloc_attrs" },
	{ 0x8c68cc62, "ieee80211_wake_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0xb3627312, "ieee80211_free_txskb" },
	{ 0x697a7e37, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb19b445, "ioread8" },
	{ 0x71ff6725, "ieee80211_emulate_add_chanctx" },
	{ 0x1f9b922d, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x38985c54, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x1943e917, "__netdev_alloc_skb" },
	{ 0x401e1673, "ieee80211_stop_queues" },
	{ 0x4b078a66, "skb_trim" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x721df68, "_dev_notice" },
	{ 0xdd4d7d3a, "dma_free_attrs" },
	{ 0x5b7020de, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb574c2e, "ieee80211_unregister_hw" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec81c096, "ieee80211_beacon_get_tim" },
	{ 0x1dc60a4, "dma_set_mask" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0x95698283, "ieee80211_emulate_remove_chanctx" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0xf4d6591a, "ieee80211_rx_irqsafe" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe48bd52c, "ieee80211_queue_stopped" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x43515bbb, "pci_enable_device" },
	{ 0xa5872d2c, "skb_put" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xfafc0eea, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xeec926be, "ieee80211_free_hw" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x8e99fb76, "dma_unmap_page_attrs" },
	{ 0xb430da36, "ieee80211_get_tkip_p2k" },
	{ 0xe36252d0, "__pci_register_driver" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x7b524d2e, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");

MODULE_ALIAS("pci:v00001106d00003253sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "4EAE112BFF2D0E6B46242E6");
