#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x51ab4127, "fs_param_is_s32" },
	{ 0x3fe53089, "wrap_directory_iterator" },
	{ 0xfd0ce8b4, "iter_file_splice_write" },
	{ 0xfb983cce, "register_filesystem" },
	{ 0x226703c5, "kmem_cache_create" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0x590d3440, "simple_inode_init_ts" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x74c01efb, "fs_param_is_u32" },
	{ 0x52629954, "inode_newsize_ok" },
	{ 0x9c161d5b, "d_drop" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x4d783f8, "kill_block_super" },
	{ 0x20eab8bb, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x94f864e4, "block_invalidate_folio" },
	{ 0x9f06b9be, "__breadahead" },
	{ 0x5c49a3d0, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xea93d7c4, "load_nls" },
	{ 0x32329226, "make_kuid" },
	{ 0xc298af3a, "sync_blockdev" },
	{ 0xd769872b, "generic_file_mmap" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x758524ef, "const_pcpu_hot" },
	{ 0x968f87b7, "invalidate_inode_buffers" },
	{ 0x6fdc9040, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x755254d8, "mnt_drop_write_file" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xcca23df6, "inode_init_once" },
	{ 0x94bf03ca, "utf8_to_utf32" },
	{ 0xd58098e3, "__fsnotify_parent" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xcbc83f85, "balance_dirty_pages_ratelimited" },
	{ 0x505efd23, "__brelse" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x219e3265, "generic_file_read_iter" },
	{ 0xed2fcab1, "inode_maybe_inc_iversion" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x3977d232, "truncate_pagecache" },
	{ 0xc7075e2d, "sync_dirty_buffer" },
	{ 0xd317788b, "setattr_copy" },
	{ 0xf0b2deb8, "__wait_on_buffer" },
	{ 0xd71a9af8, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x29e6591b, "kmem_cache_alloc_lru_noprof" },
	{ 0xc517ebb7, "kmem_cache_free" },
	{ 0xfac97ca1, "d_move" },
	{ 0xcbec6750, "__sync_dirty_buffer" },
	{ 0xe35eef7f, "__bh_read" },
	{ 0xba53f874, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x39b190dd, "write_inode_now" },
	{ 0x57adc60, "d_rehash" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x963f39a0, "__bread_gfp" },
	{ 0x7252ff8a, "block_dirty_folio" },
	{ 0xc38bb0b1, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xf21f01a, "__insert_inode_hash" },
	{ 0x6981e3b4, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe391ab9f, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xda820b6f, "make_kgid" },
	{ 0xc3f83894, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x7922f4f6, "truncate_setsize" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x15c9aab1, "igrab" },
	{ 0x4d9421d0, "generic_read_dir" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdb6282ff, "mpage_readahead" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0x3096be16, "names_cachep" },
	{ 0xcc519aa9, "init_user_ns" },
	{ 0x3dfde2cc, "simple_rename_timestamp" },
	{ 0xaff64098, "d_find_alias" },
	{ 0x4e730ba6, "inode_set_ctime_current" },
	{ 0x9e6e3c0d, "inc_nlink" },
	{ 0xd3505e77, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2846bac1, "get_tree_bdev" },
	{ 0x8b683cab, "seq_printf" },
	{ 0xd6669471, "dput" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xcbd7031d, "iov_iter_zero" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xa27250e3, "blkdev_issue_flush" },
	{ 0xfa723292, "block_write_begin" },
	{ 0xeb935098, "__fs_parse" },
	{ 0x5d7b61bf, "filemap_splice_read" },
	{ 0x468fe4ea, "folio_set_bh" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0x4c01395a, "from_kuid_munged" },
	{ 0xedc7b567, "__generic_file_fsync" },
	{ 0x13ce47c9, "__generic_file_write_iter" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x2ebfa899, "generic_write_checks" },
	{ 0xec636656, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1884cdfe, "__mark_inode_dirty" },
	{ 0x1747f2e8, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2b07a901, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0x7a3123ea, "sb_min_blocksize" },
	{ 0x97adb487, "utf8s_to_utf16s" },
	{ 0x93034127, "drop_nlink" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0xb465848, "kmem_cache_destroy" },
	{ 0x8059c37e, "blkdev_issue_discard" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x69ed5a22, "truncate_inode_pages" },
	{ 0x72b06c63, "bh_uptodate_or_lock" },
	{ 0xc3eabda2, "generic_fillattr" },
	{ 0xd0009089, "setattr_prepare" },
	{ 0x21120694, "vfs_fsync_range" },
	{ 0x12071e7e, "clear_nlink" },
	{ 0x5b06b399, "sync_blockdev_range" },
	{ 0x6359430a, "generic_block_bmap" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xe140af89, "d_instantiate" },
	{ 0x4af98d2f, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x950cc3aa, "fs_param_is_string" },
	{ 0xca0e60c5, "new_inode" },
	{ 0x9d6729be, "unregister_filesystem" },
	{ 0xf213d5ab, "mark_buffer_dirty" },
	{ 0xfe7f053, "security_inode_setattr" },
	{ 0xdd898505, "__find_get_block" },
	{ 0xc6b35898, "inode_needs_sync" },
	{ 0xb4371df4, "inode_query_iversion" },
	{ 0x4fc88424, "__blockdev_direct_IO" },
	{ 0xc2056497, "d_make_root" },
	{ 0xe7afbb7b, "__bforget" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x5483ffce, "sb_set_blocksize" },
	{ 0x275e4b4f, "block_truncate_page" },
	{ 0x2507009a, "write_dirty_buffer" },
	{ 0x84b3a040, "sync_filesystem" },
	{ 0x55257c9, "fsnotify" },
	{ 0xd690ba7e, "d_splice_alias" },
	{ 0x171f749f, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x38879e8b, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xb2bc8fcc, "iput" },
	{ 0xaaf2ce3f, "fs_param_is_enum" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "80E4284E2F2154088AEE0F9");
