#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xec3e3f37, "vfs_fallocate" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xea6183bd, "mnt_want_write" },
	{ 0xa916b694, "strnlen" },
	{ 0xe73bb491, "backing_file_mmap" },
	{ 0x758524ef, "const_pcpu_hot" },
	{ 0xc3a3e819, "get_inode_acl" },
	{ 0x55c595fc, "capable_wrt_inode_uidgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf243be56, "backing_file_write_iter" },
	{ 0xb0fa4099, "mntput" },
	{ 0xcca23df6, "inode_init_once" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xc2fc6018, "vfs_remove_acl" },
	{ 0x9140ac22, "seq_escape_mem" },
	{ 0xe8acee88, "ilookup5" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xb123c500, "prepare_creds" },
	{ 0x1a8238f6, "posix_acl_create" },
	{ 0x5687832a, "vfs_get_link" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x89dc108b, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x956fcb79, "exportfs_encode_fh" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x657fe86c, "d_mark_tmpfile" },
	{ 0x877ba80, "backing_file_splice_read" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd71a9af8, "set_nlink" },
	{ 0x5ef3a77f, "lock_rename" },
	{ 0x29e6591b, "kmem_cache_alloc_lru_noprof" },
	{ 0xc517ebb7, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x1a68968e, "seq_putc" },
	{ 0x56012642, "from_kgid" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x15327b59, "vfs_getxattr" },
	{ 0x724284c4, "rw_verify_area" },
	{ 0x3e369f7f, "file_remove_privs" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcbd0a2f4, "d_obtain_alias" },
	{ 0x62ede055, "release_dentry_name_snapshot" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9c9047e9, "security_inode_copy_up_xattr" },
	{ 0xf86b3bc7, "from_kuid" },
	{ 0xab29614f, "kern_path" },
	{ 0x1d279e93, "vfs_parse_monolithic_sep" },
	{ 0x2c05257b, "vfs_set_acl" },
	{ 0x48ca51a6, "vfs_fadvise" },
	{ 0x4bb3a450, "inode_owner_or_capable" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xf21f01a, "__insert_inode_hash" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcdcee1b0, "mnt_get_write_access" },
	{ 0x7c944924, "unlock_rename" },
	{ 0x1c26b4d8, "vfs_rmdir" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x1bce5849, "security_inode_copy_up" },
	{ 0x57abcf0a, "mnt_drop_write" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa7dfdd6d, "backing_file_read_iter" },
	{ 0x26179ee0, "override_creds" },
	{ 0xd643747f, "security_dentry_create_files_as" },
	{ 0x9ca86c64, "noop_direct_IO" },
	{ 0x832cafbb, "vfs_symlink" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4d9421d0, "generic_read_dir" },
	{ 0xd4994457, "vfs_fsync" },
	{ 0x6b17ee1c, "backing_tmpfile_open" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x1f51de4f, "param_ops_bool" },
	{ 0x8376bb62, "vfs_mknod" },
	{ 0x5b3f0319, "lookup_positive_unlocked" },
	{ 0xcc519aa9, "init_user_ns" },
	{ 0x4920422a, "vfs_path_lookup" },
	{ 0xbd81bb41, "dentry_open" },
	{ 0x9e6e3c0d, "inc_nlink" },
	{ 0xd3505e77, "seq_write" },
	{ 0x931c8f37, "vfs_fileattr_set" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8b683cab, "seq_printf" },
	{ 0xd6669471, "dput" },
	{ 0x6a25155b, "take_dentry_name_snapshot" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xa9ff3169, "generic_delete_inode" },
	{ 0x7935bbbd, "touch_atime" },
	{ 0x581024cc, "__percpu_down_read" },
	{ 0x8e0994b4, "vfs_clone_file_range" },
	{ 0x81901983, "vfs_llseek" },
	{ 0xa9ab6ec3, "kernel_file_open" },
	{ 0xb24d2f9c, "rcuwait_wake_up" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xeb935098, "__fs_parse" },
	{ 0x95d235c1, "vfs_link" },
	{ 0x48ecb63f, "mnt_put_write_access" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0x1c367fde, "dget_parent" },
	{ 0x429b4db2, "kill_anon_super" },
	{ 0x430cbe5b, "vfs_getattr_nosec" },
	{ 0xb9d739cb, "iget5_locked" },
	{ 0xfb60faf5, "posix_acl_clone" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xe2fa84c4, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3094444a, "get_cached_acl_rcu" },
	{ 0x349cba85, "strchr" },
	{ 0x3c7075c0, "__mnt_is_readonly" },
	{ 0xa12b4e23, "d_invalidate" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbc79dba0, "vfs_get_acl" },
	{ 0xceab0311, "strchrnul" },
	{ 0x53b954a2, "up_read" },
	{ 0x93034127, "drop_nlink" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xb465848, "kmem_cache_destroy" },
	{ 0x613404d0, "vfs_create" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xf44673f9, "fsverity_get_digest" },
	{ 0xb20da57f, "inode_init_owner" },
	{ 0xf4e72cc5, "__d_drop" },
	{ 0x21120694, "vfs_fsync_range" },
	{ 0xd0009089, "setattr_prepare" },
	{ 0xb43e0ccd, "vfs_removexattr" },
	{ 0x12071e7e, "clear_nlink" },
	{ 0x61782b1, "vfs_fileattr_get" },
	{ 0x5e6dc12d, "vfs_listxattr" },
	{ 0x80828067, "generic_fill_statx_attr" },
	{ 0x117a0484, "revert_creds" },
	{ 0xe140af89, "d_instantiate" },
	{ 0x223c3093, "vfs_dedupe_file_range_one" },
	{ 0xa883b163, "make_vfsgid" },
	{ 0x9e4bc801, "vfs_setxattr" },
	{ 0x417b4c8f, "notify_change" },
	{ 0xd449024e, "vfs_getattr" },
	{ 0x744e8ea1, "vfs_rename" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x73f49f1e, "clone_private_mount" },
	{ 0x950cc3aa, "fs_param_is_string" },
	{ 0x3eaed40d, "param_ops_ushort" },
	{ 0xa24a9d4f, "lookup_one_len" },
	{ 0x93bd6ec, "lookup_one_unlocked" },
	{ 0xb0e602eb, "memmove" },
	{ 0xff53b71e, "inode_insert5" },
	{ 0xca0e60c5, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1fec3baa, "init_special_inode" },
	{ 0x9d6729be, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xd8e0f699, "iterate_dir" },
	{ 0xb78e6f2, "inode_set_flags" },
	{ 0xe1c82473, "is_subdir" },
	{ 0xc2056497, "d_make_root" },
	{ 0x98ac15e5, "backing_file_splice_write" },
	{ 0x84b3a040, "sync_filesystem" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0xd690ba7e, "d_splice_alias" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xa924fd4a, "ihold" },
	{ 0xedf05e51, "d_find_any_alias" },
	{ 0xd1d2f614, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e8219b, "finish_open" },
	{ 0xb2bc8fcc, "iput" },
	{ 0xa28c7e70, "pcpu_hot" },
	{ 0xaaf2ce3f, "fs_param_is_enum" },
	{ 0x3fe53089, "wrap_directory_iterator" },
	{ 0x666e6a99, "logfc" },
	{ 0xc0fbe2a3, "security_file_ioctl" },
	{ 0x7d1e3c43, "kern_unmount_array" },
	{ 0x6a0f29a6, "do_splice_direct" },
	{ 0xfb983cce, "register_filesystem" },
	{ 0x226703c5, "kmem_cache_create" },
	{ 0xf750cfac, "vfs_unlink" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xff86465f, "ns_capable_noaudit" },
	{ 0x130dea80, "path_put" },
	{ 0x13a7a33e, "vfs_copy_file_range" },
	{ 0xe21f254d, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6335b3de, "make_vfsuid" },
	{ 0x57d305cd, "__put_cred" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x450837af, "backing_file_open" },
	{ 0x2563bec1, "vfs_mkdir" },
	{ 0x289a9eb1, "get_tree_nodev" },
	{ 0xa58d4343, "kernel_tmpfile_open" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0x789e10dc, "vfs_statfs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x57bd44bb, "lookup_one" },
	{ 0xbb5fdce6, "lookup_one_positive_unlocked" },
	{ 0x9c161d5b, "d_drop" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x79e563cc, "exportfs_decode_fh" },
	{ 0x239cdccd, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "94B8D11A9535128DCEE44F2");
