#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0xfd4314cf, "");
SYMBOL_CRC(bt_sock_register, 0x91ade5de, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0xb9b5e154, "");
SYMBOL_CRC(bt_sock_link, 0x7fa71474, "");
SYMBOL_CRC(bt_sock_unlink, 0x8fe7313d, "");
SYMBOL_CRC(bt_accept_enqueue, 0x2680c905, "");
SYMBOL_CRC(bt_accept_unlink, 0xbc71fad2, "");
SYMBOL_CRC(bt_accept_dequeue, 0xd54fdac1, "");
SYMBOL_CRC(bt_sock_recvmsg, 0xa72ab519, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0xd02a7895, "");
SYMBOL_CRC(bt_sock_poll, 0x15c88f00, "");
SYMBOL_CRC(bt_sock_ioctl, 0xd75f364a, "");
SYMBOL_CRC(bt_sock_wait_state, 0xb34f6759, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x073744fc, "");
SYMBOL_CRC(bt_procfs_init, 0xe14c0eb7, "");
SYMBOL_CRC(bt_procfs_cleanup, 0xa9a19ddf, "");
SYMBOL_CRC(bt_debugfs, 0x816c0033, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x63c13a0a, "");
SYMBOL_CRC(hci_free_dev, 0x817ab0c6, "");
SYMBOL_CRC(hci_register_dev, 0xadfc01f4, "");
SYMBOL_CRC(hci_unregister_dev, 0x57448473, "");
SYMBOL_CRC(hci_release_dev, 0xb0eccc7e, "");
SYMBOL_CRC(hci_suspend_dev, 0xaac9a26b, "");
SYMBOL_CRC(hci_resume_dev, 0x822148e9, "");
SYMBOL_CRC(hci_reset_dev, 0xaefea30b, "");
SYMBOL_CRC(hci_recv_frame, 0xfde801a9, "");
SYMBOL_CRC(hci_recv_diag, 0xf40016b7, "");
SYMBOL_CRC(hci_set_hw_info, 0xce6622ad, "");
SYMBOL_CRC(hci_set_fw_info, 0x55c66e08, "");
SYMBOL_CRC(hci_register_cb, 0x12915b49, "");
SYMBOL_CRC(hci_unregister_cb, 0xe8d1d873, "");
SYMBOL_CRC(__hci_cmd_send, 0x4584ba60, "");
SYMBOL_CRC(hci_get_route, 0xe5c83eb7, "");
SYMBOL_CRC(hci_conn_security, 0x85a2f6ab, "");
SYMBOL_CRC(hci_conn_check_secure, 0xee679550, "");
SYMBOL_CRC(hci_conn_switch_role, 0x4a531893, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x39905849, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x69c8d06e, "");
SYMBOL_CRC(l2cap_add_psm, 0x71a9a430, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x3278e569, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0xde927788, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x4218e28d, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xe665ecde, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0xbd30636f, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x6477ebab, "");
SYMBOL_CRC(l2cap_register_user, 0xf6572cb7, "");
SYMBOL_CRC(l2cap_unregister_user, 0x609c4336, "");
SYMBOL_CRC(l2cap_conn_get, 0x89d55389, "");
SYMBOL_CRC(l2cap_conn_put, 0xf1059749, "");
SYMBOL_CRC(l2cap_chan_send, 0x4afdbe6e, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x4fcdf9c1, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x8d71020a, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x788f4c82, "");
SYMBOL_CRC(__hci_cmd_sync, 0x9441e39c, "");
SYMBOL_CRC(hci_cmd_sync, 0x673b92bf, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x82f19d14, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0xb8666118, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0xf4f9524c, "");
SYMBOL_CRC(hci_cmd_sync_status, 0xee85828b, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x14fd3812, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0x4314e91e, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x76f3ff4a, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x7a22e789, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0xa9f8af62, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0x26ce4e2e, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0x122ebfcc, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0xe493afac, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0xd38c152f, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x6d2868ad, "");
SYMBOL_CRC(hci_devcd_init, 0x02266cf2, "");
SYMBOL_CRC(hci_devcd_append, 0x0c815034, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0xb7d27723, "");
SYMBOL_CRC(hci_devcd_complete, 0x7594ec5b, "");
SYMBOL_CRC(hci_devcd_abort, 0xbe994b69, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc6304f1e, "devm_kmalloc" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xa5872d2c, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7e407386, "dev_set_name" },
	{ 0x34b42da6, "scm_detach_fds" },
	{ 0x640552ae, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x7b948f23, "device_unregister" },
	{ 0xd62e47c2, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x47bd42ad, "led_trigger_register_simple" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x758b59b3, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x9d865170, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xd242eafe, "sock_no_connect" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x4fd7f276, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x9315c8f3, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1d5a7988, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x19603129, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x11f7c427, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57d305cd, "__put_cred" },
	{ 0x573e30c5, "put_cmsg" },
	{ 0xded88d1c, "skb_queue_purge_reason" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0xb9d949ed, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0xf818d63b, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0xef20eb86, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5b1f94b3, "sock_register" },
	{ 0xdd7b5cc1, "datagram_poll" },
	{ 0x8b4e5265, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd7550d54, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x31dc7724, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x758524ef, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x1bfe39f9, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa7e5c81, "skb_queue_tail" },
	{ 0xb003ae09, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x7b44dc3f, "__sock_recv_timestamp" },
	{ 0xd8a86b1d, "sock_no_shutdown" },
	{ 0xfbe7919c, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24c35bc0, "devm_kfree" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x315f65c2, "init_net" },
	{ 0x6cbb8483, "crypto_shash_setkey" },
	{ 0x29c5175d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c6e1891, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x119e6995, "init_uts_ns" },
	{ 0xab2dfc1c, "sk_free" },
	{ 0x73edca45, "device_move" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xf0c63ff6, "kfree_skb_reason" },
	{ 0x1555b02e, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4d07fe92, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xf5ee1f51, "sock_no_listen" },
	{ 0xd346c408, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x1a68968e, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4400e2bb, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x49dc2a84, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x40638db2, "lock_sock_nested" },
	{ 0x2d24236c, "device_find_child" },
	{ 0x98572605, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x69b63eb4, "skb_copy_datagram_iter" },
	{ 0x36507dc9, "rfkill_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x511d27b0, "sk_alloc" },
	{ 0xfa094ec, "device_del" },
	{ 0xff7bc342, "__sock_queue_rcv_skb" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xfc899c0f, "__sock_recv_wifi_status" },
	{ 0xf86b3bc7, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x934e9c00, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xb0dbd004, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8b4cda1c, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x7b976341, "__pskb_pull_tail" },
	{ 0x8da594ff, "__scm_destroy" },
	{ 0xc3f83894, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x4b078a66, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x1816d610, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2900c467, "devm_kasprintf" },
	{ 0x5dbb00b8, "seq_read" },
	{ 0x9fa191f4, "sock_i_ino" },
	{ 0xff5b2d51, "debugfs_create_file" },
	{ 0x331f00fa, "devm_led_trigger_register" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xff5b0ee2, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1f51de4f, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x20562278, "skb_recv_datagram" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x105c30f1, "sock_alloc_send_pskb" },
	{ 0xd3505e77, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9d4a0746, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8b683cab, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4a9f8b7f, "skb_copy" },
	{ 0x336a782d, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x5f36845f, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x98852308, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x46d08bc8, "sock_gettstamp" },
	{ 0x1a648ef5, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4314047b, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0x4c01395a, "from_kuid_munged" },
	{ 0x59bcd27b, "led_trigger_event" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xec636656, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc4c0b7c8, "proc_create_seq_private" },
	{ 0x2229a894, "single_open" },
	{ 0x74ee5ea1, "crypto_alloc_shash" },
	{ 0x49e60dec, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1f628044, "fwnode_property_read_u8_array" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x9cf3b0af, "put_pid" },
	{ 0x7458eb67, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xc08899f5, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdfb8c9e7, "__dev_fwnode" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x679c5033, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa0e638fc, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x2ed40113, "skb_free_datagram" },
	{ 0x1e002928, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x598c2c2, "try_module_get" },
	{ 0x4c4d0e56, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "638C13A4A81E398BA08AAA9");
