#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0x3dd0f71a, "");
SYMBOL_CRC(is_hsr_master, 0x1a6eadbd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa02a7a97, "genlmsg_put" },
	{ 0x7564c706, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0x78f88e23, "dev_set_promiscuity" },
	{ 0x9d865170, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb3520e79, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x598cb98e, "unregister_netdevice_queue" },
	{ 0x1705b17e, "netlink_ack" },
	{ 0x11f7c427, "__pskb_copy_fclone" },
	{ 0x6f200097, "dev_uc_unsync" },
	{ 0xf32ec785, "ether_setup" },
	{ 0x36b362f, "netlink_broadcast_filtered" },
	{ 0xec6f5c41, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1895b011, "netdev_upper_dev_link" },
	{ 0x8ce564f8, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x70ae224b, "netdev_rx_handler_unregister" },
	{ 0x432bb949, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x31dc7724, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7675335e, "skb_copy_expand" },
	{ 0xec89804f, "__dev_get_by_index" },
	{ 0xdb3a4730, "rtnl_link_unregister" },
	{ 0x315f65c2, "init_net" },
	{ 0x29c5175d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x88a52c92, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9cadfac9, "dev_get_by_index_rcu" },
	{ 0xf0c63ff6, "kfree_skb_reason" },
	{ 0xad9969f5, "netdev_printk" },
	{ 0x4d07fe92, "skb_push" },
	{ 0xd346c408, "debugfs_remove" },
	{ 0x73b8d893, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0xd4544460, "netdev_set_operstate" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7b976341, "__pskb_pull_tail" },
	{ 0xd7de8ec2, "netif_rx" },
	{ 0x1943e917, "__netdev_alloc_skb" },
	{ 0x4b078a66, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5dbb00b8, "seq_read" },
	{ 0x5cb86825, "debugfs_rename" },
	{ 0xff5b2d51, "debugfs_create_file" },
	{ 0x35132cb8, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa826bf19, "call_netdevice_notifiers" },
	{ 0xa4fa84c0, "dev_set_allmulti" },
	{ 0xd3505e77, "seq_write" },
	{ 0x56470118, "__warn_printk" },
	{ 0x93340053, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8b683cab, "seq_printf" },
	{ 0x336a782d, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x49265046, "netif_carrier_on" },
	{ 0xc19b007, "netdev_rx_handler_register" },
	{ 0x1a648ef5, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0x9f2c83d8, "genl_unregister_family" },
	{ 0xa799ccfa, "dev_disable_lro" },
	{ 0x1ec7160c, "dev_kfree_skb_any_reason" },
	{ 0x2229a894, "single_open" },
	{ 0x49e60dec, "debugfs_create_dir" },
	{ 0x994c98f0, "dev_mc_unsync" },
	{ 0x5dd6fbf2, "genl_register_family" },
	{ 0x992a357f, "netdev_core_stats_inc" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0x2a7b9b83, "netdev_info" },
	{ 0x358ff274, "dev_mc_sync_multiple" },
	{ 0xa5c9faa5, "register_netdevice" },
	{ 0x5f616965, "dev_set_mtu" },
	{ 0x83ee930a, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x354cc1a6, "eth_header" },
	{ 0xa5872d2c, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xdc20e08d, "netdev_update_features" },
	{ 0xb0e602eb, "memmove" },
	{ 0x4bdcf43a, "rtnl_link_register" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "08FFB7A23D8FA42D96277B5");
