#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(xfrm_msg_min, "_gpl", "");
KSYMTAB_DATA(xfrma_policy, "_gpl", "");

SYMBOL_CRC(xfrm_msg_min, 0x4a0c7516, "_gpl");
SYMBOL_CRC(xfrma_policy, 0x4597750e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb578fc5, "memset" },
	{ 0x9166fada, "strncpy" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x31dc7724, "__alloc_skb" },
	{ 0x47de0583, "__nlmsg_put" },
	{ 0x88a52c92, "netlink_unicast" },
	{ 0x10079e94, "xfrm_sad_getinfo" },
	{ 0x4b078a66, "skb_trim" },
	{ 0xda9d7480, "xfrm_spd_getinfo" },
	{ 0x97fcd546, "xfrm_state_alloc" },
	{ 0x49ca83, "xfrm_aead_get_byname" },
	{ 0x754d539c, "strlen" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd6f50cf7, "xfrm_ealg_get_byname" },
	{ 0xaab23340, "xfrm_calg_get_byname" },
	{ 0xbeea3623, "__xfrm_init_state" },
	{ 0x27866435, "security_xfrm_state_alloc" },
	{ 0x56bd46b1, "xfrm_init_replay" },
	{ 0x5c580015, "xfrm_dev_state_add" },
	{ 0x2cc1561a, "xfrm_state_update" },
	{ 0xe54b5f75, "xfrm_audit_state_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2bc35c23, "__xfrm_state_destroy" },
	{ 0xe31b1aae, "xfrm_state_add" },
	{ 0xc9a2c797, "xfrm_dev_state_delete" },
	{ 0x36b362f, "netlink_broadcast_filtered" },
	{ 0xb01bebf9, "xfrm_get_acqseq" },
	{ 0x315f65c2, "init_net" },
	{ 0xeb1d1735, "__fib6_flush_trees" },
	{ 0x69ceeb0c, "xfrm_state_lookup_byaddr" },
	{ 0xdd4da90e, "xfrm_state_lookup" },
	{ 0xc599a772, "security_xfrm_state_delete" },
	{ 0x1d504d22, "xfrm_state_delete" },
	{ 0x144b479b, "xfrm_audit_state_delete" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe89d43e7, "km_state_expired" },
	{ 0xa6519275, "__xfrm_state_delete" },
	{ 0x3531347a, "xfrm_policy_byid" },
	{ 0xdf31a1e9, "km_policy_expired" },
	{ 0xc65304b3, "security_xfrm_policy_alloc" },
	{ 0x54b4729a, "xfrm_policy_bysel_ctx" },
	{ 0xa9c63b69, "security_xfrm_policy_free" },
	{ 0xad4d876b, "xfrm_policy_destroy" },
	{ 0x6cd01379, "xfrm_policy_delete" },
	{ 0xe0c29e5c, "xfrm_audit_policy_delete" },
	{ 0x37e497e8, "verify_spi_info" },
	{ 0x9d88d713, "xfrm_find_acq_byseq" },
	{ 0x60bd5bdf, "xfrm_find_acq" },
	{ 0xc981c00, "xfrm_alloc_spi" },
	{ 0x8d6f2296, "xfrm_dev_policy_add" },
	{ 0x462282de, "xfrm_policy_insert" },
	{ 0xb6dee4fa, "xfrm_audit_policy_add" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa974e98e, "km_query" },
	{ 0xa29bd45, "xfrm_state_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xec25a607, "register_pernet_subsys" },
	{ 0x5d92328c, "xfrm_register_km" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8cbe7bf5, "netlink_has_listeners" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd5a43273, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xca9e776c, "nla_reserve" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe3504b06, "netlink_kernel_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x292bd09d, "netlink_rcv_skb" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf49f4b34, "xfrm_policy_hash_rebuild" },
	{ 0x42bbdb2e, "xfrm_state_flush" },
	{ 0x2f927118, "km_state_notify" },
	{ 0x214c44aa, "xfrm_policy_walk_done" },
	{ 0x308bfe4f, "xfrm_policy_walk" },
	{ 0xc9df055a, "xfrm_policy_walk_init" },
	{ 0x94dfd886, "xfrm_state_walk_done" },
	{ 0x2a80acd8, "__netlink_kernel_create" },
	{ 0xebd9fbd3, "xfrm_unregister_km" },
	{ 0x2d6302d9, "unregister_pernet_subsys" },
	{ 0xb5908458, "netlink_net_capable" },
	{ 0x758524ef, "const_pcpu_hot" },
	{ 0xd3533f7f, "__netlink_dump_start" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb2185ed3, "xfrm_get_translator" },
	{ 0x769b54dd, "xfrm_put_translator" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xf0c63ff6, "kfree_skb_reason" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x2782b393, "xfrm_state_walk_init" },
	{ 0xbaaf6aa0, "xfrm_state_walk" },
	{ 0x37a0cba, "kfree" },
	{ 0x35c8c1c4, "xfrm_policy_alloc" },
	{ 0x9cb82084, "xfrm_policy_flush" },
	{ 0xf52db5c2, "km_policy_notify" },
	{ 0x93d248d4, "xfrm_migrate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "26E630B38D6F085005843CA");
