#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt5640_dmic_enable, "_gpl", "");
KSYMTAB_FUNC(rt5640_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5640_enable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_disable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_detect_headset, "_gpl", "");
KSYMTAB_FUNC(rt5640_set_ovcd_params, "_gpl", "");

SYMBOL_CRC(rt5640_dmic_enable, 0x1395974d, "_gpl");
SYMBOL_CRC(rt5640_sel_asrc_clk_src, 0xcd00f17f, "_gpl");
SYMBOL_CRC(rt5640_enable_micbias1_for_ovcd, 0x1fe0386e, "_gpl");
SYMBOL_CRC(rt5640_disable_micbias1_for_ovcd, 0x2c36e643, "_gpl");
SYMBOL_CRC(rt5640_detect_headset, 0x1f2e08f5, "_gpl");
SYMBOL_CRC(rt5640_set_ovcd_params, 0x3f65ecd7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x22f47710, "snd_soc_component_write" },
	{ 0x4025b68b, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x11c77f0f, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2044dae2, "device_property_read_u32_array" },
	{ 0xaf4e08fe, "snd_soc_get_enum_double" },
	{ 0x1aa2f0ee, "i2c_register_driver" },
	{ 0x7e6a9fce, "snd_soc_info_volsw" },
	{ 0xdf0e63a1, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x13f2b105, "snd_soc_dapm_put_volsw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3be636e7, "snd_soc_dapm_force_bias_level" },
	{ 0xdf71e6f5, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5c3ad264, "snd_soc_add_component_controls" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0xe5dfb811, "_dev_warn" },
	{ 0xdee9a587, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf58b48f, "snd_soc_info_enum_double" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x77115b2c, "devm_clk_get_optional" },
	{ 0x35f5bd7f, "snd_soc_get_volsw" },
	{ 0xb2baa391, "regmap_read" },
	{ 0x4a978c7f, "snd_soc_put_volsw" },
	{ 0xa1af03a, "snd_soc_component_update_bits" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe1f84254, "snd_soc_dapm_new_controls" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x29960a2, "regmap_update_bits_base" },
	{ 0xf78bfcec, "snd_soc_dapm_get_volsw" },
	{ 0xbeb938f4, "__devm_add_action" },
	{ 0xbd1a29f0, "i2c_del_driver" },
	{ 0x4e46f19d, "regmap_register_patch" },
	{ 0x27e8edf9, "snd_soc_dapm_get_enum_double" },
	{ 0x4e441e67, "gpiod_set_consumer_name" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xe1cac21, "snd_soc_dapm_put_enum_double" },
	{ 0x60178283, "gpiod_get_value_cansleep" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x1bb2c31d, "device_property_present" },
	{ 0x2ea4e5e5, "regcache_cache_only" },
	{ 0x5c2a898f, "regcache_sync" },
	{ 0x199dc40d, "regmap_write" },
	{ 0xc6304f1e, "devm_kmalloc" },
	{ 0x9e20476c, "snd_soc_jack_report" },
	{ 0xcd418120, "snd_soc_component_read" },
	{ 0x814b3a0e, "gpiod_set_value_cansleep" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0x8c0440f3, "gpiod_to_irq" },
	{ 0x3e00112, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xfd8d892d, "snd_soc_put_enum_double" },
	{ 0x96991649, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7dc34f44, "gpiod_get_value" },
	{ 0xad9b3432, "devm_gpiod_get_optional" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xb6f8705c, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0x2f74ee42, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm");

MODULE_ALIAS("i2c:rt5640");
MODULE_ALIAS("i2c:rt5639");
MODULE_ALIAS("i2c:rt5642");
MODULE_ALIAS("acpi*:INT33CA:*");
MODULE_ALIAS("acpi*:10EC3276:*");
MODULE_ALIAS("acpi*:10EC5640:*");
MODULE_ALIAS("acpi*:10EC5642:*");
MODULE_ALIAS("acpi*:INTCCFFD:*");

MODULE_INFO(srcversion, "514445E8A3F822D75AF7506");
