#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaf5f2733, "drm_gem_handle_create" },
	{ 0x211dfe6d, "pm_runtime_get_if_in_use" },
	{ 0xde80cd09, "ioremap" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0x586be8e, "drm_mode_duplicate" },
	{ 0x1481b3ef, "drm_object_attach_property" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe9499374, "drm_helper_mode_fill_fb_struct" },
	{ 0xe53b866b, "drm_crtc_vblank_put" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x61c77799, "__drm_dev_dbg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6cf8128b, "cfb_imageblit" },
	{ 0x72ddf0a1, "drm_dev_unregister" },
	{ 0x94068e42, "pci_restore_state" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x45dbaa77, "__devm_drm_dev_alloc" },
	{ 0xe5dfb811, "_dev_warn" },
	{ 0xc0ef375a, "drm_helper_connector_dpms" },
	{ 0x9490f41f, "drm_connector_update_edid_property" },
	{ 0x88ab6fe3, "kgdb_active" },
	{ 0x1f9b922d, "pci_set_master" },
	{ 0x54217d5b, "drm_handle_vblank" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xbf86aa4f, "drm_fb_helper_pan_display" },
	{ 0x20060892, "fb_io_write" },
	{ 0xbe8a85fa, "drm_client_release" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x17815f0f, "i2c_add_adapter" },
	{ 0xdc26087a, "drm_get_format_info" },
	{ 0x5d8616e8, "drm_connector_cleanup" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8826c13b, "acpi_video_register" },
	{ 0xe4116245, "drm_detect_monitor_audio" },
	{ 0x48549775, "pv_ops" },
	{ 0xf3e0e1df, "allocate_resource" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3d6f45ab, "drm_connector_list_iter_next" },
	{ 0x64d87c46, "drm_object_property_set_value" },
	{ 0x1b257416, "drm_encoder_init" },
	{ 0xd6764a6, "set_pages_array_wc" },
	{ 0x232e5907, "drm_simple_encoder_init" },
	{ 0xa6e4569a, "drm_vblank_init" },
	{ 0x999e8297, "vfree" },
	{ 0x56aa9d93, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc189188e, "cfb_fillrect" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbba08a1e, "pci_write_config_byte" },
	{ 0xbb7df5dc, "pm_runtime_force_resume" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5949e7cf, "drm_crtc_vblank_off" },
	{ 0x56470118, "__warn_printk" },
	{ 0x26b3deb, "drm_helper_probe_single_connector_modes" },
	{ 0x2095bf26, "backlight_device_register" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0x7a16aecd, "drm_fb_helper_debug_leave" },
	{ 0x3e4ba70f, "i2c_transfer" },
	{ 0xd3b5ef38, "drm_property_create_range" },
	{ 0xa226be9a, "alloc_pages_noprof" },
	{ 0x33b35674, "pci_disable_device" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x85528589, "drm_mode_destroy" },
	{ 0x19ee0511, "__aperture_remove_legacy_vga_devices" },
	{ 0x367790db, "drm_gem_fb_create_handle" },
	{ 0x8c9e8eda, "drm_crtc_from_index" },
	{ 0xa1afe6da, "drm_mode_config_reset" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0x74f13b5c, "vmf_insert_mixed" },
	{ 0xa4191c0b, "memset_io" },
	{ 0xbeb938f4, "__devm_add_action" },
	{ 0xf3fe66f3, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x86aaeae2, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x903dd252, "_dev_printk" },
	{ 0xa5a72e11, "drm_fb_helper_initial_config" },
	{ 0x47ece35f, "pcim_enable_device" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x319cfa9b, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3b0b3d91, "drm_fb_helper_unregister_info" },
	{ 0x2cacc751, "drm_get_edid" },
	{ 0x6630615b, "drm_gem_put_pages" },
	{ 0x75735609, "drm_helper_resume_force_mode" },
	{ 0x53b954a2, "up_read" },
	{ 0x4c743fc2, "pm_runtime_force_suspend" },
	{ 0x66707318, "drm_compat_ioctl" },
	{ 0x818daba7, "drm_dev_register" },
	{ 0xb32a7665, "drm_crtc_helper_set_config" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x782a8015, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9412dd51, "pci_write_config_dword" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0x603c7603, "drm_fb_helper_ioctl" },
	{ 0xf6f26aca, "drm_fb_helper_set_par" },
	{ 0xc99869f, "drm_release" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdcd9ee94, "drm_framebuffer_cleanup" },
	{ 0x87eb51d6, "drm_gem_fb_destroy" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x75e32e85, "drm_client_register" },
	{ 0x4a6bfaab, "pci_save_state" },
	{ 0x224affc4, "drm_kms_helper_poll_fini" },
	{ 0x17b04663, "drm_open" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x258520e3, "drm_fb_helper_init" },
	{ 0x92b10340, "drm_poll" },
	{ 0x49708275, "drm_fb_helper_debug_enter" },
	{ 0x8eeb4d30, "vmf_insert_pfn" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xb24e4f66, "drm_mode_crtc_set_gamma_size" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x3ca86e00, "backlight_device_unregister" },
	{ 0xbd80c1c, "drm_gem_get_pages" },
	{ 0x477eda06, "i2c_get_adapter" },
	{ 0x43515bbb, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0x2e67ac1d, "drm_kms_helper_poll_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xface17ee, "drm_framebuffer_init" },
	{ 0x5b447e9c, "drm_fb_helper_lastclose" },
	{ 0xa2eaea89, "drm_property_create" },
	{ 0x6d79deea, "drm_fb_helper_setcmap" },
	{ 0x8fa7161f, "drm_fb_helper_alloc_info" },
	{ 0x374e2f08, "drm_helper_disable_unused_functions" },
	{ 0x44f99aa4, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2bb5131, "drm_fb_helper_unprepare" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa078c787, "drm_mode_probed_add" },
	{ 0x989417f2, "i2c_bit_add_bus" },
	{ 0x7d2fdad7, "pci_dev_put" },
	{ 0x619a2f0d, "cfb_copyarea" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa2b6507c, "pci_get_device" },
	{ 0x5bd1ea6c, "drm_modeset_lock_all" },
	{ 0xfa367108, "drm_fb_helper_fini" },
	{ 0x5dfe513b, "set_pages_uc" },
	{ 0xe36252d0, "__pci_register_driver" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0xec1b8d79, "ww_mutex_unlock" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x4ac0b9f, "pci_disable_msi" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x47d6cd6a, "drm_helper_hpd_irq_event" },
	{ 0x37a0cba, "kfree" },
	{ 0xa28c7e70, "pcpu_hot" },
	{ 0x5ff82050, "drm_crtc_cleanup" },
	{ 0x39e8a5ed, "drm_connector_list_iter_begin" },
	{ 0x1f0b918d, "drm_fb_helper_fill_info" },
	{ 0x45b61916, "acpi_video_register_backlight" },
	{ 0xd0d691c, "pci_set_power_state" },
	{ 0x6939b912, "drm_encoder_cleanup" },
	{ 0xa4ee5ce8, "drm_gem_object_init" },
	{ 0xf99fe34b, "vmalloc_user_noprof" },
	{ 0x1a81f377, "drmm_mode_config_init" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f74ee42, "__dynamic_dev_dbg" },
	{ 0xf9dfbd09, "drm_crtc_init" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa44eb44e, "drm_detect_hdmi_monitor" },
	{ 0x4c65a38a, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x8a3951d6, "dev_driver_string" },
	{ 0xe143c62b, "drm_fb_helper_hotplug_event" },
	{ 0x93db5832, "drm_crtc_vblank_get" },
	{ 0x3a343f96, "drm_gem_object_lookup" },
	{ 0x8d9feff8, "drm_crtc_send_vblank_event" },
	{ 0x1b055af0, "drm_connector_attach_encoder" },
	{ 0xf6bf39f0, "pci_read_config_dword" },
	{ 0x2e66cfa8, "set_pages_wb" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0xeb3b94e1, "drm_crtc_helper_set_mode" },
	{ 0x92997ed8, "_printk" },
	{ 0xf692f44f, "drm_fb_helper_blank" },
	{ 0x834e0303, "drm_object_property_get_value" },
	{ 0x22a55bcc, "drm_gem_private_object_init" },
	{ 0x8228cffa, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfc8782e7, "drm_framebuffer_unregister_private" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0x860dd9d8, "drm_mode_create_scaling_mode_property" },
	{ 0x25d3635e, "drm_connector_list_iter_end" },
	{ 0x4f7c3f72, "i2c_add_numbered_adapter" },
	{ 0x597878ed, "set_pages_array_wb" },
	{ 0xee0118df, "aperture_remove_conflicting_devices" },
	{ 0x758524ef, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8d7125e7, "__free_pages" },
	{ 0x1f5db8d4, "drm_gem_mmap" },
	{ 0xe28f338a, "_dev_info" },
	{ 0xa9066497, "drm_ioctl" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xb4d9daeb, "i2c_del_adapter" },
	{ 0xf34117a0, "drm_helper_crtc_in_use" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x679571c5, "drm_client_init" },
	{ 0x3d1cb92b, "drm_gem_vm_close" },
	{ 0x78d8126a, "drm_gem_vm_open" },
	{ 0x4ba23097, "drm_fb_helper_prepare" },
	{ 0xa39089c3, "drm_connector_init" },
	{ 0xed063d76, "pci_enable_msi" },
	{ 0x57bc19d2, "down_write" },
	{ 0xdf0e63a1, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8f39d0c6, "drm_connector_init_with_ddc" },
	{ 0x8103998c, "drm_property_add_enum" },
	{ 0x9ea8ecc3, "drm_add_edid_modes" },
	{ 0x490e13f9, "drm_read" },
	{ 0x68cb3e0e, "drm_gem_object_release" },
	{ 0x96a4b348, "pci_get_domain_bus_and_slot" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x64e21aa9, "pci_read_config_word" },
	{ 0xdcf493b, "ww_mutex_lock" },
	{ 0x9166fada, "strncpy" },
	{ 0xf7c38bac, "fb_io_read" },
	{ 0x9381a41f, "drm_crtc_vblank_on" },
	{ 0x3092b046, "pci_map_rom" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "video,i2c-algo-bit");

MODULE_ALIAS("pci:v00008086d00008108sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008109sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004101sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004102sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004103sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004104sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004105sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004106sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004107sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004108sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BE0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BE1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BE2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BE3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BE4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BE5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BE6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BE7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BE8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BE9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BEAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BEBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BECsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BEDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BEEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000BEFsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E17D84ADB25E156DDA5CD76");
