#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5ba4b8ee, "power_supply_changed" },
	{ 0xfa67b953, "hid_report_raw_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x35d5112, "hid_field_extract" },
	{ 0x8b13a8b8, "hid_snto32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc6304f1e, "devm_kmalloc" },
	{ 0x51f08ae, "hid_open_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x78172403, "sysfs_create_group" },
	{ 0xd7fca025, "hid_hw_start" },
	{ 0xcf2a6966, "up" },
	{ 0x6626afca, "down" },
	{ 0xcbb6a3f4, "hid_connect" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x24c35bc0, "devm_kfree" },
	{ 0x8dea5eed, "input_ff_create" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7fd9ef36, "device_create_file" },
	{ 0xd4f9e5ef, "devm_kmemdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3916caa7, "devm_power_supply_register" },
	{ 0x745dce3d, "power_supply_powers" },
	{ 0x3a168399, "devm_input_allocate_device" },
	{ 0xc9a1c906, "input_register_device" },
	{ 0x2900c467, "devm_kasprintf" },
	{ 0xe895c370, "input_free_device" },
	{ 0x1f51de4f, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x81cd4edc, "__hid_register_driver" },
	{ 0xd1118718, "input_event" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe5dfb811, "_dev_warn" },
	{ 0xc9dd4ab1, "hid_is_usb" },
	{ 0xff4d147f, "usb_set_wireless_status" },
	{ 0xaf2f25d2, "input_mt_get_slot_by_key" },
	{ 0x6c6ebb2, "input_mt_report_slot_state" },
	{ 0x9d063f43, "input_mt_sync_frame" },
	{ 0xbd6dfcf9, "sysfs_remove_group" },
	{ 0x1698d06, "hid_hw_stop" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x416a8769, "hid_hw_open" },
	{ 0x8ad511d8, "hid_hw_close" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x86d349ac, "hid_hw_output_report" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfcc31a43, "hid_hw_raw_request" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3e420584, "power_supply_get_drvdata" },
	{ 0x5a921311, "strncmp" },
	{ 0x96848186, "scnprintf" },
	{ 0xe28f338a, "_dev_info" },
	{ 0x582a7211, "device_remove_file" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x37a0cba, "kfree" },
	{ 0x3b608e36, "hid_unregister_driver" },
	{ 0xc310b981, "strnstr" },
	{ 0x1b65cf8c, "input_set_abs_params" },
	{ 0x89753742, "input_alloc_absinfo" },
	{ 0x1f2cf2b9, "input_set_capability" },
	{ 0x850bbc01, "input_mt_init_slots" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0x2f74ee42, "__dynamic_dev_dbg" },
	{ 0xdf0e63a1, "_dev_err" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "usbhid,usbcore");

MODULE_ALIAS("hid:b0003g0102v0000046Dp00004011");
MODULE_ALIAS("hid:b0003g0102v0000046Dp00004101");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B00C");
MODULE_ALIAS("hid:b0003g0102v0000046Dp00001017");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000402D");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000101B");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000101A");
MODULE_ALIAS("hid:b0003g0102v0000046Dp00004024");
MODULE_ALIAS("hid:b0003g0102v0000046Dp00004002");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000B305");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000B309");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000B30B");
MODULE_ALIAS("hid:b0003g0102v0000046Dp*");
MODULE_ALIAS("hid:b0003g0104v0000046Dp00000049");
MODULE_ALIAS("hid:b0003g0104v0000046Dp00000057");
MODULE_ALIAS("hid:b0003g0104v0000046Dp0000005C");
MODULE_ALIAS("hid:b0003g0104v0000046Dp000000FE");
MODULE_ALIAS("hid:b0003g0104v0000046Dp*");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C082");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C08D");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C087");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C090");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C081");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C086");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C088");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C08A");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C090");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C091");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C343");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C262");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C26E");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C094");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C09B");
MODULE_ALIAS("hid:b0003g*v0000046Dp00000A87");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B305");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B309");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B30B");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B35F");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B008");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B012");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B015");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B019");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B01D");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B01E");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B020");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B02A");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B023");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B025");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B034");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B038");

MODULE_INFO(srcversion, "0D359537BF7126F799758B7");
