#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74a0fedd, "sbitmap_queue_clear" },
	{ 0xf40871b4, "kmem_cache_size" },
	{ 0x8e99fb76, "dma_unmap_page_attrs" },
	{ 0xc517ebb7, "kmem_cache_free" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x88d06293, "ib_destroy_srq_user" },
	{ 0xb465848, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0x76cb6be5, "core_tpg_register" },
	{ 0xf75fad0a, "target_stop_session" },
	{ 0x9602da0, "target_wait_for_sess_cmds" },
	{ 0xb231585, "target_remove_session" },
	{ 0xbb59bd62, "ib_destroy_cm_id" },
	{ 0xb171fb8e, "ib_destroy_qp_user" },
	{ 0x7da701dc, "ib_cq_pool_put" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x45524a19, "dma_map_page_attrs" },
	{ 0xe391ab9f, "kmem_cache_alloc_noprof" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8a3951d6, "dev_driver_string" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xdedea065, "ib_create_srq_user" },
	{ 0x226703c5, "kmem_cache_create" },
	{ 0xcdd40fd5, "rdma_disconnect" },
	{ 0x3dd76eb5, "ib_send_cm_dreq" },
	{ 0x6fde205c, "ib_send_cm_drep" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xb51aaf, "ib_unregister_event_handler" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xbf4867d7, "ib_set_client_data" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x48549775, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x7575e57f, "ib_dealloc_pd_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb24d4ec4, "ib_send_cm_rej" },
	{ 0x8c2b4e8, "rdma_reject" },
	{ 0xda4148e6, "ib_cq_pool_get" },
	{ 0xbbc81217, "rdma_create_qp" },
	{ 0xf116b30f, "ib_create_qp_kernel" },
	{ 0xd6330456, "ib_find_cached_pkey" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3a003496, "target_setup_session" },
	{ 0x385fedc, "rdma_accept" },
	{ 0xdedb7e96, "ib_send_cm_rep" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8350abb7, "__ib_alloc_pd" },
	{ 0xa42b404f, "rdma_port_get_link_layer" },
	{ 0xfab1b58a, "ib_cm_listen" },
	{ 0x59e626e1, "ib_register_event_handler" },
	{ 0x351459d5, "ib_create_cm_id" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x84a87ac2, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0xefcb3eec, "target_register_template" },
	{ 0xa6befcb6, "ib_register_client" },
	{ 0xe65b83ac, "target_unregister_template" },
	{ 0x891e1d26, "ib_modify_port" },
	{ 0x92c269a8, "ib_unregister_mad_agent" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa6257a2f, "complete" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xf36d6c01, "rdma_notify" },
	{ 0x78f11395, "ib_cm_notify" },
	{ 0x406c77b3, "ib_cm_init_qp_attr" },
	{ 0xae6b7475, "ib_modify_qp" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x315f65c2, "init_net" },
	{ 0xcb097e53, "__rdma_create_kernel_id" },
	{ 0x30a93df3, "rdma_bind_addr" },
	{ 0xec1cdcac, "rdma_listen" },
	{ 0xc86d614a, "rdma_destroy_id" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x754d539c, "strlen" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x2ec30c0e, "inet_pton_with_scope" },
	{ 0x383a6095, "core_tpg_deregister" },
	{ 0x5453f186, "target_put_sess_cmd" },
	{ 0x33df9efd, "target_execute_cmd" },
	{ 0x1339fce4, "rdma_rw_ctx_wrs" },
	{ 0xcdcf93b, "ib_unregister_client" },
	{ 0x7913a49c, "ib_create_ah_from_wc" },
	{ 0x64ae469e, "ib_create_send_mad" },
	{ 0x99199bba, "ib_post_send_mad" },
	{ 0x5f95d6de, "ib_free_send_mad" },
	{ 0xc8dc1a03, "rdma_destroy_ah_user" },
	{ 0x30e14ffd, "ib_free_recv_mad" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaefbcacd, "target_alloc_sgl" },
	{ 0x91a74cc, "rdma_rw_ctx_init" },
	{ 0x62d1b582, "rdma_rw_ctx_destroy" },
	{ 0x5bdb610a, "target_free_sgl" },
	{ 0x69acdf38, "memcpy" },
	{ 0x75b47694, "__dma_sync_single_for_device" },
	{ 0x1ec1ca06, "transport_generic_free_cmd" },
	{ 0x790f1000, "transport_generic_request_failure" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x7ab5ae65, "__dma_sync_single_for_cpu" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0xd31c8422, "target_submit_tmr" },
	{ 0xa28c7e70, "pcpu_hot" },
	{ 0x28120a4, "__sbitmap_queue_get" },
	{ 0xd81ca7fb, "target_init_cmd" },
	{ 0x7a85f0ae, "target_send_busy" },
	{ 0x17969d16, "target_submit_prep" },
	{ 0x4e203c0e, "target_submit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xb854923e, "ib_query_port" },
	{ 0xaab5e896, "rdma_query_gid" },
	{ 0xce16f12d, "ib_register_mad_agent" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "ib_core,target_core_mod,ib_cm,rdma_cm,scsi_common");


MODULE_INFO(srcversion, "93D2306A30FCCD928C77BBE");
