#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(t3_l2t_send_slow, "", "");
KSYMTAB_FUNC(t3_l2t_send_event, "", "");
KSYMTAB_FUNC(t3_l2e_free, "", "");
KSYMTAB_FUNC(t3_l2t_get, "", "");
KSYMTAB_FUNC(cxgb3_register_client, "", "");
KSYMTAB_FUNC(cxgb3_unregister_client, "", "");
KSYMTAB_FUNC(cxgb3_free_atid, "", "");
KSYMTAB_FUNC(cxgb3_free_stid, "", "");
KSYMTAB_FUNC(cxgb3_insert_tid, "", "");
KSYMTAB_FUNC(cxgb3_queue_tid_release, "", "");
KSYMTAB_FUNC(cxgb3_remove_tid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_atid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_stid, "", "");
KSYMTAB_FUNC(dev2t3cdev, "", "");
KSYMTAB_FUNC(t3_register_cpl_handler, "", "");
KSYMTAB_FUNC(cxgb3_ofld_send, "", "");

SYMBOL_CRC(t3_l2t_send_slow, 0xcfc813c3, "");
SYMBOL_CRC(t3_l2t_send_event, 0x1adcf25a, "");
SYMBOL_CRC(t3_l2e_free, 0xf0d40839, "");
SYMBOL_CRC(t3_l2t_get, 0x88089631, "");
SYMBOL_CRC(cxgb3_register_client, 0xc9aac088, "");
SYMBOL_CRC(cxgb3_unregister_client, 0x0069b873, "");
SYMBOL_CRC(cxgb3_free_atid, 0x79baeb92, "");
SYMBOL_CRC(cxgb3_free_stid, 0xfcceb0e7, "");
SYMBOL_CRC(cxgb3_insert_tid, 0x8f65a876, "");
SYMBOL_CRC(cxgb3_queue_tid_release, 0xc6d55fb2, "");
SYMBOL_CRC(cxgb3_remove_tid, 0x05dfbbd9, "");
SYMBOL_CRC(cxgb3_alloc_atid, 0x12a79550, "");
SYMBOL_CRC(cxgb3_alloc_stid, 0xca5a8ef3, "");
SYMBOL_CRC(dev2t3cdev, 0xf1df62f1, "");
SYMBOL_CRC(t3_register_cpl_handler, 0xd31f42d6, "");
SYMBOL_CRC(cxgb3_ofld_send, 0xa68b1bbb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe5dfb811, "_dev_warn" },
	{ 0x1f9b922d, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd7de8ec2, "netif_rx" },
	{ 0xac944166, "__neigh_event_send" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x68ec1d01, "dma_set_coherent_mask" },
	{ 0x48549775, "pv_ops" },
	{ 0xbd6dfcf9, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc0b1f461, "neigh_destroy" },
	{ 0xdd4d7d3a, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5b7020de, "pci_release_regions" },
	{ 0x75b47694, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x30a5ce15, "netdev_master_upper_dev_get_rcu" },
	{ 0xe621c277, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x93340053, "netif_carrier_off" },
	{ 0xd93c6d6a, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x49265046, "netif_carrier_on" },
	{ 0x2b66991b, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa226be9a, "alloc_pages_noprof" },
	{ 0x33b35674, "pci_disable_device" },
	{ 0x1dc60a4, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1b5c6e8c, "vlan_dev_vlan_id" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x177affaa, "napi_schedule_prep" },
	{ 0x66d2fe16, "napi_disable" },
	{ 0x1ec7160c, "dev_kfree_skb_any_reason" },
	{ 0x84a87ac2, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2701aa63, "__kfree_skb" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0x2a7b9b83, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xaff09c98, "alloc_etherdev_mqs" },
	{ 0x4a6bfaab, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb3c68abf, "pcie_capability_read_word" },
	{ 0x53978c36, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf2aad6db, "pcie_capability_write_word" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbe42da74, "skb_copy_bits" },
	{ 0xf9fed988, "pci_read_vpd" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x43515bbb, "pci_enable_device" },
	{ 0xa5872d2c, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xdc20e08d, "netdev_update_features" },
	{ 0xfafc0eea, "consume_skb" },
	{ 0xa5265b9c, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x74b1ed8f, "unregister_netdev" },
	{ 0x3d9a2ee1, "napi_get_frags" },
	{ 0x8e99fb76, "dma_unmap_page_attrs" },
	{ 0x72f03bd8, "request_firmware" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe36252d0, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x4ac0b9f, "pci_disable_msi" },
	{ 0x7b524d2e, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xa28c7e70, "pcpu_hot" },
	{ 0x19a62e09, "eth_validate_addr" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f74ee42, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4c65a38a, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x8a3951d6, "dev_driver_string" },
	{ 0x8ce564f8, "dev_addr_mod" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0x456ec0e5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x45524a19, "dma_map_page_attrs" },
	{ 0x471729bc, "napi_complete_done" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3e17f466, "mdio_set_flag" },
	{ 0x8f6d2e31, "__napi_schedule" },
	{ 0x9a15110b, "pci_enable_msix_range" },
	{ 0x7d9f8156, "pci_write_vpd_any" },
	{ 0xa916b694, "strnlen" },
	{ 0x31dc7724, "__alloc_skb" },
	{ 0x758524ef, "const_pcpu_hot" },
	{ 0x8d7125e7, "__free_pages" },
	{ 0xe28f338a, "_dev_info" },
	{ 0xbf884267, "napi_gro_receive" },
	{ 0xc6cbbc89, "capable" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xef57e8af, "pci_find_capability" },
	{ 0xb73cea67, "_dev_alert" },
	{ 0x7ab5ae65, "__dma_sync_single_for_cpu" },
	{ 0xed063d76, "pci_enable_msi" },
	{ 0xdf0e63a1, "_dev_err" },
	{ 0x29c5175d, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xaa003d2c, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x97b9933d, "netif_set_real_num_rx_queues" },
	{ 0xcad6a5e, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xf0c63ff6, "kfree_skb_reason" },
	{ 0x3371d099, "pci_write_vpd" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe8294507, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x64e21aa9, "pci_read_config_word" },
	{ 0xe821bda3, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2241274c, "netif_receive_skb" },
	{ 0x7e65780, "register_netdev" },
	{ 0x9fdbebef, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x78172403, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9949026b, "__put_devmap_managed_folio_refs" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x8a57cb13, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5fededdf, "netif_tx_stop_all_queues" },
	{ 0x94068e42, "pci_restore_state" },
	{ 0x7ae4c88, "netif_tx_wake_queue" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "mdio");

MODULE_ALIAS("pci:v00001425d00000020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000024sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000026sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000035sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000036sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000037sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "41097D3F5BE9D508D0BB550");
