#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ocelot_mact_learn, "", "");
KSYMTAB_FUNC(ocelot_mact_forget, "", "");
KSYMTAB_FUNC(ocelot_mact_lookup, "", "");
KSYMTAB_FUNC(ocelot_mact_learn_streamdata, "", "");
KSYMTAB_FUNC(ocelot_pll5_init, "", "");
KSYMTAB_FUNC(ocelot_bridge_num_find, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_vlan_filtering, "", "");
KSYMTAB_FUNC(ocelot_vlan_prepare, "", "");
KSYMTAB_FUNC(ocelot_vlan_add, "", "");
KSYMTAB_FUNC(ocelot_vlan_del, "", "");
KSYMTAB_FUNC(ocelot_port_configure_serdes, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_config, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_down, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_up, "_gpl", "");
KSYMTAB_FUNC(ocelot_ptp_rx_timestamp, "", "");
KSYMTAB_FUNC(ocelot_xtr_poll_frame, "", "");
KSYMTAB_FUNC(ocelot_can_inject, "", "");
KSYMTAB_FUNC(ocelot_ifh_port_set, "", "");
KSYMTAB_FUNC(ocelot_port_inject_frame, "", "");
KSYMTAB_FUNC(ocelot_drain_cpu_queue, "", "");
KSYMTAB_FUNC(ocelot_fdb_add, "", "");
KSYMTAB_FUNC(ocelot_fdb_del, "", "");
KSYMTAB_FUNC(ocelot_mact_flush, "_gpl", "");
KSYMTAB_FUNC(ocelot_fdb_dump, "", "");
KSYMTAB_FUNC(ocelot_bond_get_id, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assigned_dsa_8021q_cpu_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_get_bridge_fwd_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_setup_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_teardown_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_unassign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_bridge_stp_state_set, "", "");
KSYMTAB_FUNC(ocelot_set_ageing_time, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_add, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_del, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_join, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_leave, "", "");
KSYMTAB_FUNC(ocelot_migrate_mdbs, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_lag_join, "", "");
KSYMTAB_FUNC(ocelot_port_lag_leave, "", "");
KSYMTAB_FUNC(ocelot_port_lag_change, "", "");
KSYMTAB_FUNC(ocelot_lag_fdb_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_lag_fdb_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_maxlen, "", "");
KSYMTAB_FUNC(ocelot_get_max_mtu, "", "");
KSYMTAB_FUNC(ocelot_port_pre_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_get_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_add_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_del_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mqprio, "_gpl", "");
KSYMTAB_FUNC(ocelot_init_port, "", "");
KSYMTAB_FUNC(ocelot_reset, "", "");
KSYMTAB_FUNC(ocelot_init, "", "");
KSYMTAB_FUNC(ocelot_deinit, "", "");
KSYMTAB_FUNC(ocelot_deinit_port, "", "");
KSYMTAB_FUNC(ocelot_wm_enc, "", "");
KSYMTAB_FUNC(ocelot_wm_dec, "", "");
KSYMTAB_FUNC(ocelot_wm_stat, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_get, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_set, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_snapshot, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_max_clear, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_tc_port_bind_get, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_register, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_unregister, "", "");
KSYMTAB_FUNC(ocelot_cls_flower_replace, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_destroy, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_stats, "_gpl", "");
KSYMTAB_FUNC(__ocelot_bulk_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_write_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_rmw_ix, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_readl, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_writel, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_rmwl, "_gpl", "");
KSYMTAB_FUNC(ocelot_regfields_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_regmap_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_mm_irq, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_policer_validate, "", "");
KSYMTAB_FUNC(ocelot_port_policer_add, "", "");
KSYMTAB_FUNC(ocelot_port_policer_del, "", "");
KSYMTAB_FUNC(ocelot_ptp_gettime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_settime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjtime, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjfine, "", "");
KSYMTAB_FUNC(ocelot_ptp_verify, "", "");
KSYMTAB_FUNC(ocelot_ptp_enable, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_get, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_set, "", "");
KSYMTAB_FUNC(ocelot_get_ts_info, "", "");
KSYMTAB_FUNC(ocelot_port_txtstamp_request, "", "");
KSYMTAB_FUNC(ocelot_get_txtstamp, "", "");
KSYMTAB_FUNC(ocelot_init_timestamp, "", "");
KSYMTAB_FUNC(ocelot_deinit_timestamp, "", "");
KSYMTAB_FUNC(ocelot_get_strings, "", "");
KSYMTAB_FUNC(ocelot_get_sset_count, "", "");
KSYMTAB_FUNC(ocelot_get_ethtool_stats, "", "");
KSYMTAB_FUNC(ocelot_port_get_pause_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_rmon_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_ctrl_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_mac_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_phy_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_stats64, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_block_find_filter_by_id, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_replace, "", "");
KSYMTAB_DATA(vsc7514_regfields, "", "");
KSYMTAB_DATA(vsc7514_regmap, "", "");
KSYMTAB_DATA(vsc7514_vcap_props, "", "");
KSYMTAB_FUNC(ocelot_mrp_add, "", "");
KSYMTAB_FUNC(ocelot_mrp_del, "", "");
KSYMTAB_FUNC(ocelot_mrp_add_ring_role, "", "");
KSYMTAB_FUNC(ocelot_mrp_del_ring_role, "", "");

SYMBOL_CRC(ocelot_mact_learn, 0xca00565b, "");
SYMBOL_CRC(ocelot_mact_forget, 0x6103e876, "");
SYMBOL_CRC(ocelot_mact_lookup, 0x22ff15f5, "");
SYMBOL_CRC(ocelot_mact_learn_streamdata, 0xc8a38446, "");
SYMBOL_CRC(ocelot_pll5_init, 0x4735a846, "");
SYMBOL_CRC(ocelot_bridge_num_find, 0x39cb4382, "_gpl");
SYMBOL_CRC(ocelot_port_vlan_filtering, 0xaafcedb0, "");
SYMBOL_CRC(ocelot_vlan_prepare, 0x42071fb7, "");
SYMBOL_CRC(ocelot_vlan_add, 0x792d884f, "");
SYMBOL_CRC(ocelot_vlan_del, 0xdb53f49f, "");
SYMBOL_CRC(ocelot_port_configure_serdes, 0xfc2d6d2c, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_config, 0x88f21fb5, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_down, 0xde371c1c, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_up, 0xb6ab1092, "_gpl");
SYMBOL_CRC(ocelot_ptp_rx_timestamp, 0xf5d64b61, "");
SYMBOL_CRC(ocelot_xtr_poll_frame, 0xd72d422b, "");
SYMBOL_CRC(ocelot_can_inject, 0x510308aa, "");
SYMBOL_CRC(ocelot_ifh_port_set, 0xd0ebefd9, "");
SYMBOL_CRC(ocelot_port_inject_frame, 0x8ccee721, "");
SYMBOL_CRC(ocelot_drain_cpu_queue, 0x681d594c, "");
SYMBOL_CRC(ocelot_fdb_add, 0x5151a53c, "");
SYMBOL_CRC(ocelot_fdb_del, 0xa9ecb748, "");
SYMBOL_CRC(ocelot_mact_flush, 0xee20dac1, "_gpl");
SYMBOL_CRC(ocelot_fdb_dump, 0x11e2e3b0, "");
SYMBOL_CRC(ocelot_bond_get_id, 0xf415decf, "_gpl");
SYMBOL_CRC(ocelot_port_assigned_dsa_8021q_cpu_mask, 0x6ffb864a, "_gpl");
SYMBOL_CRC(ocelot_get_bridge_fwd_mask, 0x0fb98ee5, "_gpl");
SYMBOL_CRC(ocelot_port_setup_dsa_8021q_cpu, 0x222d8833, "_gpl");
SYMBOL_CRC(ocelot_port_teardown_dsa_8021q_cpu, 0xf07fddd5, "_gpl");
SYMBOL_CRC(ocelot_port_assign_dsa_8021q_cpu, 0x4bce4fba, "_gpl");
SYMBOL_CRC(ocelot_port_unassign_dsa_8021q_cpu, 0x78c4fee8, "_gpl");
SYMBOL_CRC(ocelot_bridge_stp_state_set, 0xc03d3bd8, "");
SYMBOL_CRC(ocelot_set_ageing_time, 0x02287031, "");
SYMBOL_CRC(ocelot_port_mdb_add, 0x11c91b9d, "");
SYMBOL_CRC(ocelot_port_mdb_del, 0x763fe340, "");
SYMBOL_CRC(ocelot_port_bridge_join, 0x0480c460, "");
SYMBOL_CRC(ocelot_port_bridge_leave, 0x89c3f369, "");
SYMBOL_CRC(ocelot_migrate_mdbs, 0x9b48bb5f, "_gpl");
SYMBOL_CRC(ocelot_port_lag_join, 0x13da01cb, "");
SYMBOL_CRC(ocelot_port_lag_leave, 0x877d35fa, "");
SYMBOL_CRC(ocelot_port_lag_change, 0xd7935858, "");
SYMBOL_CRC(ocelot_lag_fdb_add, 0x742abf57, "_gpl");
SYMBOL_CRC(ocelot_lag_fdb_del, 0x4c5b3fe4, "_gpl");
SYMBOL_CRC(ocelot_port_set_maxlen, 0xdc34e7f4, "");
SYMBOL_CRC(ocelot_get_max_mtu, 0xbc8a01d8, "");
SYMBOL_CRC(ocelot_port_pre_bridge_flags, 0x560e38cb, "");
SYMBOL_CRC(ocelot_port_bridge_flags, 0xe45d2d46, "");
SYMBOL_CRC(ocelot_port_get_default_prio, 0xdecf6ef3, "_gpl");
SYMBOL_CRC(ocelot_port_set_default_prio, 0x8e082f60, "_gpl");
SYMBOL_CRC(ocelot_port_get_dscp_prio, 0x2609488b, "_gpl");
SYMBOL_CRC(ocelot_port_add_dscp_prio, 0x420daab5, "_gpl");
SYMBOL_CRC(ocelot_port_del_dscp_prio, 0xc08127aa, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_add, 0x8d2fe71e, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_del, 0x505bd603, "_gpl");
SYMBOL_CRC(ocelot_port_mqprio, 0x06f841fc, "_gpl");
SYMBOL_CRC(ocelot_init_port, 0x890e1519, "");
SYMBOL_CRC(ocelot_reset, 0xeec9c3cd, "");
SYMBOL_CRC(ocelot_init, 0x996eea64, "");
SYMBOL_CRC(ocelot_deinit, 0x1a48dc32, "");
SYMBOL_CRC(ocelot_deinit_port, 0xaa580152, "");
SYMBOL_CRC(ocelot_wm_enc, 0x08791cd6, "");
SYMBOL_CRC(ocelot_wm_dec, 0xb0fdd7fd, "");
SYMBOL_CRC(ocelot_wm_stat, 0xe30fc619, "");
SYMBOL_CRC(ocelot_sb_pool_get, 0xc5caee3a, "");
SYMBOL_CRC(ocelot_sb_pool_set, 0xf931e297, "");
SYMBOL_CRC(ocelot_sb_port_pool_get, 0x3b46e486, "");
SYMBOL_CRC(ocelot_sb_port_pool_set, 0x9656820f, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_get, 0x53f4e40d, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_set, 0xf57d05a8, "");
SYMBOL_CRC(ocelot_sb_occ_snapshot, 0x42f766da, "");
SYMBOL_CRC(ocelot_sb_occ_max_clear, 0xdb5e40ed, "");
SYMBOL_CRC(ocelot_sb_occ_port_pool_get, 0xdacb0c84, "");
SYMBOL_CRC(ocelot_sb_occ_tc_port_bind_get, 0x9de62e8f, "");
SYMBOL_CRC(ocelot_devlink_sb_register, 0x87ece2b6, "");
SYMBOL_CRC(ocelot_devlink_sb_unregister, 0xc6a69b17, "");
SYMBOL_CRC(ocelot_cls_flower_replace, 0xba3b3a23, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_destroy, 0x6e481197, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_stats, 0x11343b12, "_gpl");
SYMBOL_CRC(__ocelot_bulk_read_ix, 0xe5c916ea, "_gpl");
SYMBOL_CRC(__ocelot_read_ix, 0xca87fb51, "_gpl");
SYMBOL_CRC(__ocelot_write_ix, 0xb23b44e3, "_gpl");
SYMBOL_CRC(__ocelot_rmw_ix, 0xa49cbc38, "_gpl");
SYMBOL_CRC(ocelot_port_readl, 0x0163bcad, "_gpl");
SYMBOL_CRC(ocelot_port_writel, 0x2f9ec04a, "_gpl");
SYMBOL_CRC(ocelot_port_rmwl, 0x945bca0f, "_gpl");
SYMBOL_CRC(ocelot_regfields_init, 0x9ff8c1fa, "_gpl");
SYMBOL_CRC(ocelot_regmap_init, 0xa5088b04, "_gpl");
SYMBOL_CRC(ocelot_mm_irq, 0xfd91d2c5, "_gpl");
SYMBOL_CRC(ocelot_port_set_mm, 0x485be691, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm, 0xc0a91e56, "_gpl");
SYMBOL_CRC(ocelot_policer_validate, 0x1e269e73, "");
SYMBOL_CRC(ocelot_port_policer_add, 0x16e437d7, "");
SYMBOL_CRC(ocelot_port_policer_del, 0x05e9f00b, "");
SYMBOL_CRC(ocelot_ptp_gettime64, 0xaec9d49b, "");
SYMBOL_CRC(ocelot_ptp_settime64, 0x9be4debc, "");
SYMBOL_CRC(ocelot_ptp_adjtime, 0xd8660982, "");
SYMBOL_CRC(ocelot_ptp_adjfine, 0xce90ac2a, "");
SYMBOL_CRC(ocelot_ptp_verify, 0xd3707955, "");
SYMBOL_CRC(ocelot_ptp_enable, 0x14006991, "");
SYMBOL_CRC(ocelot_hwstamp_get, 0x6662453a, "");
SYMBOL_CRC(ocelot_hwstamp_set, 0xc5c13dfc, "");
SYMBOL_CRC(ocelot_get_ts_info, 0x91d51c10, "");
SYMBOL_CRC(ocelot_port_txtstamp_request, 0x4aafcbbd, "");
SYMBOL_CRC(ocelot_get_txtstamp, 0x2c7781c0, "");
SYMBOL_CRC(ocelot_init_timestamp, 0xf0b31806, "");
SYMBOL_CRC(ocelot_deinit_timestamp, 0x26b10764, "");
SYMBOL_CRC(ocelot_get_strings, 0x7eb181a1, "");
SYMBOL_CRC(ocelot_get_sset_count, 0x36b4e4c3, "");
SYMBOL_CRC(ocelot_get_ethtool_stats, 0x1f4b4d11, "");
SYMBOL_CRC(ocelot_port_get_pause_stats, 0x7bd2e8ef, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm_stats, 0x35e71f62, "_gpl");
SYMBOL_CRC(ocelot_port_get_rmon_stats, 0x6ffdb24f, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_ctrl_stats, 0x8e3e6741, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_mac_stats, 0x6d74fdc2, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_phy_stats, 0x500791e3, "_gpl");
SYMBOL_CRC(ocelot_port_get_stats64, 0x5ab1dd3c, "");
SYMBOL_CRC(ocelot_vcap_policer_add, 0xdbd9f8b2, "");
SYMBOL_CRC(ocelot_vcap_policer_del, 0xce36e938, "");
SYMBOL_CRC(ocelot_vcap_block_find_filter_by_id, 0x2ee2eeab, "");
SYMBOL_CRC(ocelot_vcap_filter_add, 0x802082ee, "");
SYMBOL_CRC(ocelot_vcap_filter_del, 0x93d497b5, "");
SYMBOL_CRC(ocelot_vcap_filter_replace, 0x380fe771, "");
SYMBOL_CRC(vsc7514_regfields, 0x7e5aec55, "");
SYMBOL_CRC(vsc7514_regmap, 0xf80fc88d, "");
SYMBOL_CRC(vsc7514_vcap_props, 0x6ce19e2a, "");
SYMBOL_CRC(ocelot_mrp_add, 0xd18a85f6, "");
SYMBOL_CRC(ocelot_mrp_del, 0x2db2ad06, "");
SYMBOL_CRC(ocelot_mrp_add_ring_role, 0x8b25f3fa, "");
SYMBOL_CRC(ocelot_mrp_del_ring_role, 0x2fa7a491, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4d8c0c8, "flow_rule_match_ipv4_addrs" },
	{ 0xb518b1c0, "regmap_field_update_bits_base" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f74ee42, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xec6f5c41, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x68bcfe3b, "ethtool_aggregate_ctrl_stats" },
	{ 0xe4b818c3, "phy_speed_to_str" },
	{ 0xded88d1c, "skb_queue_purge_reason" },
	{ 0xd49ceb05, "ptp_find_pin" },
	{ 0x456ec0e5, "eth_type_trans" },
	{ 0xab9ec358, "ethtool_aggregate_pause_stats" },
	{ 0x26dc2cca, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc1cac045, "regmap_fields_read" },
	{ 0xa7e5c81, "skb_queue_tail" },
	{ 0xf50a506f, "regmap_field_read" },
	{ 0xb775c4cb, "devm_regmap_field_alloc" },
	{ 0xd463ad9c, "ptp_classify_raw" },
	{ 0xf697dcf7, "flow_rule_match_basic" },
	{ 0xec89804f, "__dev_get_by_index" },
	{ 0x24c35bc0, "devm_kfree" },
	{ 0xdf0e63a1, "_dev_err" },
	{ 0xdbfc78d, "ptp_clock_register" },
	{ 0xaa003d2c, "netif_set_real_num_tx_queues" },
	{ 0xf0c63ff6, "kfree_skb_reason" },
	{ 0xa8aa72aa, "skb_complete_tx_timestamp" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x59a2f0ee, "packing" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x3d0cb7f4, "ethtool_aggregate_phy_stats" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xe5dfb811, "_dev_warn" },
	{ 0xad1b7674, "flow_rule_match_ports" },
	{ 0x7dffef5, "__devm_regmap_init_mmio_clk" },
	{ 0x228cc981, "ethtool_aggregate_mac_stats" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x81ca1f3e, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x30eaaf19, "ptp_clock_unregister" },
	{ 0x1943e917, "__netdev_alloc_skb" },
	{ 0x52e950d7, "of_phy_get" },
	{ 0xe62accaa, "phy_set_mode_ext" },
	{ 0xd7fc234c, "netdev_reset_tc" },
	{ 0xb2baa391, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7113cd13, "devm_ioremap_resource" },
	{ 0xe56257f, "ethtool_aggregate_rmon_stats" },
	{ 0x3eb6e3a0, "flow_rule_match_vlan" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe197db14, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdab93485, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x82fda941, "netdev_set_num_tc" },
	{ 0x29960a2, "regmap_update_bits_base" },
	{ 0xb243772a, "dev_err_probe" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0x1ec7160c, "dev_kfree_skb_any_reason" },
	{ 0x5003310, "devlink_sb_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xedc761e8, "flow_rule_match_control" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0xd8043931, "br_vlan_enabled" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x199dc40d, "regmap_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc6304f1e, "devm_kmalloc" },
	{ 0xa5872d2c, "skb_put" },
	{ 0xe48942fe, "skb_tstamp_tx" },
	{ 0xd71c85e2, "of_phy_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x21ed2a26, "skb_clone_sk" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x595274b8, "regmap_fields_update_bits_base" },
	{ 0x3bc1883e, "flow_rule_match_eth_addrs" },
	{ 0xf7fd63f8, "ptp_clock_index" },
	{ 0x6288c717, "devlink_sb_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "libphy,regmap-mmio,bridge");


MODULE_INFO(srcversion, "04FDB3F17165E8C337C51F9");
