#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7ae4c88, "netif_tx_wake_queue" },
	{ 0x49265046, "netif_carrier_on" },
	{ 0x93340053, "netif_carrier_off" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd25d029d, "netif_device_attach" },
	{ 0xb7d8235f, "netif_device_detach" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xec6f5c41, "netdev_err" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x43515bbb, "pci_enable_device" },
	{ 0x7b524d2e, "pci_request_regions" },
	{ 0xaff09c98, "alloc_etherdev_mqs" },
	{ 0x1dc60a4, "dma_set_mask" },
	{ 0xe8294507, "dma_alloc_attrs" },
	{ 0x8ce564f8, "dev_addr_mod" },
	{ 0x7e65780, "register_netdev" },
	{ 0x33b35674, "pci_disable_device" },
	{ 0x1f9b922d, "pci_set_master" },
	{ 0x8a57cb13, "ethtool_op_get_link" },
	{ 0x4e3d7a49, "eth_mac_addr" },
	{ 0x19a62e09, "eth_validate_addr" },
	{ 0x84a87ac2, "param_ops_int" },
	{ 0x47431a63, "param_array_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x92997ed8, "_printk" },
	{ 0xe36252d0, "__pci_register_driver" },
	{ 0x4c65a38a, "pci_unregister_driver" },
	{ 0x2a7b9b83, "netdev_info" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x74b1ed8f, "unregister_netdev" },
	{ 0xdd4d7d3a, "dma_free_attrs" },
	{ 0x5b7020de, "pci_release_regions" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9fdbebef, "free_netdev" },
	{ 0x8e99fb76, "dma_unmap_page_attrs" },
	{ 0x1ec7160c, "dev_kfree_skb_any_reason" },
	{ 0x24d273d1, "add_timer" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x45524a19, "dma_map_page_attrs" },
	{ 0x83ee930a, "__skb_pad" },
	{ 0x8a3951d6, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1943e917, "__netdev_alloc_skb" },
	{ 0xa5872d2c, "skb_put" },
	{ 0x456ec0e5, "eth_type_trans" },
	{ 0xd7de8ec2, "netif_rx" },
	{ 0x48549775, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00000E11d0000AE34sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00000E11d0000AE32sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00000E11d0000AE35sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00000E11d0000F130sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00000E11d0000F150sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00000E11d0000AE43sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00000E11d0000AE40sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00000E11d0000B011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000108Dd00000013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000108Dd00000012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000108Dd00000014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00000E11d0000B030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00000E11d0000B012sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "DE727509965CBCD6678E540");
