#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x26712ed3, "wx_set_ring" },
	{ 0xf7370f56, "system_state" },
	{ 0xe36252d0, "__pci_register_driver" },
	{ 0xdf0cefaa, "wx_init_interrupt_scheme" },
	{ 0xe8557f29, "wx_get_mac_stats" },
	{ 0x49c884da, "devm_ioremap" },
	{ 0x46cbed78, "phy_attached_info" },
	{ 0x37a0cba, "kfree" },
	{ 0x171bc516, "wx_get_coalesce" },
	{ 0xa28c7e70, "pcpu_hot" },
	{ 0xdc6f7c55, "wx_mac_set_default_filter" },
	{ 0x19a62e09, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd0d691c, "pci_set_power_state" },
	{ 0x8b5e033f, "wx_host_interface_command" },
	{ 0xaf44b752, "wx_xmit_frame" },
	{ 0x20fdea8a, "wx_get_sset_count" },
	{ 0xf4c7ffc3, "wx_misc_isb" },
	{ 0x7361366a, "wx_configure_vectors" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4c65a38a, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x60c436c8, "phylink_create" },
	{ 0x1e57d392, "wx_check_flash_load" },
	{ 0x8bcbba4b, "wx_get_pcie_msix_counts" },
	{ 0x368260dc, "wx_vlan_rx_add_vid" },
	{ 0x8ce564f8, "dev_addr_mod" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0x876b1dc5, "wx_stop_adapter" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbf8272c, "wx_get_pauseparam" },
	{ 0xbade59b1, "wx_nway_reset" },
	{ 0x12e96bba, "wx_update_stats" },
	{ 0xb7d8235f, "netif_device_detach" },
	{ 0x8e3c9e09, "wx_clear_hw_cntrs" },
	{ 0xd25d029d, "netif_device_attach" },
	{ 0xc5c64c44, "pci_select_bars" },
	{ 0x7737de75, "wx_sw_init" },
	{ 0xf706eb59, "wx_disable_rx_queue" },
	{ 0xc68f4618, "devm_alloc_etherdev_mqs" },
	{ 0xa79e1627, "device_wakeup_disable" },
	{ 0xe130da00, "wx_vlan_rx_kill_vid" },
	{ 0xdf0e63a1, "_dev_err" },
	{ 0xff9ec0bf, "wx_get_ringparam" },
	{ 0x3faa1b41, "wx_free_resources" },
	{ 0xd6d630, "wx_fix_features" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2980e87a, "wx_clean_all_tx_rings" },
	{ 0xaa003d2c, "netif_set_real_num_tx_queues" },
	{ 0x97b9933d, "netif_set_real_num_rx_queues" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x27b80d6a, "wx_phy_read_reg_mdi_c22" },
	{ 0x7e65780, "register_netdev" },
	{ 0x2a477208, "wx_irq_disable" },
	{ 0x13d41d26, "wx_phy_read_reg_mdi_c45" },
	{ 0xf72ce592, "wx_set_coalesce" },
	{ 0xe23129fc, "wx_napi_enable_all" },
	{ 0x81e6cb21, "wx_configure_rx" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8a57cb13, "ethtool_op_get_link" },
	{ 0xe3c3bcd2, "wx_napi_disable_all" },
	{ 0x5fededdf, "netif_tx_stop_all_queues" },
	{ 0x967d8ac2, "phy_find_first" },
	{ 0xd6586811, "wx_read_ee_hostif" },
	{ 0x498a90b8, "wx_get_drvinfo" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x1f9b922d, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xde6fbbfc, "wx_init_eeprom_params" },
	{ 0x88798b28, "wx_setup_resources" },
	{ 0xc7c1d202, "wx_reset_interrupt_capability" },
	{ 0xcce110f3, "wx_phy_write_reg_mdi_c22" },
	{ 0xc69d43d, "devm_mdiobus_alloc_size" },
	{ 0xa629e02d, "wx_get_ethtool_stats" },
	{ 0xecb463f3, "wx_init_rx_addrs" },
	{ 0x68ec1d01, "dma_set_coherent_mask" },
	{ 0x5ebc1933, "wx_get_channels" },
	{ 0xd7fc234c, "netdev_reset_tc" },
	{ 0x71896dd1, "wx_configure" },
	{ 0xa83fbc9a, "wx_intr_enable" },
	{ 0x8dd8f132, "wx_change_mtu" },
	{ 0x96cc7659, "wx_get_link_ksettings" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x82fda941, "netdev_set_num_tc" },
	{ 0x71a92305, "wx_get_mac_addr" },
	{ 0x57778804, "wx_get_pause_stats" },
	{ 0xcb24476d, "wx_get_stats64" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x33b35674, "pci_disable_device" },
	{ 0xa80baf47, "wx_get_msglevel" },
	{ 0x15995cd7, "__devm_mdiobus_register" },
	{ 0x1dc60a4, "dma_set_mask" },
	{ 0x278622e0, "wx_set_channels" },
	{ 0x15db7866, "wx_set_mac" },
	{ 0xf08b79e3, "wx_phy_write_reg_mdi_c45" },
	{ 0x7c81ce5e, "wx_set_rx_mode" },
	{ 0xa52e774c, "__napi_schedule_irqoff" },
	{ 0x177affaa, "napi_schedule_prep" },
	{ 0x675df37c, "wx_mng_present" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x95ce782d, "wx_get_strings" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x268706d, "wx_fc_enable" },
	{ 0xfc415068, "wx_clear_interrupt_scheme" },
	{ 0x13e9837e, "wx_disable_rx" },
	{ 0x4b3398bd, "wx_msix_clean_rings" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2b2f830b, "phylink_connect_phy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xdccfa62f, "device_set_wakeup_enable" },
	{ 0x9e59545b, "wx_clean_all_rx_rings" },
	{ 0x27ee37b0, "wx_set_msglevel" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4b750e40, "wx_control_hw" },
	{ 0x34c5a246, "wx_reset_misc" },
	{ 0x2148e848, "pci_request_selected_regions" },
	{ 0x1338c9e6, "pci_release_selected_regions" },
	{ 0xbdb597f9, "pci_wake_from_d3" },
	{ 0x737ceb47, "wx_free_irq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xc595cc15, "wx_free_isb_resources" },
	{ 0x19b22487, "pci_enable_device_mem" },
	{ 0x1b572ccb, "wx_set_pauseparam" },
	{ 0xd1bf42ba, "wx_set_features" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x74b1ed8f, "unregister_netdev" },
	{ 0x4b31d37b, "wx_set_link_ksettings" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "libwx,libphy,phylink,mdio_devres");

MODULE_ALIAS("pci:v00008088d00000100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000101sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000102sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000103sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000104sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000105sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000106sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000107sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000108sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000109sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d0000010Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d0000010Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "59F60707152F4150576C3B9");
