#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(phy_print_status, "", "");
KSYMTAB_FUNC(phy_get_rate_matching, "_gpl", "");
KSYMTAB_FUNC(phy_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(phy_aneg_done, "", "");
KSYMTAB_FUNC(phy_check_valid, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_get, "", "");
KSYMTAB_FUNC(phy_mii_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl_running, "", "");
KSYMTAB_FUNC(phy_queue_state_machine, "", "");
KSYMTAB_FUNC(phy_trigger_machine, "", "");
KSYMTAB_FUNC(phy_ethtool_get_strings, "", "");
KSYMTAB_FUNC(phy_ethtool_get_sset_count, "", "");
KSYMTAB_FUNC(phy_ethtool_get_stats, "", "");
KSYMTAB_FUNC(phy_start_cable_test, "", "");
KSYMTAB_FUNC(phy_start_cable_test_tdr, "", "");
KSYMTAB_FUNC(phy_config_aneg, "", "");
KSYMTAB_FUNC(_phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_set, "", "");
KSYMTAB_FUNC(phy_speed_down, "_gpl", "");
KSYMTAB_FUNC(phy_speed_up, "_gpl", "");
KSYMTAB_FUNC(phy_start_machine, "_gpl", "");
KSYMTAB_FUNC(phy_error, "", "");
KSYMTAB_FUNC(phy_request_interrupt, "", "");
KSYMTAB_FUNC(phy_free_interrupt, "", "");
KSYMTAB_FUNC(phy_stop, "", "");
KSYMTAB_FUNC(phy_start, "", "");
KSYMTAB_FUNC(phy_mac_interrupt, "", "");
KSYMTAB_FUNC(phy_init_eee, "", "");
KSYMTAB_FUNC(phy_get_eee_err, "", "");
KSYMTAB_FUNC(phy_ethtool_get_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_set_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_nway_reset, "", "");
KSYMTAB_FUNC(genphy_c45_pma_resume, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_suspend, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_setup_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_setup_forced, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_disable_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_check_and_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_aneg_done, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_link, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_lpa, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_pma, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_mdix, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_eee_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_ext_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_baset1_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_config_aneg, "_gpl", "");
KSYMTAB_FUNC(gen10g_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_loopback, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_fast_retrain, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_set_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_eee_is_active, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_get_eee, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_speed_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_duplex_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_rate_matching_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_interface_num_ports, "_gpl", "");
KSYMTAB_FUNC(phy_lookup_setting, "_gpl", "");
KSYMTAB_FUNC(phy_set_max_speed, "", "");
KSYMTAB_FUNC(phy_resolve_aneg_pause, "_gpl", "");
KSYMTAB_FUNC(phy_resolve_aneg_linkmode, "_gpl", "");
KSYMTAB_FUNC(phy_check_downshift, "_gpl", "");
KSYMTAB_FUNC(__phy_read_mmd, "", "");
KSYMTAB_FUNC(phy_read_mmd, "", "");
KSYMTAB_FUNC(__phy_write_mmd, "", "");
KSYMTAB_FUNC(phy_write_mmd, "", "");
KSYMTAB_FUNC(__phy_package_read_mmd, "", "");
KSYMTAB_FUNC(phy_package_read_mmd, "", "");
KSYMTAB_FUNC(__phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify, "_gpl", "");
KSYMTAB_FUNC(phy_modify, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_save_page, "_gpl", "");
KSYMTAB_FUNC(phy_select_page, "_gpl", "");
KSYMTAB_FUNC(phy_restore_page, "_gpl", "");
KSYMTAB_FUNC(phy_read_paged, "", "");
KSYMTAB_FUNC(phy_write_paged, "", "");
KSYMTAB_FUNC(phy_modify_paged_changed, "", "");
KSYMTAB_FUNC(phy_modify_paged, "", "");
KSYMTAB_DATA(phy_basic_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_fibre_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_all_ports_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_fec_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_ports_array, "_gpl", "");
KSYMTAB_DATA(phy_fibre_port_array, "_gpl", "");
KSYMTAB_DATA(phy_all_ports_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10_100_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features_array, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_full_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap1_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap2_features, "_gpl", "");
KSYMTAB_FUNC(phy_device_free, "", "");
KSYMTAB_FUNC(phy_register_fixup, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_unregister_fixup, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_device_create, "", "");
KSYMTAB_FUNC(fwnode_get_phy_id, "", "");
KSYMTAB_FUNC(get_phy_device, "", "");
KSYMTAB_FUNC(phy_device_register, "", "");
KSYMTAB_FUNC(phy_device_remove, "", "");
KSYMTAB_FUNC(phy_get_c45_ids, "", "");
KSYMTAB_FUNC(phy_find_first, "", "");
KSYMTAB_FUNC(phy_connect_direct, "", "");
KSYMTAB_FUNC(phy_connect, "", "");
KSYMTAB_FUNC(phy_disconnect, "", "");
KSYMTAB_FUNC(phy_init_hw, "", "");
KSYMTAB_FUNC(phy_attached_info, "", "");
KSYMTAB_FUNC(phy_attached_info_irq, "", "");
KSYMTAB_FUNC(phy_attached_print, "", "");
KSYMTAB_FUNC(phy_sfp_attach, "", "");
KSYMTAB_FUNC(phy_sfp_detach, "", "");
KSYMTAB_FUNC(phy_sfp_probe, "", "");
KSYMTAB_FUNC(phy_attach_direct, "", "");
KSYMTAB_FUNC(phy_attach, "", "");
KSYMTAB_FUNC(phy_driver_is_genphy, "_gpl", "");
KSYMTAB_FUNC(phy_driver_is_genphy_10g, "_gpl", "");
KSYMTAB_FUNC(phy_package_join, "_gpl", "");
KSYMTAB_FUNC(of_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_package_leave, "_gpl", "");
KSYMTAB_FUNC(devm_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(devm_of_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_detach, "", "");
KSYMTAB_FUNC(phy_suspend, "", "");
KSYMTAB_FUNC(__phy_resume, "", "");
KSYMTAB_FUNC(phy_resume, "", "");
KSYMTAB_FUNC(phy_loopback, "", "");
KSYMTAB_FUNC(phy_reset_after_clk_enable, "", "");
KSYMTAB_FUNC(genphy_config_eee_advert, "", "");
KSYMTAB_FUNC(genphy_setup_forced, "", "");
KSYMTAB_FUNC(genphy_read_master_slave, "", "");
KSYMTAB_FUNC(genphy_restart_aneg, "", "");
KSYMTAB_FUNC(genphy_check_and_restart_aneg, "", "");
KSYMTAB_FUNC(__genphy_config_aneg, "", "");
KSYMTAB_FUNC(genphy_c37_config_aneg, "", "");
KSYMTAB_FUNC(genphy_aneg_done, "", "");
KSYMTAB_FUNC(genphy_update_link, "", "");
KSYMTAB_FUNC(genphy_read_lpa, "", "");
KSYMTAB_FUNC(genphy_read_status_fixed, "", "");
KSYMTAB_FUNC(genphy_read_status, "", "");
KSYMTAB_FUNC(genphy_c37_read_status, "", "");
KSYMTAB_FUNC(genphy_soft_reset, "", "");
KSYMTAB_FUNC(genphy_handle_interrupt_no_ack, "", "");
KSYMTAB_FUNC(genphy_read_abilities, "", "");
KSYMTAB_FUNC(genphy_read_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_write_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_suspend, "", "");
KSYMTAB_FUNC(genphy_resume, "", "");
KSYMTAB_FUNC(genphy_loopback, "", "");
KSYMTAB_FUNC(phy_remove_link_mode, "", "");
KSYMTAB_FUNC(phy_advertise_supported, "", "");
KSYMTAB_FUNC(phy_advertise_eee_all, "_gpl", "");
KSYMTAB_FUNC(phy_support_eee, "", "");
KSYMTAB_FUNC(phy_support_sym_pause, "", "");
KSYMTAB_FUNC(phy_support_asym_pause, "", "");
KSYMTAB_FUNC(phy_set_sym_pause, "", "");
KSYMTAB_FUNC(phy_set_asym_pause, "", "");
KSYMTAB_FUNC(phy_validate_pause, "", "");
KSYMTAB_FUNC(phy_get_pause, "", "");
KSYMTAB_FUNC(phy_get_internal_delay, "", "");
KSYMTAB_FUNC(fwnode_mdio_find_device, "", "");
KSYMTAB_FUNC(fwnode_phy_find_device, "", "");
KSYMTAB_FUNC(device_phy_find_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_get_phy_node, "_gpl", "");
KSYMTAB_FUNC(phy_driver_register, "", "");
KSYMTAB_FUNC(phy_drivers_register, "", "");
KSYMTAB_FUNC(phy_driver_unregister, "", "");
KSYMTAB_FUNC(phy_drivers_unregister, "", "");
KSYMTAB_FUNC(linkmode_resolve_pause, "_gpl", "");
KSYMTAB_FUNC(linkmode_set_pause, "_gpl", "");
KSYMTAB_FUNC(mdiobus_register_device, "", "");
KSYMTAB_FUNC(mdiobus_unregister_device, "", "");
KSYMTAB_FUNC(mdiobus_get_phy, "", "");
KSYMTAB_FUNC(mdiobus_is_registered_device, "", "");
KSYMTAB_FUNC(mdiobus_alloc_size, "", "");
KSYMTAB_FUNC(mdio_find_bus, "", "");
KSYMTAB_FUNC(mdiobus_scan_c22, "", "");
KSYMTAB_FUNC(__mdiobus_register, "", "");
KSYMTAB_FUNC(mdiobus_unregister, "", "");
KSYMTAB_FUNC(mdiobus_free, "", "");
KSYMTAB_FUNC(__mdiobus_read, "", "");
KSYMTAB_FUNC(__mdiobus_write, "", "");
KSYMTAB_FUNC(__mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__mdiobus_c45_read, "", "");
KSYMTAB_FUNC(__mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_write_nested, "", "");
KSYMTAB_FUNC(mdiobus_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write_nested, "", "");
KSYMTAB_FUNC(__mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify_changed, "_gpl", "");
KSYMTAB_DATA(mdio_bus_type, "", "");
KSYMTAB_FUNC(mdio_bus_exit, "_gpl", "");
KSYMTAB_FUNC(mdio_device_free, "", "");
KSYMTAB_FUNC(mdio_device_create, "", "");
KSYMTAB_FUNC(mdio_device_register, "", "");
KSYMTAB_FUNC(mdio_device_remove, "", "");
KSYMTAB_FUNC(mdio_device_reset, "", "");
KSYMTAB_FUNC(mdio_driver_register, "", "");
KSYMTAB_FUNC(mdio_driver_unregister, "", "");
KSYMTAB_FUNC(swphy_validate_state, "_gpl", "");
KSYMTAB_FUNC(swphy_read_reg, "_gpl", "");
KSYMTAB_FUNC(phy_led_trigger_change_speed, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_register, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_unregister, "_gpl", "");

SYMBOL_CRC(phy_print_status, 0xeb5f01fa, "");
SYMBOL_CRC(phy_get_rate_matching, 0x2b4b3e8a, "_gpl");
SYMBOL_CRC(phy_restart_aneg, 0xea5ef26d, "_gpl");
SYMBOL_CRC(phy_aneg_done, 0x0ed6d03a, "");
SYMBOL_CRC(phy_check_valid, 0xf44f852a, "");
SYMBOL_CRC(phy_ethtool_ksettings_get, 0x0b6b5aa4, "");
SYMBOL_CRC(phy_mii_ioctl, 0xa13a73d0, "");
SYMBOL_CRC(phy_do_ioctl, 0x8b1f0d25, "");
SYMBOL_CRC(phy_do_ioctl_running, 0x8dbd2bfa, "");
SYMBOL_CRC(phy_queue_state_machine, 0xb19ce1ca, "");
SYMBOL_CRC(phy_trigger_machine, 0x8d23ec54, "");
SYMBOL_CRC(phy_ethtool_get_strings, 0xca39e856, "");
SYMBOL_CRC(phy_ethtool_get_sset_count, 0x815098fa, "");
SYMBOL_CRC(phy_ethtool_get_stats, 0xc6246b94, "");
SYMBOL_CRC(phy_start_cable_test, 0xa9da2dbb, "");
SYMBOL_CRC(phy_start_cable_test_tdr, 0x6de5e93f, "");
SYMBOL_CRC(phy_config_aneg, 0x202c08ea, "");
SYMBOL_CRC(_phy_start_aneg, 0x4832670f, "");
SYMBOL_CRC(phy_start_aneg, 0x00e76c92, "");
SYMBOL_CRC(phy_ethtool_ksettings_set, 0x17ec4f4a, "");
SYMBOL_CRC(phy_speed_down, 0x3c54b92c, "_gpl");
SYMBOL_CRC(phy_speed_up, 0xcdc10373, "_gpl");
SYMBOL_CRC(phy_start_machine, 0x7cb99a4b, "_gpl");
SYMBOL_CRC(phy_error, 0xf9b52467, "");
SYMBOL_CRC(phy_request_interrupt, 0x872b8e7a, "");
SYMBOL_CRC(phy_free_interrupt, 0x4596b844, "");
SYMBOL_CRC(phy_stop, 0x5262da97, "");
SYMBOL_CRC(phy_start, 0x78017ef9, "");
SYMBOL_CRC(phy_mac_interrupt, 0x3831a77f, "");
SYMBOL_CRC(phy_init_eee, 0xaa31bf5d, "");
SYMBOL_CRC(phy_get_eee_err, 0x5b62d8f9, "");
SYMBOL_CRC(phy_ethtool_get_eee, 0x16246b7f, "");
SYMBOL_CRC(phy_ethtool_set_eee, 0x98006704, "");
SYMBOL_CRC(phy_ethtool_set_wol, 0xbbddd5bc, "");
SYMBOL_CRC(phy_ethtool_get_wol, 0xe3ce124c, "");
SYMBOL_CRC(phy_ethtool_get_link_ksettings, 0x63f9ee5d, "");
SYMBOL_CRC(phy_ethtool_set_link_ksettings, 0xe22a24bd, "");
SYMBOL_CRC(phy_ethtool_nway_reset, 0x12fd6902, "");
SYMBOL_CRC(genphy_c45_pma_resume, 0x54cec513, "_gpl");
SYMBOL_CRC(genphy_c45_pma_suspend, 0x3412ec27, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_setup_master_slave, 0xb485f2cd, "_gpl");
SYMBOL_CRC(genphy_c45_pma_setup_forced, 0x1e2ad410, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_aneg, 0xb6499398, "_gpl");
SYMBOL_CRC(genphy_c45_an_disable_aneg, 0xf6a473f9, "_gpl");
SYMBOL_CRC(genphy_c45_restart_aneg, 0x389de7c5, "_gpl");
SYMBOL_CRC(genphy_c45_check_and_restart_aneg, 0xc0ce7285, "_gpl");
SYMBOL_CRC(genphy_c45_aneg_done, 0xe6e537c2, "_gpl");
SYMBOL_CRC(genphy_c45_read_link, 0x39069316, "_gpl");
SYMBOL_CRC(genphy_c45_read_lpa, 0x6b1e4dd7, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_master_slave, 0xf4ad5049, "_gpl");
SYMBOL_CRC(genphy_c45_read_pma, 0x87563012, "_gpl");
SYMBOL_CRC(genphy_c45_read_mdix, 0x3b361a79, "_gpl");
SYMBOL_CRC(genphy_c45_read_eee_abilities, 0xd73f2966, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_abilities, 0x04084df5, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_ext_abilities, 0x335c4146, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_abilities, 0x712edff3, "_gpl");
SYMBOL_CRC(genphy_c45_baset1_read_status, 0xb0d3c2c2, "_gpl");
SYMBOL_CRC(genphy_c45_read_status, 0x8a7c3f1c, "_gpl");
SYMBOL_CRC(genphy_c45_config_aneg, 0xcaed7d43, "_gpl");
SYMBOL_CRC(gen10g_config_aneg, 0x00474020, "_gpl");
SYMBOL_CRC(genphy_c45_loopback, 0x9b0fae45, "_gpl");
SYMBOL_CRC(genphy_c45_fast_retrain, 0x61c09ed9, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_cfg, 0x4b595b65, "_gpl");
SYMBOL_CRC(genphy_c45_plca_set_cfg, 0xa85f9733, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_status, 0x8f2d3be6, "_gpl");
SYMBOL_CRC(genphy_c45_eee_is_active, 0xec31907a, "");
SYMBOL_CRC(genphy_c45_ethtool_get_eee, 0xb21310ab, "");
SYMBOL_CRC(genphy_c45_ethtool_set_eee, 0xd81abb09, "");
SYMBOL_CRC(phy_speed_to_str, 0xe4b818c3, "_gpl");
SYMBOL_CRC(phy_duplex_to_str, 0x538d073d, "_gpl");
SYMBOL_CRC(phy_rate_matching_to_str, 0x59edfeb8, "_gpl");
SYMBOL_CRC(phy_interface_num_ports, 0xfcfaa56d, "_gpl");
SYMBOL_CRC(phy_lookup_setting, 0x06209f49, "_gpl");
SYMBOL_CRC(phy_set_max_speed, 0x31f444c9, "");
SYMBOL_CRC(phy_resolve_aneg_pause, 0xb6f8d416, "_gpl");
SYMBOL_CRC(phy_resolve_aneg_linkmode, 0x150102cb, "_gpl");
SYMBOL_CRC(phy_check_downshift, 0xde7829ad, "_gpl");
SYMBOL_CRC(__phy_read_mmd, 0xead2f0a3, "");
SYMBOL_CRC(phy_read_mmd, 0x9525319c, "");
SYMBOL_CRC(__phy_write_mmd, 0x8e046795, "");
SYMBOL_CRC(phy_write_mmd, 0xc3d343b8, "");
SYMBOL_CRC(__phy_package_read_mmd, 0x2de83ab5, "");
SYMBOL_CRC(phy_package_read_mmd, 0x0a302706, "");
SYMBOL_CRC(__phy_package_write_mmd, 0xad2db284, "");
SYMBOL_CRC(phy_package_write_mmd, 0x879855e3, "");
SYMBOL_CRC(phy_modify_changed, 0xcf75afa2, "_gpl");
SYMBOL_CRC(__phy_modify, 0x22e86abc, "_gpl");
SYMBOL_CRC(phy_modify, 0x818a65eb, "_gpl");
SYMBOL_CRC(__phy_modify_mmd_changed, 0xabd069d4, "_gpl");
SYMBOL_CRC(phy_modify_mmd_changed, 0x718c70a5, "_gpl");
SYMBOL_CRC(__phy_modify_mmd, 0x4c87fef1, "_gpl");
SYMBOL_CRC(phy_modify_mmd, 0x2c7bc224, "_gpl");
SYMBOL_CRC(phy_save_page, 0x141b94b9, "_gpl");
SYMBOL_CRC(phy_select_page, 0x7a5800c9, "_gpl");
SYMBOL_CRC(phy_restore_page, 0xc3a9a5f6, "_gpl");
SYMBOL_CRC(phy_read_paged, 0xd00fcd35, "");
SYMBOL_CRC(phy_write_paged, 0x19e7fdfb, "");
SYMBOL_CRC(phy_modify_paged_changed, 0x1a3612e9, "");
SYMBOL_CRC(phy_modify_paged, 0x2b890a68, "");
SYMBOL_CRC(phy_basic_features, 0x23c3b778, "_gpl");
SYMBOL_CRC(phy_basic_t1_features, 0xda10e1e2, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features, 0x03473884, "_gpl");
SYMBOL_CRC(phy_gbit_features, 0x8696808c, "_gpl");
SYMBOL_CRC(phy_gbit_fibre_features, 0x9b16e4ee, "_gpl");
SYMBOL_CRC(phy_gbit_all_ports_features, 0xd9e61980, "_gpl");
SYMBOL_CRC(phy_10gbit_features, 0x3542e347, "_gpl");
SYMBOL_CRC(phy_10gbit_fec_features, 0x3be200ce, "_gpl");
SYMBOL_CRC(phy_basic_ports_array, 0x690f585e, "_gpl");
SYMBOL_CRC(phy_fibre_port_array, 0xe628bb9f, "_gpl");
SYMBOL_CRC(phy_all_ports_features_array, 0x7ac722bd, "_gpl");
SYMBOL_CRC(phy_10_100_features_array, 0x7073c04f, "_gpl");
SYMBOL_CRC(phy_basic_t1_features_array, 0x7de39e07, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features_array, 0x2eca6a19, "_gpl");
SYMBOL_CRC(phy_gbit_features_array, 0x61f67c92, "_gpl");
SYMBOL_CRC(phy_10gbit_features_array, 0xeedd987e, "_gpl");
SYMBOL_CRC(phy_10gbit_full_features, 0x24235223, "_gpl");
SYMBOL_CRC(phy_eee_cap1_features, 0x30110a29, "_gpl");
SYMBOL_CRC(phy_eee_cap2_features, 0x297d7474, "_gpl");
SYMBOL_CRC(phy_device_free, 0xd4b3e03f, "");
SYMBOL_CRC(phy_register_fixup, 0x2838cf1f, "");
SYMBOL_CRC(phy_register_fixup_for_uid, 0xfdaf41cc, "");
SYMBOL_CRC(phy_register_fixup_for_id, 0xc946c195, "");
SYMBOL_CRC(phy_unregister_fixup, 0xc633d82d, "");
SYMBOL_CRC(phy_unregister_fixup_for_uid, 0xd738ca1b, "");
SYMBOL_CRC(phy_unregister_fixup_for_id, 0x3efe1703, "");
SYMBOL_CRC(phy_device_create, 0xcc25720c, "");
SYMBOL_CRC(fwnode_get_phy_id, 0xa6d1964e, "");
SYMBOL_CRC(get_phy_device, 0x3ddc0170, "");
SYMBOL_CRC(phy_device_register, 0x67a8644e, "");
SYMBOL_CRC(phy_device_remove, 0x8689943b, "");
SYMBOL_CRC(phy_get_c45_ids, 0x5bdab3f0, "");
SYMBOL_CRC(phy_find_first, 0x967d8ac2, "");
SYMBOL_CRC(phy_connect_direct, 0xfa5aac86, "");
SYMBOL_CRC(phy_connect, 0x778f8c0b, "");
SYMBOL_CRC(phy_disconnect, 0xf5b531dc, "");
SYMBOL_CRC(phy_init_hw, 0x66e0c9aa, "");
SYMBOL_CRC(phy_attached_info, 0x46cbed78, "");
SYMBOL_CRC(phy_attached_info_irq, 0xc3160f9b, "");
SYMBOL_CRC(phy_attached_print, 0xa9b45206, "");
SYMBOL_CRC(phy_sfp_attach, 0x394a1e11, "");
SYMBOL_CRC(phy_sfp_detach, 0xb6acaa13, "");
SYMBOL_CRC(phy_sfp_probe, 0x4de0310f, "");
SYMBOL_CRC(phy_attach_direct, 0x4d350c2e, "");
SYMBOL_CRC(phy_attach, 0xdb0fab1f, "");
SYMBOL_CRC(phy_driver_is_genphy, 0x98a747d5, "_gpl");
SYMBOL_CRC(phy_driver_is_genphy_10g, 0xc9378df5, "_gpl");
SYMBOL_CRC(phy_package_join, 0xbd2c979c, "_gpl");
SYMBOL_CRC(of_phy_package_join, 0x462a9c13, "_gpl");
SYMBOL_CRC(phy_package_leave, 0x02a48216, "_gpl");
SYMBOL_CRC(devm_phy_package_join, 0xf4718fdd, "_gpl");
SYMBOL_CRC(devm_of_phy_package_join, 0xf9514cd4, "_gpl");
SYMBOL_CRC(phy_detach, 0x6d278f56, "");
SYMBOL_CRC(phy_suspend, 0x6f0eca18, "");
SYMBOL_CRC(__phy_resume, 0x6e66c51d, "");
SYMBOL_CRC(phy_resume, 0x7e7cb4a5, "");
SYMBOL_CRC(phy_loopback, 0x85dd4796, "");
SYMBOL_CRC(phy_reset_after_clk_enable, 0x70571cf0, "");
SYMBOL_CRC(genphy_config_eee_advert, 0x1b66cb6e, "");
SYMBOL_CRC(genphy_setup_forced, 0x8e74f890, "");
SYMBOL_CRC(genphy_read_master_slave, 0x53e2274a, "");
SYMBOL_CRC(genphy_restart_aneg, 0xaff3d60a, "");
SYMBOL_CRC(genphy_check_and_restart_aneg, 0x0b466d66, "");
SYMBOL_CRC(__genphy_config_aneg, 0xd17a057d, "");
SYMBOL_CRC(genphy_c37_config_aneg, 0xdbbdd5a9, "");
SYMBOL_CRC(genphy_aneg_done, 0x6eb27d50, "");
SYMBOL_CRC(genphy_update_link, 0xe0cdd7f2, "");
SYMBOL_CRC(genphy_read_lpa, 0x335e8ec0, "");
SYMBOL_CRC(genphy_read_status_fixed, 0x52e944fe, "");
SYMBOL_CRC(genphy_read_status, 0xb5b418b3, "");
SYMBOL_CRC(genphy_c37_read_status, 0xe82b42c0, "");
SYMBOL_CRC(genphy_soft_reset, 0x85b2c224, "");
SYMBOL_CRC(genphy_handle_interrupt_no_ack, 0xa4be1858, "");
SYMBOL_CRC(genphy_read_abilities, 0x9e97873b, "");
SYMBOL_CRC(genphy_read_mmd_unsupported, 0xaac0a259, "");
SYMBOL_CRC(genphy_write_mmd_unsupported, 0x1e5711fe, "");
SYMBOL_CRC(genphy_suspend, 0xad1b7813, "");
SYMBOL_CRC(genphy_resume, 0xbc311819, "");
SYMBOL_CRC(genphy_loopback, 0xaf932dda, "");
SYMBOL_CRC(phy_remove_link_mode, 0x5e2a5cef, "");
SYMBOL_CRC(phy_advertise_supported, 0xd7420ada, "");
SYMBOL_CRC(phy_advertise_eee_all, 0x40b05769, "_gpl");
SYMBOL_CRC(phy_support_eee, 0x05a9ecc3, "");
SYMBOL_CRC(phy_support_sym_pause, 0x52392134, "");
SYMBOL_CRC(phy_support_asym_pause, 0x56f9427c, "");
SYMBOL_CRC(phy_set_sym_pause, 0x0bf5c8fa, "");
SYMBOL_CRC(phy_set_asym_pause, 0x392a8654, "");
SYMBOL_CRC(phy_validate_pause, 0x50bd7ac9, "");
SYMBOL_CRC(phy_get_pause, 0xd4d700bd, "");
SYMBOL_CRC(phy_get_internal_delay, 0xf2b3469b, "");
SYMBOL_CRC(fwnode_mdio_find_device, 0xe5a20f51, "");
SYMBOL_CRC(fwnode_phy_find_device, 0x79ec0ddf, "");
SYMBOL_CRC(device_phy_find_device, 0x4730be91, "_gpl");
SYMBOL_CRC(fwnode_get_phy_node, 0xb8aaaab0, "_gpl");
SYMBOL_CRC(phy_driver_register, 0x43662e78, "");
SYMBOL_CRC(phy_drivers_register, 0xea436b3a, "");
SYMBOL_CRC(phy_driver_unregister, 0xa053465d, "");
SYMBOL_CRC(phy_drivers_unregister, 0x37838a3c, "");
SYMBOL_CRC(linkmode_resolve_pause, 0xd59a1587, "_gpl");
SYMBOL_CRC(linkmode_set_pause, 0xf4689d50, "_gpl");
SYMBOL_CRC(mdiobus_register_device, 0xb8a9e441, "");
SYMBOL_CRC(mdiobus_unregister_device, 0xcbd5fce5, "");
SYMBOL_CRC(mdiobus_get_phy, 0x3d260bd1, "");
SYMBOL_CRC(mdiobus_is_registered_device, 0xc9188a12, "");
SYMBOL_CRC(mdiobus_alloc_size, 0x0a6dea4e, "");
SYMBOL_CRC(mdio_find_bus, 0xc4c8524b, "");
SYMBOL_CRC(mdiobus_scan_c22, 0x32dd32b2, "");
SYMBOL_CRC(__mdiobus_register, 0x6462361b, "");
SYMBOL_CRC(mdiobus_unregister, 0xfe1cfb98, "");
SYMBOL_CRC(mdiobus_free, 0x6bdb27c4, "");
SYMBOL_CRC(__mdiobus_read, 0x19d16059, "");
SYMBOL_CRC(__mdiobus_write, 0x866bf56d, "");
SYMBOL_CRC(__mdiobus_modify_changed, 0xf3ef484c, "_gpl");
SYMBOL_CRC(__mdiobus_c45_read, 0x88dabe09, "");
SYMBOL_CRC(__mdiobus_c45_write, 0xd934670f, "");
SYMBOL_CRC(mdiobus_read_nested, 0x41401012, "");
SYMBOL_CRC(mdiobus_read, 0x4ce5044d, "");
SYMBOL_CRC(mdiobus_c45_read, 0xd77ad4a4, "");
SYMBOL_CRC(mdiobus_c45_read_nested, 0x4e3cb7b5, "");
SYMBOL_CRC(mdiobus_write_nested, 0xb44a66b8, "");
SYMBOL_CRC(mdiobus_write, 0x2eede12a, "");
SYMBOL_CRC(mdiobus_c45_write, 0xb56e79ff, "");
SYMBOL_CRC(mdiobus_c45_write_nested, 0xca3cfe9b, "");
SYMBOL_CRC(__mdiobus_modify, 0x456e4a4e, "_gpl");
SYMBOL_CRC(mdiobus_modify, 0xeafc35ec, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify, 0xd9cc0077, "_gpl");
SYMBOL_CRC(mdiobus_modify_changed, 0xa37eb770, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify_changed, 0x3bd38a39, "_gpl");
SYMBOL_CRC(mdio_bus_type, 0xcec19d2f, "");
SYMBOL_CRC(mdio_bus_exit, 0xfab30dc0, "_gpl");
SYMBOL_CRC(mdio_device_free, 0xcb4e4905, "");
SYMBOL_CRC(mdio_device_create, 0xd076c7ff, "");
SYMBOL_CRC(mdio_device_register, 0x4d1f8c26, "");
SYMBOL_CRC(mdio_device_remove, 0x884014dc, "");
SYMBOL_CRC(mdio_device_reset, 0x6606703b, "");
SYMBOL_CRC(mdio_driver_register, 0xe9b98351, "");
SYMBOL_CRC(mdio_driver_unregister, 0x1f559b46, "");
SYMBOL_CRC(swphy_validate_state, 0xe4e48b12, "_gpl");
SYMBOL_CRC(swphy_read_reg, 0x18e4f8aa, "_gpl");
SYMBOL_CRC(phy_led_trigger_change_speed, 0xe03badd4, "_gpl");
SYMBOL_CRC(phy_led_triggers_register, 0x16006896, "_gpl");
SYMBOL_CRC(phy_led_triggers_unregister, 0x2a66921c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaaa65ef7, "ethtool_set_ethtool_phy_ops" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x83fd275a, "bpf_trace_run6" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x77e75be3, "sfp_bus_put" },
	{ 0x248a33dd, "__trace_trigger_soft_disabled" },
	{ 0x814b3a0e, "gpiod_set_value_cansleep" },
	{ 0xd4bad11a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x758b59b3, "device_initialize" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0xd1f033ac, "trace_event_raw_init" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa28c7e70, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xad9b3432, "devm_gpiod_get_optional" },
	{ 0x19603129, "get_device" },
	{ 0x2f74ee42, "__dynamic_dev_dbg" },
	{ 0x9cf06002, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x7362d263, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8618667c, "device_match_fwnode" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x69f94667, "pm_wakeup_dev_event" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd7550d54, "put_device" },
	{ 0xb22707fb, "sysfs_remove_file_ns" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe28f338a, "_dev_info" },
	{ 0xb003ae09, "module_put" },
	{ 0xd3102f9c, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfb463261, "phylib_stubs" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x40f0683e, "reset_control_put" },
	{ 0x87971f58, "perf_trace_run_bpf_submit" },
	{ 0x16879db9, "bus_unregister" },
	{ 0x24c35bc0, "devm_kfree" },
	{ 0xdf0e63a1, "_dev_err" },
	{ 0x77d3a51, "bus_find_device" },
	{ 0x1c6e1891, "device_add" },
	{ 0x4260aabf, "sysfs_remove_link" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x715a5ed0, "vprintk" },
	{ 0xc9bd3bb5, "__devres_alloc_node" },
	{ 0x8a62b81b, "sfp_upstream_stop" },
	{ 0x33a85d65, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x2d38a89e, "is_acpi_data_node" },
	{ 0xe5147c6b, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x84edbe36, "sfp_bus_add_upstream" },
	{ 0xccf52bc9, "sfp_upstream_start" },
	{ 0x49dc2a84, "class_unregister" },
	{ 0xd5bae613, "led_trigger_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x720cd5a8, "device_register" },
	{ 0xfa094ec, "device_del" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x61b4369d, "device_bind_driver" },
	{ 0xe5dfb811, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x767b8fd3, "device_link_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x693ad998, "fwnode_handle_get" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc87c9e35, "netdev_alert" },
	{ 0xce0a11ad, "ethnl_cable_test_alloc" },
	{ 0x4f228d84, "fwnode_find_reference" },
	{ 0x78a0897a, "fwnode_property_read_string" },
	{ 0x61b916b8, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x37c5b342, "linkwatch_fire_event" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc366e52e, "__reset_control_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x93340053, "netif_carrier_off" },
	{ 0xd9e06acf, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xea8d023c, "led_trigger_register" },
	{ 0x49265046, "netif_carrier_on" },
	{ 0xb71025f3, "gpiod_get_optional" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6ef784ec, "mdiobus_setup_mdiodev_from_board_info" },
	{ 0xb212af46, "sysfs_create_link_nowarn" },
	{ 0xb243772a, "dev_err_probe" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0xfa3c365c, "ethnl_cable_test_finished" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3edb086b, "pse_control_put" },
	{ 0x59bcd27b, "led_trigger_event" },
	{ 0x3436481c, "device_release_driver" },
	{ 0x7bada78f, "ethnl_cable_test_free" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x4e441e67, "gpiod_set_consumer_name" },
	{ 0x6119030e, "device_link_add" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x7c22dca6, "driver_register" },
	{ 0x7458eb67, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdfb8c9e7, "__dev_fwnode" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0x2a7b9b83, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xafea3650, "bus_register" },
	{ 0xf0910075, "sfp_bus_del_upstream" },
	{ 0xb104052b, "class_find_device" },
	{ 0xfd531ad8, "sfp_bus_find_fwnode" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x598c2c2, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x96054378, "is_acpi_device_node" },
	{ 0x92191042, "gpiod_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc6304f1e, "devm_kmalloc" },
	{ 0xc9d599a, "sysfs_create_file_ns" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7e407386, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9d2b2dcf, "trace_raw_output_prep" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D657B9165A8F9F3C9CF7B82");
