#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2033dfc2, "usbnet_skb_return" },
	{ 0xbc311819, "genphy_resume" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x599c5c8b, "usbnet_tx_timeout" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0x3e2f2de1, "usbnet_get_link_ksettings_mii" },
	{ 0x84effd97, "usbnet_read_cmd" },
	{ 0x7675335e, "skb_copy_expand" },
	{ 0x63f9ee5d, "phy_ethtool_get_link_ksettings" },
	{ 0xa0faaf79, "usbnet_write_cmd_nopm" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x7b250ecf, "usbnet_get_link" },
	{ 0x6f0eca18, "phy_suspend" },
	{ 0x938a978a, "usbnet_suspend" },
	{ 0x2af647f4, "usbnet_start_xmit" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xf0c63ff6, "kfree_skb_reason" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x82520012, "usbnet_read_cmd_nopm" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x4d07fe92, "skb_push" },
	{ 0x832bf0a1, "usbnet_get_drvinfo" },
	{ 0xca90d34f, "usbnet_get_endpoints" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x6bdb27c4, "mdiobus_free" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x9704df60, "eth_platform_get_mac_address" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xc3556c4b, "usb_deregister" },
	{ 0xd7c23394, "mii_nway_restart" },
	{ 0x78017ef9, "phy_start" },
	{ 0x1db98ba, "usbnet_nway_reset" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeb5f01fa, "phy_print_status" },
	{ 0xd8932289, "dev_get_tstats64" },
	{ 0x1943e917, "__netdev_alloc_skb" },
	{ 0xf9cadc2d, "__dynamic_netdev_dbg" },
	{ 0x605194ae, "net_selftest" },
	{ 0xfe1cfb98, "mdiobus_unregister" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x935e60c2, "usbnet_update_max_qlen" },
	{ 0x7642ca90, "usbnet_stop" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc164dd44, "generic_mii_ioctl" },
	{ 0x3d260bd1, "mdiobus_get_phy" },
	{ 0x7433d999, "usbnet_disconnect" },
	{ 0x12fd6902, "phy_ethtool_nway_reset" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x6462361b, "__mdiobus_register" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x38b4a09a, "usbnet_link_change" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x44ee1fde, "usbnet_probe" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0x1ec7160c, "dev_kfree_skb_any_reason" },
	{ 0x5262da97, "phy_stop" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x8dbd2bfa, "phy_do_ioctl_running" },
	{ 0x4bccd9b4, "usbnet_resume" },
	{ 0xf5b531dc, "phy_disconnect" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8596a226, "mii_ethtool_gset" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0x2a7b9b83, "netdev_info" },
	{ 0x2b2f830b, "phylink_connect_phy" },
	{ 0xa6dea4e, "mdiobus_alloc_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x79d7d0a5, "usbnet_set_msglevel" },
	{ 0x30369632, "usbnet_write_cmd" },
	{ 0x4e3d7a49, "eth_mac_addr" },
	{ 0xc6304f1e, "devm_kmalloc" },
	{ 0xa5872d2c, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa5bcc233, "mii_link_ok" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x27386ecb, "usb_register_driver" },
	{ 0x778f8c0b, "phy_connect" },
	{ 0x3989eca2, "usbnet_change_mtu" },
	{ 0x20b56c77, "usbnet_write_cmd_async" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0x46cbed78, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe22a24bd, "phy_ethtool_set_link_ksettings" },
	{ 0x19a62e09, "eth_validate_addr" },
	{ 0xbb132d26, "usbnet_unlink_rx_urbs" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb3520e79, "netdev_warn" },
	{ 0xad0856b2, "usbnet_set_link_ksettings_mii" },
	{ 0xec6f5c41, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x60c436c8, "phylink_create" },
	{ 0x8ce564f8, "dev_addr_mod" },
	{ 0x46e554f0, "usbnet_get_msglevel" },
	{ 0x7a998807, "mii_check_media" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa0cc7304, "usbnet_open" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "usbnet,libphy,phylink,usbcore,mii,selftests");

MODULE_ALIAS("usb:v077Bp2226d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p1040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p1A00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p1720d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p420Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08DDp90FFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08DDp0114d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p2009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p003Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p006Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v6189p182Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0056d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p061Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp0017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1189p0893d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1631p6200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04F1p3008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp7203d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p772Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p7720d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p1780d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0789p0160d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0018d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1557p7720d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07D1p3C05d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C05d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p1A02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1737p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0930d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp5055d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05ACp1402d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p772Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14EApAB11d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0pA877d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p7E2Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p172Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v066Bp20F9d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v33F7p0004d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "21C68325AC4A4A01448C525");
