#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v2, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_be, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_DATA(rtw89_pci_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops_be, "", "");
KSYMTAB_DATA(rtw89_pci_gen_be, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0xb3ad8eb3, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0xb945f091, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v2, 0x7a3193e3, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0x1b1e42e8, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0x19665399, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0x1d359882, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0x450140f9, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v2, 0x59056a50, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v2, 0x0131b22b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_be, 0x33c84a55, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0xb8e2e361, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0x87fcccf7, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0x7c303d86, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0x83328631, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0x533eb6f7, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0x6df79d58, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v2, 0x90b2bb33, "");
SYMBOL_CRC(rtw89_pm_ops, 0xf602a709, "");
SYMBOL_CRC(rtw89_pci_gen_ax, 0x2c420fa4, "");
SYMBOL_CRC(rtw89_pci_probe, 0xd71e00e1, "");
SYMBOL_CRC(rtw89_pci_remove, 0x2ed8986b, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v2, 0x3f696146, "");
SYMBOL_CRC(rtw89_pm_ops_be, 0xa433b9c7, "");
SYMBOL_CRC(rtw89_pci_gen_be, 0xd168dde1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd4d7d3a, "dma_free_attrs" },
	{ 0xf177c0d2, "rtw89_core_rx" },
	{ 0x1f51de4f, "param_ops_bool" },
	{ 0x5b7020de, "pci_release_regions" },
	{ 0x75b47694, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa3f9ea02, "rtw89_core_deinit" },
	{ 0xbba08a1e, "pci_write_config_byte" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x33b35674, "pci_disable_device" },
	{ 0x1dc60a4, "dma_set_mask" },
	{ 0x177affaa, "napi_schedule_prep" },
	{ 0x86aaeae2, "pci_read_config_byte" },
	{ 0x1ec7160c, "dev_kfree_skb_any_reason" },
	{ 0xe86d3ebc, "pci_free_irq_vectors" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa0b6298d, "rtw89_core_napi_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe04532b0, "rtw89_chip_info_setup" },
	{ 0x8c7390ba, "rtw89_mac_get_err_status" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb3c68abf, "pcie_capability_read_word" },
	{ 0x1b556bd3, "pci_find_ext_capability" },
	{ 0x1163ec88, "rtw89_alloc_ieee80211_hw" },
	{ 0xb4a21fb6, "devm_request_threaded_irq" },
	{ 0x43515bbb, "pci_enable_device" },
	{ 0xa5872d2c, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfafc0eea, "consume_skb" },
	{ 0x45aa07ff, "pci_iomap" },
	{ 0x1a7b2ee, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0xd62e47c2, "skb_dequeue" },
	{ 0x8e99fb76, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x7b524d2e, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa28c7e70, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9905d485, "rtw89_core_napi_init" },
	{ 0xb2cb893c, "rtw89_core_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8a3951d6, "dev_driver_string" },
	{ 0x296d1a29, "ieee80211_tx_status_skb" },
	{ 0xf6bf39f0, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x45524a19, "dma_map_page_attrs" },
	{ 0x471729bc, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xfeee1964, "devm_free_irq" },
	{ 0x8f6d2e31, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe28f338a, "_dev_info" },
	{ 0xa7e5c81, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x1935adc5, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x7ab5ae65, "__dma_sync_single_for_cpu" },
	{ 0xdf0e63a1, "_dev_err" },
	{ 0xc88a962c, "rtw89_check_quirks" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd9d0f246, "rtw89_core_napi_deinit" },
	{ 0x4d07fe92, "skb_push" },
	{ 0xe8294507, "dma_alloc_attrs" },
	{ 0x5fc19978, "rtw89_free_ieee80211_hw" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x786ff003, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x96cd814e, "pci_iounmap" },
	{ 0xfb578fc5, "memset" },
	{ 0xe5dfb811, "_dev_warn" },
	{ 0x1f9b922d, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc52066f4, "rtw89_ser_notify" },
	{ 0x1943e917, "__netdev_alloc_skb" },
	{ 0x1816d610, "skb_unlink" },
	{ 0x68ec1d01, "dma_set_coherent_mask" },
	{ 0x25eda9d0, "rtw89_core_register" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "FB2D5C0F1E71565F288CC4E");
