#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ndlc_open, "", "");
KSYMTAB_FUNC(ndlc_close, "", "");
KSYMTAB_FUNC(ndlc_send, "", "");
KSYMTAB_FUNC(ndlc_recv, "", "");
KSYMTAB_FUNC(ndlc_probe, "", "");
KSYMTAB_FUNC(ndlc_remove, "", "");
KSYMTAB_FUNC(st_nci_probe, "_gpl", "");
KSYMTAB_FUNC(st_nci_remove, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_load_session, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_event_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_cmd_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_disable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_enable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_discover_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_se_io, "", "");
KSYMTAB_FUNC(st_nci_se_init, "", "");
KSYMTAB_FUNC(st_nci_se_deinit, "", "");
KSYMTAB_FUNC(st_nci_vendor_cmds_init, "", "");

SYMBOL_CRC(ndlc_open, 0x1c82af16, "");
SYMBOL_CRC(ndlc_close, 0x170029a2, "");
SYMBOL_CRC(ndlc_send, 0xba462c06, "");
SYMBOL_CRC(ndlc_recv, 0xb3e724af, "");
SYMBOL_CRC(ndlc_probe, 0xb0c98499, "");
SYMBOL_CRC(ndlc_remove, 0xe897921e, "");
SYMBOL_CRC(st_nci_probe, 0xd07b4761, "_gpl");
SYMBOL_CRC(st_nci_remove, 0xee20cc93, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0xefe82b6b, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0x1355d2cc, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0x8626c666, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0xa9b680ad, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0x0f5c1291, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0x2c886851, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0x8868a3ac, "");
SYMBOL_CRC(st_nci_se_init, 0xa8ee421f, "");
SYMBOL_CRC(st_nci_se_deinit, 0x419ed07a, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0x213988ed, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x167c5967, "print_hex_dump" },
	{ 0xe6a08d64, "nfc_se_transaction" },
	{ 0xdf0e63a1, "_dev_err" },
	{ 0x29c5175d, "skb_pull" },
	{ 0x615527f3, "nci_hci_connect_gate" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf0c63ff6, "kfree_skb_reason" },
	{ 0x4d07fe92, "skb_push" },
	{ 0xd5a43273, "nla_put" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x8426149e, "nci_prop_cmd" },
	{ 0x224d78c2, "nci_core_conn_create" },
	{ 0xaac0ba05, "nci_nfcc_loopback" },
	{ 0xa2a07530, "nci_unregister_device" },
	{ 0x66b4b745, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe6d197f5, "nci_hci_send_event" },
	{ 0x750ff4e2, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x23ad0e9b, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x95046516, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc22bad75, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xfc9b0a65, "nci_recv_frame" },
	{ 0xc4e49f38, "nci_hci_dev_session_init" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0xbea3c13f, "nci_hci_set_param" },
	{ 0x5950fa34, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa0e638fc, "skb_queue_head" },
	{ 0xb84cd666, "nci_free_device" },
	{ 0x2461b235, "nci_allocate_device" },
	{ 0x24ec669b, "nci_register_device" },
	{ 0xc6304f1e, "devm_kmalloc" },
	{ 0xc8a57e2f, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6a988612, "nfc_add_se" },
	{ 0xd62e47c2, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x54fe9462, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xded88d1c, "skb_queue_purge_reason" },
	{ 0x1549fe95, "nci_nfcee_mode_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd19e3c45, "nci_hci_get_param" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa7e5c81, "skb_queue_tail" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "nfc,nci");


MODULE_INFO(srcversion, "5FCF973BF4AA30B3DDAC57D");
