#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pcmcia_register_driver, "", "");
KSYMTAB_FUNC(pcmcia_unregister_driver, "", "");
KSYMTAB_FUNC(pcmcia_dev_present, "", "");
KSYMTAB_FUNC(pcmcia_read_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_write_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_map_mem_page, "", "");
KSYMTAB_FUNC(pcmcia_fixup_iowidth, "", "");
KSYMTAB_FUNC(pcmcia_fixup_vpp, "", "");
KSYMTAB_FUNC(pcmcia_release_window, "", "");
KSYMTAB_FUNC(pcmcia_enable_device, "", "");
KSYMTAB_FUNC(pcmcia_request_io, "", "");
KSYMTAB_FUNC(pcmcia_request_irq, "", "");
KSYMTAB_FUNC(pcmcia_request_window, "", "");
KSYMTAB_FUNC(pcmcia_disable_device, "", "");
KSYMTAB_FUNC(pcmcia_parse_tuple, "", "");
KSYMTAB_FUNC(pcmcia_loop_config, "", "");
KSYMTAB_FUNC(pcmcia_loop_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_mac_from_cis, "", "");

SYMBOL_CRC(pcmcia_register_driver, 0x5b869137, "");
SYMBOL_CRC(pcmcia_unregister_driver, 0xaef20851, "");
SYMBOL_CRC(pcmcia_dev_present, 0xfac1114a, "");
SYMBOL_CRC(pcmcia_read_config_byte, 0x67852cd7, "");
SYMBOL_CRC(pcmcia_write_config_byte, 0xf6167214, "");
SYMBOL_CRC(pcmcia_map_mem_page, 0x8b948dad, "");
SYMBOL_CRC(pcmcia_fixup_iowidth, 0x673ec750, "");
SYMBOL_CRC(pcmcia_fixup_vpp, 0x3030ec1c, "");
SYMBOL_CRC(pcmcia_release_window, 0x99bfe73c, "");
SYMBOL_CRC(pcmcia_enable_device, 0xe0c5309f, "");
SYMBOL_CRC(pcmcia_request_io, 0x89516036, "");
SYMBOL_CRC(pcmcia_request_irq, 0x1e2dc5fe, "");
SYMBOL_CRC(pcmcia_request_window, 0x41f2631c, "");
SYMBOL_CRC(pcmcia_disable_device, 0xb948c9c6, "");
SYMBOL_CRC(pcmcia_parse_tuple, 0xbb312663, "");
SYMBOL_CRC(pcmcia_loop_config, 0x3233f890, "");
SYMBOL_CRC(pcmcia_loop_tuple, 0x27ac2f78, "");
SYMBOL_CRC(pcmcia_get_tuple, 0xf46e1d4d, "");
SYMBOL_CRC(pcmcia_get_mac_from_cis, 0x0c688b99, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xe5147c6b, "driver_unregister" },
	{ 0x83e8dac2, "class_interface_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x38199363, "class_interface_register" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x720cd5a8, "device_register" },
	{ 0x9d27e209, "pcmcia_parse_uevents" },
	{ 0xfb578fc5, "memset" },
	{ 0xe5dfb811, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x36075294, "bus_rescan_devices" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x721df68, "_dev_notice" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdefaaa39, "pcmcia_socket_class" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x53a8b1bc, "pcmcia_put_socket" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x84a87ac2, "param_ops_int" },
	{ 0x91e570d6, "sysfs_remove_bin_file" },
	{ 0x7c22dca6, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0xafea3650, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x598c2c2, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0x8b6c8378, "pcmcia_get_socket" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7e407386, "dev_set_name" },
	{ 0xc0786edc, "driver_remove_file" },
	{ 0x9a211950, "driver_attach" },
	{ 0x7b948f23, "device_unregister" },
	{ 0x72f03bd8, "request_firmware" },
	{ 0xa83e68b8, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x19603129, "get_device" },
	{ 0x2f74ee42, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8ce564f8, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd7550d54, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x3c898894, "driver_create_file" },
	{ 0x9bfe739b, "bus_for_each_dev" },
	{ 0xe28f338a, "_dev_info" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0x19a4534a, "pccard_register_pcmcia" },
	{ 0xb003ae09, "module_put" },
	{ 0x16879db9, "bus_unregister" },
	{ 0xdf0e63a1, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "pcmcia_core");


MODULE_INFO(srcversion, "362A905E7D05BE21907F337");
