#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rpmsg_class, "", "");
KSYMTAB_FUNC(rpmsg_create_channel, "", "");
KSYMTAB_FUNC(rpmsg_release_channel, "", "");
KSYMTAB_FUNC(rpmsg_create_ept, "", "");
KSYMTAB_FUNC(rpmsg_destroy_ept, "", "");
KSYMTAB_FUNC(rpmsg_send, "", "");
KSYMTAB_FUNC(rpmsg_sendto, "", "");
KSYMTAB_FUNC(rpmsg_send_offchannel, "", "");
KSYMTAB_FUNC(rpmsg_trysend, "", "");
KSYMTAB_FUNC(rpmsg_trysendto, "", "");
KSYMTAB_FUNC(rpmsg_poll, "", "");
KSYMTAB_FUNC(rpmsg_trysend_offchannel, "", "");
KSYMTAB_FUNC(rpmsg_set_flow_control, "_gpl", "");
KSYMTAB_FUNC(rpmsg_get_mtu, "", "");
KSYMTAB_FUNC(rpmsg_find_device, "", "");
KSYMTAB_FUNC(rpmsg_register_device_override, "", "");
KSYMTAB_FUNC(rpmsg_register_device, "", "");
KSYMTAB_FUNC(rpmsg_unregister_device, "", "");
KSYMTAB_FUNC(__register_rpmsg_driver, "", "");
KSYMTAB_FUNC(unregister_rpmsg_driver, "", "");

SYMBOL_CRC(rpmsg_class, 0x24d53b5d, "");
SYMBOL_CRC(rpmsg_create_channel, 0x88e0484b, "");
SYMBOL_CRC(rpmsg_release_channel, 0x70159e16, "");
SYMBOL_CRC(rpmsg_create_ept, 0x611692e9, "");
SYMBOL_CRC(rpmsg_destroy_ept, 0x01b3f6ba, "");
SYMBOL_CRC(rpmsg_send, 0x208c52d4, "");
SYMBOL_CRC(rpmsg_sendto, 0x1cd0f55b, "");
SYMBOL_CRC(rpmsg_send_offchannel, 0x9f193b60, "");
SYMBOL_CRC(rpmsg_trysend, 0x8e1b94ec, "");
SYMBOL_CRC(rpmsg_trysendto, 0x2a41102e, "");
SYMBOL_CRC(rpmsg_poll, 0xb1187293, "");
SYMBOL_CRC(rpmsg_trysend_offchannel, 0x1320984d, "");
SYMBOL_CRC(rpmsg_set_flow_control, 0x6c416df1, "_gpl");
SYMBOL_CRC(rpmsg_get_mtu, 0x296b4e4d, "");
SYMBOL_CRC(rpmsg_find_device, 0x80fb2d48, "");
SYMBOL_CRC(rpmsg_register_device_override, 0x52121b2c, "");
SYMBOL_CRC(rpmsg_register_device, 0xe4353c2c, "");
SYMBOL_CRC(rpmsg_unregister_device, 0xca93bf45, "");
SYMBOL_CRC(__register_rpmsg_driver, 0x3bb32bc1, "");
SYMBOL_CRC(unregister_rpmsg_driver, 0xf9429b9b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdf0e63a1, "_dev_err" },
	{ 0x2d24236c, "device_find_child" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5a921311, "strncmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x754d539c, "strlen" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7e407386, "dev_set_name" },
	{ 0x758b59b3, "device_initialize" },
	{ 0xe6bd240d, "driver_set_override" },
	{ 0x1c6e1891, "device_add" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd7550d54, "put_device" },
	{ 0x7b948f23, "device_unregister" },
	{ 0x7c22dca6, "driver_register" },
	{ 0xe5147c6b, "driver_unregister" },
	{ 0x7458eb67, "class_register" },
	{ 0x92997ed8, "_printk" },
	{ 0xafea3650, "bus_register" },
	{ 0xa2e973ca, "class_destroy" },
	{ 0x16879db9, "bus_unregister" },
	{ 0x29807ae6, "dev_pm_domain_attach" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x39cbac37, "dev_pm_domain_detach" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9A00CC334071A208E74EC2F");
