#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d55fb2, "cxgb3_queue_tid_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xda973507, "cxgbi_sock_fail_act_open" },
	{ 0x37a0cba, "kfree" },
	{ 0x704e185b, "cxgbi_sock_skb_entail" },
	{ 0x8319f739, "cxgbi_ddp_set_one_ppod" },
	{ 0x31dc7724, "__alloc_skb" },
	{ 0x2d7db15f, "cxgbi_sock_closed" },
	{ 0x8f65a876, "cxgb3_insert_tid" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x7e9cbe20, "cxgbi_sock_established" },
	{ 0x1c3e4f8e, "cxgbi_conn_tx_open" },
	{ 0x79baeb92, "cxgb3_free_atid" },
	{ 0xc8af673f, "cxgbi_sock_free_cpl_skbs" },
	{ 0xc3f06a9c, "cxgbi_sock_purge_wr_queue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5dfbbd9, "cxgb3_remove_tid" },
	{ 0xf0d40839, "t3_l2e_free" },
	{ 0x88089631, "t3_l2t_get" },
	{ 0x12a79550, "cxgb3_alloc_atid" },
	{ 0xd5df1b05, "ip6_mtu" },
	{ 0x5554552, "cxgbi_sock_select_mss" },
	{ 0xadcda900, "ipv4_mtu" },
	{ 0x7a26bf1d, "cxgbi_create_session" },
	{ 0x1ba36242, "cxgbi_destroy_session" },
	{ 0x92ac2984, "cxgbi_create_conn" },
	{ 0x4be5636b, "iscsi_conn_unbind" },
	{ 0xb876081e, "cxgbi_bind_conn" },
	{ 0xae178694, "iscsi_conn_start" },
	{ 0x2983536e, "iscsi_conn_stop" },
	{ 0x39372209, "iscsi_tcp_conn_teardown" },
	{ 0x8602d50e, "cxgbi_set_conn_param" },
	{ 0x6397c6d, "cxgbi_get_ep_param" },
	{ 0x26f60bdc, "iscsi_conn_get_param" },
	{ 0x352551e6, "iscsi_session_get_param" },
	{ 0x31c3360, "cxgbi_get_host_param" },
	{ 0xb8047a66, "cxgbi_set_host_param" },
	{ 0x3c518b08, "iscsi_conn_send_pdu" },
	{ 0xd6c619ae, "cxgbi_get_conn_stats" },
	{ 0x5e7a76d7, "iscsi_tcp_task_init" },
	{ 0x51c8e103, "iscsi_tcp_task_xmit" },
	{ 0x8368fcc9, "cxgbi_cleanup_task" },
	{ 0xce6c6a6f, "cxgbi_conn_alloc_pdu" },
	{ 0x664736ba, "cxgbi_conn_xmit_pdu" },
	{ 0x556ea588, "cxgbi_conn_init_pdu" },
	{ 0x53419515, "cxgbi_parse_pdu_itt" },
	{ 0xd4b3bfd7, "iscsi_session_recovery_timedout" },
	{ 0x47a6af20, "cxgbi_ep_connect" },
	{ 0x925b640f, "cxgbi_ep_poll" },
	{ 0x188e4a4b, "cxgbi_ep_disconnect" },
	{ 0xef346615, "cxgbi_attr_is_visible" },
	{ 0x65781f43, "iscsi_queuecommand" },
	{ 0x368286f4, "iscsi_eh_abort" },
	{ 0x35a23a10, "iscsi_eh_device_reset" },
	{ 0x46435db7, "iscsi_eh_recover_target" },
	{ 0xbc700c52, "iscsi_target_alloc" },
	{ 0x2f061dae, "scsi_change_queue_depth" },
	{ 0x398b094a, "iscsi_eh_cmd_timed_out" },
	{ 0x6b23386f, "param_ops_uint" },
	{ 0x84a87ac2, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x679eeb8e, "cxgbi_sock_rcv_wr_ack" },
	{ 0x2701aa63, "__kfree_skb" },
	{ 0x92997ed8, "_printk" },
	{ 0x7c77556, "cxgbi_device_find_by_lldev" },
	{ 0x347e5c8, "cxgbi_device_unregister" },
	{ 0xa68b1bbb, "cxgb3_ofld_send" },
	{ 0x9a1e3499, "cxgbi_sock_act_open_req_arp_failure" },
	{ 0xf0c63ff6, "kfree_skb_reason" },
	{ 0xca8184e4, "cxgbi_sock_rcv_close_conn_rpl" },
	{ 0x5f903fac, "cxgbi_sock_rcv_abort_rpl" },
	{ 0xc919517a, "cxgbi_sock_rcv_peer_close" },
	{ 0x86b48a69, "cxgbi_iscsi_init" },
	{ 0xc9aac088, "cxgb3_register_client" },
	{ 0x69b873, "cxgb3_unregister_client" },
	{ 0x7fdb6004, "cxgbi_device_unregister_all" },
	{ 0x42d5b195, "cxgbi_iscsi_cleanup" },
	{ 0x6845b7dc, "cxgbi_device_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1bdaafe1, "cxgbi_tagmask_set" },
	{ 0xb30d833b, "cxgbi_ddp_ppm_setup" },
	{ 0x4d659472, "cxgbi_device_portmap_create" },
	{ 0x2f4f3b18, "cxgbi_hbas_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcfc813c3, "t3_l2t_send_slow" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xbe42da74, "skb_copy_bits" },
	{ 0x3e68e340, "cxgbi_conn_pdu_ready" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xdf2883ae, "___pskb_trim" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "cxgb3,libcxgbi,libiscsi,libiscsi_tcp,scsi_mod,libcxgb");


MODULE_INFO(srcversion, "7D71BC3F2E1D505069033E1");
