#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdns_init, "_gpl", "");
KSYMTAB_FUNC(cdns_remove, "_gpl", "");
KSYMTAB_FUNC(cdns_suspend, "_gpl", "");
KSYMTAB_FUNC(cdns_resume, "_gpl", "");
KSYMTAB_FUNC(cdns_set_active, "_gpl", "");
KSYMTAB_FUNC(cdns_clear_vbus, "_gpl", "");
KSYMTAB_FUNC(cdns_set_vbus, "_gpl", "");
KSYMTAB_FUNC(cdns_drd_gadget_on, "_gpl", "");
KSYMTAB_FUNC(cdns_drd_gadget_off, "_gpl", "");
KSYMTAB_FUNC(cdns_power_is_lost, "_gpl", "");

SYMBOL_CRC(cdns_init, 0x5984fe57, "_gpl");
SYMBOL_CRC(cdns_remove, 0x561af049, "_gpl");
SYMBOL_CRC(cdns_suspend, 0x29a64993, "_gpl");
SYMBOL_CRC(cdns_resume, 0x3f2d489c, "_gpl");
SYMBOL_CRC(cdns_set_active, 0x32d3d5a3, "_gpl");
SYMBOL_CRC(cdns_clear_vbus, 0xf43155b0, "_gpl");
SYMBOL_CRC(cdns_set_vbus, 0xab6d28e3, "_gpl");
SYMBOL_CRC(cdns_drd_gadget_on, 0xc9319795, "_gpl");
SYMBOL_CRC(cdns_drd_gadget_off, 0x88cd941d, "_gpl");
SYMBOL_CRC(cdns_power_is_lost, 0x9bb6d325, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f74ee42, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4cc50c2d, "platform_device_add_data" },
	{ 0x1690b503, "usb_role_switch_get_drvdata" },
	{ 0x16df4f61, "usb_get_dr_mode" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xae89199b, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd02770ca, "pm_runtime_enable" },
	{ 0x29f2b257, "platform_device_add_resources" },
	{ 0xdf0e63a1, "_dev_err" },
	{ 0x2e40b539, "platform_device_unregister" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfb85f977, "phy_reset" },
	{ 0x4f0a5529, "platform_device_add" },
	{ 0x3f69b826, "platform_device_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe5dfb811, "_dev_warn" },
	{ 0xb572dc66, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xc4aeccbf, "usb_role_switch_register" },
	{ 0x68ec1d01, "dma_set_coherent_mask" },
	{ 0xe62accaa, "phy_set_mode_ext" },
	{ 0x56aa9d93, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7113cd13, "devm_ioremap_resource" },
	{ 0x1dc60a4, "dma_set_mask" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x2c9f6972, "__pm_runtime_disable" },
	{ 0x782a8015, "__pm_runtime_idle" },
	{ 0xcc34a37b, "platform_device_put" },
	{ 0x1bb2c31d, "device_property_present" },
	{ 0xb4a21fb6, "devm_request_threaded_irq" },
	{ 0xc6304f1e, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x37a0cba, "kfree" },
	{ 0x2882d40e, "usb_role_switch_unregister" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "roles,usbcore");


MODULE_INFO(srcversion, "3A12C28CA7EE01D643715E7");
