#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_do_io_rw, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_setup_barmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_range_intersect_range, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x3a20ca09, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x5303d5c3, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0x1721883b, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0xccc956fe, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x0caa9c43, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0xe486524d, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x6bfaf42d, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0x1e7a2d0d, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0x2e9c237a, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0xa8323b84, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0xe89c85f5, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0xb4be4949, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x5587d45d, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x78fc64fa, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x0e06bc03, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x1603a2ad, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0xbeba1fd6, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0xe40a7a5c, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0xa44eee96, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite8, 0xc3b06ddf, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite16, 0x323254aa, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite32, 0x975e37de, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread8, 0xb6128f6f, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread16, 0x17a1b41f, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread32, 0x88499d63, "_gpl");
SYMBOL_CRC(vfio_pci_core_do_io_rw, 0xc8b52d15, "_gpl");
SYMBOL_CRC(vfio_pci_core_setup_barmap, 0xeee82f70, "_gpl");
SYMBOL_CRC(vfio_pci_core_range_intersect_range, 0xe850ca1f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3f6986da, "pci_probe_reset_slot" },
	{ 0xd0d691c, "pci_set_power_state" },
	{ 0x50546109, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f74ee42, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf6bf39f0, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x848d372e, "iowrite8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x594bf15b, "ioport_map" },
	{ 0x19e84d8c, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x257f0c9a, "pci_user_write_config_word" },
	{ 0xe5b12f69, "bus_register_notifier" },
	{ 0xe28f338a, "_dev_info" },
	{ 0xfdbf83b6, "vfio_file_is_group" },
	{ 0xa044515b, "pci_msix_can_alloc_dyn" },
	{ 0x95759845, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x8ebdf821, "pci_clear_master" },
	{ 0x7ed47265, "__pci_reset_function_locked" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x89dc108b, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x3371d099, "pci_write_vpd" },
	{ 0xdf324e58, "vfio_virqfd_enable" },
	{ 0x1fed5e7b, "vga_client_register" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x64e21aa9, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xd6e19dab, "aperture_remove_conflicting_pci_devices" },
	{ 0xafd83a1d, "vfio_unregister_group_dev" },
	{ 0x3092b046, "pci_map_rom" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x7c7d8c32, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x96cd814e, "pci_iounmap" },
	{ 0x94068e42, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0xe5dfb811, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfc39e32f, "ioport_unmap" },
	{ 0xcc4715b, "pcie_get_mps" },
	{ 0x143a7acd, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0x3ae2c43, "vga_put" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0xc8b682a0, "pci_dev_driver" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x4a517bca, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x721df68, "_dev_notice" },
	{ 0x7e9fbda, "pm_runtime_forbid" },
	{ 0x5d9b74dc, "pm_runtime_allow" },
	{ 0xc15317de, "pci_reset_bus" },
	{ 0x56aa9d93, "__pm_runtime_resume" },
	{ 0xf67fd8b2, "vfio_register_group_dev" },
	{ 0x6de554eb, "vfio_assign_device_set" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6e044551, "pci_user_read_config_byte" },
	{ 0xae96717d, "pci_try_reset_function" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x8177af46, "pci_get_class" },
	{ 0x594e7eb, "pci_user_write_config_dword" },
	{ 0xa0bd39ed, "pcie_capability_read_dword" },
	{ 0x7ffed523, "pci_load_and_free_saved_state" },
	{ 0x9de8e9d2, "pci_disable_sriov" },
	{ 0x48ee7465, "vfio_device_set_open_count" },
	{ 0x33b35674, "pci_disable_device" },
	{ 0x6e5dd605, "pci_match_id" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x7ec4a456, "pci_check_and_unmask_intx" },
	{ 0xea600d86, "pcie_set_readrq" },
	{ 0xec16ef3e, "pci_walk_bus" },
	{ 0x43cc4855, "pci_msix_alloc_irq_at" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x7b6fa9df, "vga_get" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xf3fe66f3, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x86aaeae2, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0x13417a63, "vga_set_legacy_decoding" },
	{ 0x9128e25d, "pci_dev_unlock" },
	{ 0x319cfa9b, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xe86d3ebc, "pci_free_irq_vectors" },
	{ 0xc882593e, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0x782a8015, "__pm_runtime_idle" },
	{ 0xdb768137, "vfio_virqfd_flush_thread" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8ae65f81, "pci_bus_type" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x4a6bfaab, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0x8eeb4d30, "vmf_insert_pfn" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xf9fed988, "pci_read_vpd" },
	{ 0x445a15c, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2148e848, "pci_request_selected_regions" },
	{ 0x1338c9e6, "pci_release_selected_regions" },
	{ 0x832e9ef8, "pci_user_write_config_byte" },
	{ 0x43515bbb, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x52a749ef, "pci_bus_max_busnr" },
	{ 0xc9f9303c, "pci_check_and_mask_intx" },
	{ 0x45aa07ff, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x1a7b2ee, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0xbe974631, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x7d2fdad7, "pci_dev_put" },
	{ 0x9aca4406, "iommu_group_get" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xd369add4, "vfio_virqfd_disable" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4d322308, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0x4f631398, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6851b80a, "unmap_mapping_range" },
	{ 0xc2218449, "pci_user_read_config_dword" },
	{ 0x37a0cba, "kfree" },
	{ 0xf266f1e3, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc8d09a82, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "vfio");


MODULE_INFO(srcversion, "A0988A8D18BC2F508F73C6E");
