#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x54ea6dfe, "xen_start_flags" },
	{ 0x732852fe, "xenbus_transaction_end" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb2d429c7, "xen_find_device_domain_owner" },
	{ 0x64e21aa9, "pci_read_config_word" },
	{ 0x60c95d70, "xen_register_device_domain_owner" },
	{ 0xea5cbce, "xen_irq_lateeoi" },
	{ 0xe7b365a1, "xenbus_unregister_driver" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd949b055, "bind_interdomain_evtchn_to_irqhandler_lateeoi" },
	{ 0x53c1d107, "__xenbus_register_backend" },
	{ 0x7c7d8c32, "pci_store_saved_state" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x94068e42, "pci_restore_state" },
	{ 0xe5dfb811, "_dev_warn" },
	{ 0x1f9b922d, "pci_set_master" },
	{ 0x3ab06932, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x993078cc, "xenbus_watch_path" },
	{ 0x86623fd7, "notify_remote_via_irq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e8f3044, "xenbus_unmap_ring_vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6502d9c2, "xenbus_scanf" },
	{ 0x52431348, "xenbus_transaction_start" },
	{ 0x1f51de4f, "param_ops_bool" },
	{ 0xbba08a1e, "pci_write_config_byte" },
	{ 0xd44caace, "pci_dev_get" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x7ffed523, "pci_load_and_free_saved_state" },
	{ 0x2b66991b, "pci_disable_msix" },
	{ 0x33b35674, "pci_disable_device" },
	{ 0x2ae522ab, "xenbus_dev_is_online" },
	{ 0x870e16b7, "xen_test_irq_shared" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0x86aaeae2, "pci_read_config_byte" },
	{ 0x3436481c, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x903dd252, "_dev_printk" },
	{ 0x319cfa9b, "pci_write_config_word" },
	{ 0x89631299, "xenbus_map_ring_valloc" },
	{ 0x5cab9945, "unregister_xenbus_watch" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9412dd51, "pci_write_config_dword" },
	{ 0x8ae65f81, "pci_bus_type" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0x45d14bdf, "hypercall_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7712771a, "unbind_from_irqhandler" },
	{ 0x4a6bfaab, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x1cb9a1c8, "xenbus_gather" },
	{ 0x445a15c, "bus_unregister_notifier" },
	{ 0x43515bbb, "pci_enable_device" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc0786edc, "driver_remove_file" },
	{ 0x7d2fdad7, "pci_dev_put" },
	{ 0x7b948f23, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x62802291, "xenbus_dev_fatal" },
	{ 0xc6572a90, "xenbus_read_unsigned" },
	{ 0x96848186, "scnprintf" },
	{ 0xe36252d0, "__pci_register_driver" },
	{ 0x731dba7a, "xen_domain_type" },
	{ 0x4ac0b9f, "pci_disable_msi" },
	{ 0x37a0cba, "kfree" },
	{ 0x97e1fae8, "pci_clear_mwi" },
	{ 0x6aa2a877, "xenbus_printf" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xd0d691c, "pci_set_power_state" },
	{ 0x760cf971, "xenbus_switch_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f74ee42, "__dynamic_dev_dbg" },
	{ 0x4c65a38a, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf6bf39f0, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x19e84d8c, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9a15110b, "pci_enable_msix_range" },
	{ 0x3c898894, "driver_create_file" },
	{ 0xb747fb3e, "xen_unregister_device_domain_owner" },
	{ 0xe5b12f69, "bus_register_notifier" },
	{ 0xe28f338a, "_dev_info" },
	{ 0xd72feba2, "xenbus_read_driver_state" },
	{ 0x7b50197f, "pci_set_mwi" },
	{ 0xef57e8af, "pci_find_capability" },
	{ 0xa452f2a4, "xen_pirq_from_irq" },
	{ 0x8ebdf821, "pci_clear_master" },
	{ 0x7ed47265, "__pci_reset_function_locked" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xed063d76, "pci_enable_msi" },
	{ 0x57bc19d2, "down_write" },
	{ 0xdf0e63a1, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x66be2ed2, "pci_load_saved_state" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DBBC08C90135BC258C14C1E");
