#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x405b32a5, "zero_fill_bio_iter" },
	{ 0x4b879cb9, "bio_add_page" },
	{ 0x30c80c20, "crypto_shash_update" },
	{ 0xb5b6386b, "from_vfsgid" },
	{ 0x6f168b66, "bio_split_rw" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x79a4cfd3, "alloc_pages_bulk_noprof" },
	{ 0x392d4fa, "iov_iter_alignment" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7aa8620, "__audit_inode_child" },
	{ 0xcbd0a2f4, "d_obtain_alias" },
	{ 0x32ea09ea, "file_modified" },
	{ 0xca37c33c, "radix_tree_iter_resume" },
	{ 0x78172403, "sysfs_create_group" },
	{ 0x2a28b41e, "posix_acl_chmod" },
	{ 0x9ac8e6c5, "copy_page_to_iter" },
	{ 0xaeac049a, "generate_random_guid" },
	{ 0x9949026b, "__put_devmap_managed_folio_refs" },
	{ 0x4468d972, "kthread_stop" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xf86914e, "kthread_associate_blkcg" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x5b6c00e6, "xor_blocks" },
	{ 0x1c5bc8e9, "read_cache_page_gfp" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x5ff3b94f, "blk_set_stacking_limits" },
	{ 0xc2f14993, "inode_add_bytes" },
	{ 0x1a3ee134, "__folio_start_writeback" },
	{ 0x54814847, "bpf_trace_run1" },
	{ 0xa56bb367, "folio_end_writeback" },
	{ 0x7767af8a, "folio_alloc_noprof" },
	{ 0xf86b3bc7, "from_kuid" },
	{ 0x2d767135, "bio_init" },
	{ 0x5cc584e4, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0xab29614f, "kern_path" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x9fc4e4ea, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x93eafec9, "bio_associate_blkg_from_css" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x351b75e5, "generic_remap_file_range_prep" },
	{ 0x133532b1, "misc_register" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x4bb3a450, "inode_owner_or_capable" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf21f01a, "__insert_inode_hash" },
	{ 0x9a28cbc8, "bio_reset" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe391ab9f, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x9efd2b6e, "inode_update_time" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4348ae21, "filemap_get_folios" },
	{ 0x21032cf6, "blkcg_root_css" },
	{ 0xb290a386, "blkcg_punt_bio_submit" },
	{ 0x15bd7435, "psi_memstall_leave" },
	{ 0xda820b6f, "make_kgid" },
	{ 0x70f7286b, "invalidate_bdev" },
	{ 0xece784c2, "rb_first" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xa5828755, "d_delete" },
	{ 0x8a940999, "wbc_account_cgroup_owner" },
	{ 0x438a7263, "end_page_writeback" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x2b07b061, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x7922f4f6, "truncate_setsize" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xe7eb0136, "insert_inode_locked4" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x15dfc75b, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0xbd6dfcf9, "sysfs_remove_group" },
	{ 0x5328666c, "bpf_trace_run3" },
	{ 0xb30b2bda, "preempt_model_full" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xb15b4109, "crc32c" },
	{ 0x39dfec5b, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa061ab49, "super_setup_bdi" },
	{ 0x15c9aab1, "igrab" },
	{ 0x258a2c02, "_raw_write_trylock" },
	{ 0xed15199, "page_cache_sync_ra" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x4d9421d0, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x9d78be9c, "kobject_del" },
	{ 0xcd649ba3, "d_instantiate_new" },
	{ 0x61b916b8, "trace_event_buffer_reserve" },
	{ 0xb07b38dd, "bio_uninit" },
	{ 0xd8944015, "set_page_writeback" },
	{ 0xdfc12ef1, "zstd_decompress_stream" },
	{ 0x66e42761, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xab518f81, "filemap_fdatawait_range" },
	{ 0xe7de70b7, "add_to_page_cache_lru" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xea6f9a36, "zlib_deflate_dfltcc_enabled" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49dd359a, "bioset_init" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0xcc519aa9, "init_user_ns" },
	{ 0x3dfde2cc, "simple_rename_timestamp" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfe9e4583, "invalidate_inode_pages2" },
	{ 0xe091c977, "list_sort" },
	{ 0x4e730ba6, "inode_set_ctime_current" },
	{ 0x9e6e3c0d, "inc_nlink" },
	{ 0xd3505e77, "seq_write" },
	{ 0xe621c277, "__folio_put" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe6bbc776, "sysfs_create_files" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xec4ef0de, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8b683cab, "seq_printf" },
	{ 0x929e95cf, "psi_memstall_enter" },
	{ 0xd6669471, "dput" },
	{ 0xf09cc34, "schedule_timeout_killable" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xcbd7031d, "iov_iter_zero" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xefa9c17, "deactivate_locked_super" },
	{ 0x7935bbbd, "touch_atime" },
	{ 0x8b7a9710, "filemap_read" },
	{ 0x581024cc, "__percpu_down_read" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc7e9e43d, "tag_pages_for_writeback" },
	{ 0xa5e3e5fc, "balance_dirty_pages_ratelimited_flags" },
	{ 0x20b57eb9, "kobject_uevent" },
	{ 0x5f36845f, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x53a86da8, "posix_acl_update_mode" },
	{ 0x7bf561c6, "generic_file_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x5c03f2a5, "truncate_inode_pages_range" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xa226be9a, "alloc_pages_noprof" },
	{ 0xcabff84b, "__folio_lock" },
	{ 0xe1b8eecf, "folio_wait_bit" },
	{ 0x8b63b43c, "filemap_dirty_folio" },
	{ 0x98fa7615, "pagecache_get_page" },
	{ 0xe89419d2, "is_bad_inode" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xb24d2f9c, "rcuwait_wake_up" },
	{ 0xf88fb190, "file_bdev" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xd88ec42f, "__iomap_dio_rw" },
	{ 0xc078d22c, "zstd_init_cstream" },
	{ 0x4097ee2f, "file_ra_state_init" },
	{ 0xeb935098, "__fs_parse" },
	{ 0x5d7b61bf, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc7037be2, "posix_acl_to_xattr" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0x1c367fde, "dget_parent" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x429b4db2, "kill_anon_super" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xb9d739cb, "iget5_locked" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0x1a221a7a, "filemap_write_and_wait_range" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x3cbb940b, "zstd_init_dstream" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xaf43ff23, "fsverity_ioctl_measure" },
	{ 0x2ebfa899, "generic_write_checks" },
	{ 0xec636656, "iov_iter_revert" },
	{ 0xe2fa84c4, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd984834a, "generic_write_checks_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x563f0b89, "filemap_fault" },
	{ 0x27864d57, "memparse" },
	{ 0x74ee5ea1, "crypto_alloc_shash" },
	{ 0xa12b4e23, "d_invalidate" },
	{ 0x1884cdfe, "__mark_inode_dirty" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0x1747f2e8, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xebd1f686, "mtree_insert" },
	{ 0xa582c5b, "bio_alloc_bioset" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0x1254ed4d, "iomap_dio_bio_end_io" },
	{ 0x85cb18ea, "submit_bio_wait" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x93034127, "drop_nlink" },
	{ 0xb78c6ef4, "fault_in_iov_iter_readable" },
	{ 0xf866b720, "blkdev_report_zones" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x24517b96, "fs_param_is_u64" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0x608d0267, "zstd_get_error_code" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x9eecbc0f, "iget_failed" },
	{ 0x20bf272b, "kernel_write" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x7102cd60, "fs_bio_set" },
	{ 0xb465848, "kmem_cache_destroy" },
	{ 0x9f837d00, "bio_split" },
	{ 0x4e8f828, "mtree_load" },
	{ 0x650b2f82, "kset_create_and_add" },
	{ 0x8059c37e, "blkdev_issue_discard" },
	{ 0xd297a2ff, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xb42d7b79, "bio_associate_blkg" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9d26675e, "zstd_cstream_workspace_bound" },
	{ 0x69ed5a22, "truncate_inode_pages" },
	{ 0x1f81687, "folio_invalidate" },
	{ 0xed1c533b, "__page_file_index" },
	{ 0xfbefbb60, "inode_update_timestamps" },
	{ 0xb20da57f, "inode_init_owner" },
	{ 0xc3eabda2, "generic_fillattr" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x21120694, "vfs_fsync_range" },
	{ 0xd0009089, "setattr_prepare" },
	{ 0xa86a4fce, "filemap_migrate_folio" },
	{ 0x6c7ef8ff, "bdev_file_open_by_path" },
	{ 0x102eff90, "shrinker_alloc" },
	{ 0x12071e7e, "clear_nlink" },
	{ 0x5b06b399, "sync_blockdev_range" },
	{ 0x93f038f1, "file_check_and_advance_wb_err" },
	{ 0xdc2d6f4e, "filemap_flush" },
	{ 0x2f25bc59, "page_cache_async_ra" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa7190a9b, "filemap_get_folios_tag" },
	{ 0xcf766a07, "wbc_detach_inode" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xe140af89, "d_instantiate" },
	{ 0xbfeb4891, "_copy_to_iter" },
	{ 0x26b9fa19, "fsverity_ioctl_enable" },
	{ 0xbb3ef387, "pagecache_isize_extended" },
	{ 0xeb50188d, "misc_deregister" },
	{ 0x6a121ddf, "__bio_add_page" },
	{ 0xd083e313, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4af98d2f, "clear_inode" },
	{ 0x726e050f, "bpf_trace_run4" },
	{ 0xc3805cd1, "fs_ftype_to_dtype" },
	{ 0xffc4f200, "zstd_compress_stream" },
	{ 0x3f34644d, "zstd_dstream_workspace_bound" },
	{ 0x400221e9, "filemap_range_has_page" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9fc743a2, "simple_dir_inode_operations" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8764c23c, "discard_new_inode" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xf2e5bd87, "security_free_mnt_opts" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0x452e41b6, "__fsverity_cleanup_inode" },
	{ 0x80a717a8, "__percpu_counter_compare" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x950cc3aa, "fs_param_is_string" },
	{ 0x1a42d87a, "__folio_batch_release" },
	{ 0x10675f9f, "folio_unlock" },
	{ 0xaacf3e78, "set_blocksize" },
	{ 0x128aeff1, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0xca0e60c5, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x19c9acc0, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb6678f9, "try_to_writeback_inodes_sb" },
	{ 0x7b668a07, "dump_page" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9d2b2dcf, "trace_raw_output_prep" },
	{ 0xc8694700, "kobject_rename" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x1fec3baa, "init_special_inode" },
	{ 0x9d6729be, "unregister_filesystem" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x57fde136, "import_iovec" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x83fd275a, "bpf_trace_run6" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xa2cc9e81, "generic_error_remove_folio" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xeddc5cd8, "filemap_fdatawrite_range" },
	{ 0x248a33dd, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x1803a6ed, "raid6_2data_recov" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc890c008, "zlib_deflateEnd" },
	{ 0x4df8fbc, "lzo1x_decompress_safe" },
	{ 0x8b2c7663, "bio_add_folio_nofail" },
	{ 0xc2056497, "d_make_root" },
	{ 0xd4bad11a, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x741629bd, "__fsverity_file_open" },
	{ 0x1057a279, "bsearch" },
	{ 0x4d322308, "fget" },
	{ 0x787c882b, "lzo1x_1_compress" },
	{ 0x23967b1, "xas_find" },
	{ 0x5a7b232e, "invalidate_mapping_pages" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x84b3a040, "sync_filesystem" },
	{ 0x32ce3777, "radix_tree_preload" },
	{ 0x664e31a3, "kobject_init" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0x55257c9, "fsnotify" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x6d7c7dcc, "bitmap_cut" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x56f96a22, "sget_fc" },
	{ 0xd690ba7e, "d_splice_alias" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x171f749f, "current_time" },
	{ 0xd1f033ac, "trace_event_raw_init" },
	{ 0x89a35c82, "fiemap_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x77feedf5, "from_vfsuid" },
	{ 0xa924fd4a, "ihold" },
	{ 0x39683bf2, "fsverity_verify_blocks" },
	{ 0x6929abd, "page_get_link" },
	{ 0xc81a611, "inode_dio_wait" },
	{ 0xd1d2f614, "generic_permission" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xafb229d4, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x247ae887, "invalidate_inode_pages2_range" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x2e8219b, "finish_open" },
	{ 0xb2bc8fcc, "iput" },
	{ 0x6b9ff296, "filemap_range_has_writeback" },
	{ 0x109e5f84, "kset_unregister" },
	{ 0xa28c7e70, "pcpu_hot" },
	{ 0x84264ced, "fs_umode_to_ftype" },
	{ 0xaaf2ce3f, "fs_param_is_enum" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xcb8b932b, "wbc_attach_and_unlock_inode" },
	{ 0xfd0ce8b4, "iter_file_splice_write" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xf203e764, "filemap_release_folio" },
	{ 0x5793bb12, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x4c885031, "sysfs_remove_files" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf2c43f3f, "zlib_deflate" },
	{ 0xb92b1571, "filemap_alloc_folio_noprof" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0xfb983cce, "register_filesystem" },
	{ 0xc8a9520, "d_tmpfile" },
	{ 0x226703c5, "kmem_cache_create" },
	{ 0xbf5b89e0, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x89434b4b, "radix_tree_tag_clear" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x4281356, "kthread_park" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x2905b51, "filemap_add_folio" },
	{ 0x130dea80, "path_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xd674fbec, "clear_page_dirty_for_io" },
	{ 0xe21f254d, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x29bdfe2f, "d_prune_aliases" },
	{ 0x1a5bbd58, "wake_up_process" },
	{ 0xcebc9f70, "shrinker_free" },
	{ 0x7362d263, "trace_event_buffer_commit" },
	{ 0x8d9542e9, "fscrypt_setup_filename" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0xc575719, "__cond_resched_rwlock_write" },
	{ 0x28e5eae6, "filemap_get_folios_contig" },
	{ 0xb9d949ed, "crypto_destroy_tfm" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x590d3440, "simple_inode_init_ts" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x60998d6, "inode_get_bytes" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x126adba6, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xca102307, "inode_set_bytes" },
	{ 0x6230fe54, "migrate_folio" },
	{ 0x57bd44bb, "lookup_one" },
	{ 0xc496860f, "iomap_dio_rw" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xc333c490, "add_swap_extent" },
	{ 0x74c01efb, "fs_param_is_u32" },
	{ 0xe4b051cf, "raid6_datap_recov" },
	{ 0x52629954, "inode_newsize_ok" },
	{ 0xf8df5249, "lock_two_nondirectories" },
	{ 0x20eab8bb, "mnt_want_write_file" },
	{ 0x239cdccd, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0xdabccaea, "posix_acl_from_xattr" },
	{ 0x8345515f, "blkdev_zone_mgmt" },
	{ 0xafc6c68e, "zstd_is_error" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9f7149c, "zlib_deflate_workspacesize" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6315c42c, "zstd_get_params" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x32329226, "make_kuid" },
	{ 0x251fdee6, "truncate_inode_pages_final" },
	{ 0xc200a895, "inode_sub_bytes" },
	{ 0xc298af3a, "sync_blockdev" },
	{ 0xfa4e932, "fs_kobj" },
	{ 0x75401e64, "bio_add_folio" },
	{ 0x87e43ff9, "__filemap_set_wb_err" },
	{ 0x2b848af7, "simple_dir_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0x4e20bcf8, "radix_tree_tag_set" },
	{ 0xb4d0a43c, "shrinker_register" },
	{ 0x33b84f74, "copy_page" },
	{ 0xe3bcbac8, "__filemap_get_folio" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1d9672bd, "fault_in_subpage_writeable" },
	{ 0x618911fc, "numa_node" },
	{ 0x758524ef, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe13a1e8d, "mtree_erase" },
	{ 0x688baadd, "__check_sticky" },
	{ 0x8d7125e7, "__free_pages" },
	{ 0x6b27729b, "radix_tree_gang_lookup" },
	{ 0x9f984513, "strrchr" },
	{ 0xa4a7c294, "xattr_full_name" },
	{ 0x8699aef0, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x320307c3, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe08f1fdc, "submit_bio" },
	{ 0x755254d8, "mnt_drop_write_file" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd3102f9c, "sysfs_create_link" },
	{ 0xc9fb76d5, "copy_page_from_iter_atomic" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xb0fa4099, "mntput" },
	{ 0xc2c5802, "work_busy" },
	{ 0xcca23df6, "inode_init_once" },
	{ 0x2c250774, "bioset_exit" },
	{ 0x5b9b5535, "compat_ptr_ioctl" },
	{ 0xd58098e3, "__fsnotify_parent" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x9140ac22, "seq_escape_mem" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xeb4856f0, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0xb50f342c, "bio_endio" },
	{ 0x41ebb113, "mount_subtree" },
	{ 0x9ac2ed3, "__inode_attach_wb" },
	{ 0xcbc83f85, "balance_dirty_pages_ratelimited" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1a8238f6, "posix_acl_create" },
	{ 0xd333b64, "zstd_end_stream" },
	{ 0x5c72eabe, "inode_nohighmem" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x87971f58, "perf_trace_run_bpf_submit" },
	{ 0xb52d5998, "__bio_advance" },
	{ 0x3d1bbcd6, "sysfs_update_group" },
	{ 0xa8becb86, "sysfs_unmerge_group" },
	{ 0x89dc108b, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xb7e64aaa, "kobject_add" },
	{ 0xce807a25, "up_write" },
	{ 0xe9905653, "vfs_dup_fs_context" },
	{ 0xb7c0f443, "sort" },
	{ 0xed2fcab1, "inode_maybe_inc_iversion" },
	{ 0x4e9b41e9, "unlock_page" },
	{ 0x2723e0e9, "filemap_fdatawrite_wbc" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5a0b73d0, "zlib_deflateInit2" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xb2e0f5eb, "thp_get_unmapped_area" },
	{ 0x4260aabf, "sysfs_remove_link" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb9af1d0d, "__xa_clear_mark" },
	{ 0xa07a37f0, "memchr" },
	{ 0x9ad5279d, "set_cached_acl" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xc9a4b416, "copy_to_user_nofault" },
	{ 0x3977d232, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x578ac8d5, "put_fs_context" },
	{ 0xabd73708, "unlock_two_nondirectories" },
	{ 0xcf9a990, "kobj_sysfs_ops" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xad491e7a, "wait_on_page_writeback" },
	{ 0xbf430848, "noop_llseek" },
	{ 0x344a2c84, "iomap_dio_complete" },
	{ 0x3f7d403c, "folio_mark_accessed" },
	{ 0x56bea67, "sysfs_merge_group" },
	{ 0x6626afca, "down" },
	{ 0x6185b747, "radix_tree_gang_lookup_tag" },
	{ 0xe16faebc, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xd317788b, "setattr_copy" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x23089dcd, "file_update_time" },
	{ 0xd71a9af8, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x29e6591b, "kmem_cache_alloc_lru_noprof" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xc517ebb7, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0x75fff12, "security_inode_init_security" },
	{ 0x56012642, "from_kgid" },
	{ 0x33a85d65, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xad41a5c3, "crypto_shash_digest" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xff571124, "folio_wait_writeback" },
	{ 0xf31b3fd1, "workqueue_set_max_active" },
	{ 0x724284c4, "rw_verify_area" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x3c080402, "blkdev_issue_zeroout" },
	{ 0xc5ffcb38, "fault_in_iov_iter_writeable" },
	{ 0x3e369f7f, "file_remove_privs" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x569abf8b, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1e046cc, "panic" },
	{ 0xca283422, "kobject_init_and_add" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "xor,raid6_pq,libcrc32c");


MODULE_INFO(srcversion, "A6F271C5F97B2992F25FD13");
