#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(configfs_remove_default_groups, "", "");
KSYMTAB_FUNC(configfs_depend_item, "", "");
KSYMTAB_FUNC(configfs_undepend_item, "", "");
KSYMTAB_FUNC(configfs_depend_item_unlocked, "", "");
KSYMTAB_FUNC(configfs_register_group, "", "");
KSYMTAB_FUNC(configfs_unregister_group, "", "");
KSYMTAB_FUNC(configfs_register_default_group, "", "");
KSYMTAB_FUNC(configfs_unregister_default_group, "", "");
KSYMTAB_FUNC(configfs_register_subsystem, "", "");
KSYMTAB_FUNC(configfs_unregister_subsystem, "", "");
KSYMTAB_FUNC(config_item_set_name, "", "");
KSYMTAB_FUNC(config_item_init_type_name, "", "");
KSYMTAB_FUNC(config_group_init_type_name, "", "");
KSYMTAB_FUNC(config_item_get, "", "");
KSYMTAB_FUNC(config_item_get_unless_zero, "", "");
KSYMTAB_FUNC(config_item_put, "", "");
KSYMTAB_FUNC(config_group_init, "", "");
KSYMTAB_FUNC(config_group_find_item, "", "");

SYMBOL_CRC(configfs_remove_default_groups, 0xc44ac44b, "");
SYMBOL_CRC(configfs_depend_item, 0x793277a6, "");
SYMBOL_CRC(configfs_undepend_item, 0x49f683d1, "");
SYMBOL_CRC(configfs_depend_item_unlocked, 0x6bcfdefc, "");
SYMBOL_CRC(configfs_register_group, 0xdecf70a2, "");
SYMBOL_CRC(configfs_unregister_group, 0x66b10e5c, "");
SYMBOL_CRC(configfs_register_default_group, 0x08394f42, "");
SYMBOL_CRC(configfs_unregister_default_group, 0xb78958d2, "");
SYMBOL_CRC(configfs_register_subsystem, 0x0ef642c9, "");
SYMBOL_CRC(configfs_unregister_subsystem, 0xecd78141, "");
SYMBOL_CRC(config_item_set_name, 0x89e08d2b, "");
SYMBOL_CRC(config_item_init_type_name, 0x8972d2ae, "");
SYMBOL_CRC(config_group_init_type_name, 0x35970417, "");
SYMBOL_CRC(config_item_get, 0x2666d06a, "");
SYMBOL_CRC(config_item_get_unless_zero, 0x80e6a964, "");
SYMBOL_CRC(config_item_put, 0x1ffd60ee, "");
SYMBOL_CRC(config_group_init, 0x926fb5cf, "");
SYMBOL_CRC(config_group_find_item, 0xbe168311, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb983cce, "register_filesystem" },
	{ 0x226703c5, "kmem_cache_create" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x130dea80, "path_put" },
	{ 0xeefeb94d, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x590d3440, "simple_inode_init_ts" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c161d5b, "d_drop" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x92997ed8, "_printk" },
	{ 0x8f786bee, "fs_umode_to_dtype" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x85a1b069, "simple_setattr" },
	{ 0xa1e24f53, "simple_unlink" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb003ae09, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc517ebb7, "kmem_cache_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb93a9191, "kill_litter_super" },
	{ 0xfb578fc5, "memset" },
	{ 0xab29614f, "kern_path" },
	{ 0x76ff1b85, "sysfs_remove_mount_point" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe391ab9f, "kmem_cache_alloc_noprof" },
	{ 0x91ddd5e4, "ram_aops" },
	{ 0xa5828755, "d_delete" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0x4d9421d0, "generic_read_dir" },
	{ 0xf812c441, "d_add" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0x4e730ba6, "inode_set_ctime_current" },
	{ 0x9e6e3c0d, "inc_nlink" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd6669471, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xa9ff3169, "generic_delete_inode" },
	{ 0x5f36845f, "_copy_from_iter" },
	{ 0x66ffbfb9, "simple_release_fs" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0xc218eca1, "get_tree_single" },
	{ 0x754d539c, "strlen" },
	{ 0xe2fa84c4, "inode_permission" },
	{ 0x1747f2e8, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x53b954a2, "up_read" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0x3a3010e9, "simple_pin_fs" },
	{ 0xb465848, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xf4e72cc5, "__d_drop" },
	{ 0x403d392, "simple_rmdir" },
	{ 0x598c2c2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xe140af89, "d_instantiate" },
	{ 0xbfeb4891, "_copy_to_iter" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85a04038, "free_inode_nonrcu" },
	{ 0xca0e60c5, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9d6729be, "unregister_filesystem" },
	{ 0x398137c7, "d_alloc_name" },
	{ 0xd3ae523d, "simple_statfs" },
	{ 0xc2056497, "d_make_root" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x754831ba, "always_delete_dentry" },
	{ 0x55257c9, "fsnotify" },
	{ 0x171f749f, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x38879e8b, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xb2bc8fcc, "iput" },
	{ 0x67de82ba, "kernel_kobj" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xdfa5af2f, "sysfs_create_mount_point" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x148653, "vsnprintf" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2DBFCCAE04CA09FBCC0CD13");
