#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0xee3ecf4e, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0xdd56db4e, "_gpl");
SYMBOL_CRC(fuse_request_end, 0xd0173057, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0xed79c71f, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0xc9e0475f, "");
SYMBOL_CRC(fuse_abort_conn, 0xa6f1f844, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0xf21e5c10, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x5be8ee84, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x72827232, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x1ce224a5, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x2e497cc5, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x99199401, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x75e50d7a, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x5d736cd5, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0xeae72881, "_gpl");
SYMBOL_CRC(fuse_send_init, 0xd6d99c10, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x35fe7267, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0xfd03577d, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x7aa38e51, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xc90aa9fc, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x4a847b37, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x1d6acc94, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0x16b0ad43, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x409bedb1, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0xc36328c6, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0xc4ffe72d, "");
SYMBOL_CRC(fuse_do_ioctl, 0xaa7c395a, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x3add2492, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x367ff79f, "iov_iter_extract_pages" },
	{ 0xf243be56, "backing_file_write_iter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc9fb76d5, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0xaec195e6, "fs_context_for_submount" },
	{ 0xcca23df6, "inode_init_once" },
	{ 0xf23b514f, "file_write_and_wait_range" },
	{ 0x5b9b5535, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xb3f25ee6, "nosteal_pipe_buf_ops" },
	{ 0xe8acee88, "ilookup5" },
	{ 0xb123c500, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5c72eabe, "inode_nohighmem" },
	{ 0x371f596d, "release_pages" },
	{ 0x8a4a592e, "generic_file_direct_write" },
	{ 0x89dc108b, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x219e3265, "generic_file_read_iter" },
	{ 0xed2fcab1, "inode_maybe_inc_iversion" },
	{ 0x4e9b41e9, "unlock_page" },
	{ 0x932704dd, "inc_node_page_state" },
	{ 0xb2e0f5eb, "thp_get_unmapped_area" },
	{ 0xa07a37f0, "memchr" },
	{ 0x3977d232, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x578ac8d5, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x877ba80, "backing_file_splice_read" },
	{ 0x515248ae, "dec_node_page_state" },
	{ 0x954f099c, "idr_preload" },
	{ 0x86613adc, "write_cache_pages" },
	{ 0x23089dcd, "file_update_time" },
	{ 0xd71a9af8, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x29e6591b, "kmem_cache_alloc_lru_noprof" },
	{ 0xc517ebb7, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x56012642, "from_kgid" },
	{ 0x1ad6ca5b, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x3e369f7f, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x39b190dd, "write_inode_now" },
	{ 0xab14f6c7, "dax_writeback_mapping_range" },
	{ 0xcbd0a2f4, "d_obtain_alias" },
	{ 0x32ea09ea, "file_modified" },
	{ 0x9ac8e6c5, "copy_page_to_iter" },
	{ 0x9949026b, "__put_devmap_managed_folio_refs" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x63c4f92d, "folio_end_read" },
	{ 0x9006a8a, "finish_no_open" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x1a3ee134, "__folio_start_writeback" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xb93a9191, "kill_litter_super" },
	{ 0xa56bb367, "folio_end_writeback" },
	{ 0x7767af8a, "folio_alloc_noprof" },
	{ 0xf86b3bc7, "from_kuid" },
	{ 0x3a92d391, "current_in_userns" },
	{ 0x5cc584e4, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0x76ff1b85, "sysfs_remove_mount_point" },
	{ 0x133532b1, "misc_register" },
	{ 0x61b72dd9, "unpin_user_page" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe391ab9f, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xda820b6f, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xa5828755, "d_delete" },
	{ 0xc3f83894, "from_kgid_munged" },
	{ 0x438a7263, "end_page_writeback" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x2b07b061, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0x8798edff, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8548ada6, "nonseekable_open" },
	{ 0xe0a60b17, "dax_finish_sync_fault" },
	{ 0xfc487e8a, "set_page_dirty" },
	{ 0xb555b209, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa7dfdd6d, "backing_file_read_iter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9ca86c64, "noop_direct_IO" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x15c9aab1, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4d9421d0, "generic_read_dir" },
	{ 0xf812c441, "d_add" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1f51de4f, "param_ops_bool" },
	{ 0xcc519aa9, "init_user_ns" },
	{ 0xd52f1688, "folio_copy" },
	{ 0xaff64098, "d_find_alias" },
	{ 0xfe9e4583, "invalidate_inode_pages2" },
	{ 0x4e730ba6, "inode_set_ctime_current" },
	{ 0x9e6e3c0d, "inc_nlink" },
	{ 0xd3505e77, "seq_write" },
	{ 0xe621c277, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2846bac1, "get_tree_bdev" },
	{ 0xec4ef0de, "set_anon_super_fc" },
	{ 0x8b683cab, "seq_printf" },
	{ 0xd6669471, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa9ff3169, "generic_delete_inode" },
	{ 0xefa9c17, "deactivate_locked_super" },
	{ 0x7935bbbd, "touch_atime" },
	{ 0x581024cc, "__percpu_down_read" },
	{ 0xacbd1847, "__d_lookup_unhash_wake" },
	{ 0x7a067e50, "set_page_dirty_lock" },
	{ 0x8628c85f, "pid_nr_ns" },
	{ 0x7bf561c6, "generic_file_open" },
	{ 0x5c03f2a5, "truncate_inode_pages_range" },
	{ 0x7e427991, "__put_user_ns" },
	{ 0xa226be9a, "alloc_pages_noprof" },
	{ 0xcabff84b, "__folio_lock" },
	{ 0x8b63b43c, "filemap_dirty_folio" },
	{ 0x98fa7615, "pagecache_get_page" },
	{ 0x46406eb0, "stream_open" },
	{ 0xb24d2f9c, "rcuwait_wake_up" },
	{ 0x9bd99ab4, "node_data" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xb8273d0b, "__wake_up_sync" },
	{ 0x8fdeb2f0, "add_to_pipe" },
	{ 0xeb935098, "__fs_parse" },
	{ 0x5d6fd7b3, "dax_layout_busy_page_range" },
	{ 0x5d7b61bf, "filemap_splice_read" },
	{ 0xc7037be2, "posix_acl_to_xattr" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0x1c367fde, "dget_parent" },
	{ 0x429b4db2, "kill_anon_super" },
	{ 0x4c01395a, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xb9d739cb, "iget5_locked" },
	{ 0xf8a755d9, "security_dentry_init_security" },
	{ 0x1a221a7a, "filemap_write_and_wait_range" },
	{ 0xc218eca1, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x2ebfa899, "generic_write_checks" },
	{ 0xec636656, "iov_iter_revert" },
	{ 0xce64cd81, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x577742cd, "mntget" },
	{ 0x563f0b89, "filemap_fault" },
	{ 0xa12b4e23, "d_invalidate" },
	{ 0x1884cdfe, "__mark_inode_dirty" },
	{ 0x1747f2e8, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7ccf05e9, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x93034127, "drop_nlink" },
	{ 0xb78c6ef4, "fault_in_iov_iter_readable" },
	{ 0x8356a959, "filemap_check_errors" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x58899977, "bdi_set_max_ratio" },
	{ 0xb465848, "kmem_cache_destroy" },
	{ 0xd297a2ff, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xa8434071, "super_setup_bdi_name" },
	{ 0x64a0d730, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x69ed5a22, "truncate_inode_pages" },
	{ 0x7a06b22e, "noop_backing_dev_info" },
	{ 0x2c037bff, "pipe_lock" },
	{ 0xc3eabda2, "generic_fillattr" },
	{ 0x21120694, "vfs_fsync_range" },
	{ 0xd0009089, "setattr_prepare" },
	{ 0xa86a4fce, "filemap_migrate_folio" },
	{ 0x12071e7e, "clear_nlink" },
	{ 0x93f038f1, "file_check_and_advance_wb_err" },
	{ 0xb6783179, "d_alloc_parallel" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xe140af89, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xeb50188d, "misc_deregister" },
	{ 0xa883b163, "make_vfsgid" },
	{ 0x4af98d2f, "clear_inode" },
	{ 0x6a96c141, "inode_to_bdi" },
	{ 0x88cb5a87, "find_pid_ns" },
	{ 0x20978fb9, "idr_find" },
	{ 0xb0d6f163, "grab_cache_page_write_begin" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9fc743a2, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x810ae370, "pipe_unlock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x950cc3aa, "fs_param_is_string" },
	{ 0x10675f9f, "folio_unlock" },
	{ 0xca0e60c5, "new_inode" },
	{ 0x19c9acc0, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0x7b668a07, "dump_page" },
	{ 0x11b54192, "forget_all_cached_acls" },
	{ 0x1fec3baa, "init_special_inode" },
	{ 0x9d6729be, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xa49bc30a, "task_active_pid_ns" },
	{ 0xf358d314, "iov_iter_single_seg_count" },
	{ 0x3a4f043e, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0xeddc5cd8, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x398137c7, "d_alloc_name" },
	{ 0xad9957fd, "replace_page_cache_folio" },
	{ 0xb4371df4, "inode_query_iversion" },
	{ 0xe8ac31f9, "iov_iter_advance" },
	{ 0x6f65bfb4, "kill_fasync" },
	{ 0xc2056497, "d_make_root" },
	{ 0x98ac15e5, "backing_file_splice_write" },
	{ 0x5483ffce, "sb_set_blocksize" },
	{ 0x4d322308, "fget" },
	{ 0xc018379a, "simple_fill_super" },
	{ 0x23967b1, "xas_find" },
	{ 0x84b3a040, "sync_filesystem" },
	{ 0xa18386c, "noop_dirty_folio" },
	{ 0x56f96a22, "sget_fc" },
	{ 0x483efd9a, "param_set_uint" },
	{ 0xd690ba7e, "d_splice_alias" },
	{ 0xbfdfe4a7, "iov_iter_get_pages2" },
	{ 0xe02cf047, "direct_write_fallback" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6929abd, "page_get_link" },
	{ 0xd1d2f614, "generic_permission" },
	{ 0xafb229d4, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x247ae887, "invalidate_inode_pages2_range" },
	{ 0xb1092fee, "posix_lock_file" },
	{ 0x2e8219b, "finish_open" },
	{ 0x8f36998f, "dax_iomap_rw" },
	{ 0xb2bc8fcc, "iput" },
	{ 0xa28c7e70, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x666e6a99, "logfc" },
	{ 0xfd0ce8b4, "iter_file_splice_write" },
	{ 0x926484ce, "mod_node_page_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x6d7bdcc6, "init_pid_ns" },
	{ 0xb1650951, "dax_iomap_fault" },
	{ 0x79c70812, "iov_iter_init" },
	{ 0x72acf025, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xdfa5af2f, "sysfs_create_mount_point" },
	{ 0x3c5ad898, "generic_file_write_iter" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xfb983cce, "register_filesystem" },
	{ 0x226703c5, "kmem_cache_create" },
	{ 0xa2a50e7e, "folio_add_lru" },
	{ 0xbf5b89e0, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xee6cdb4f, "sync_inode_metadata" },
	{ 0x26a1b954, "simple_empty" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xe21f254d, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdf02918f, "shrink_dcache_parent" },
	{ 0x57d305cd, "__put_cred" },
	{ 0x450837af, "backing_file_open" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x289a9eb1, "get_tree_nodev" },
	{ 0xf4a7411e, "splice_file_range" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0x590d3440, "simple_inode_init_ts" },
	{ 0xd92f85be, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd8b9bfeb, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x74c01efb, "fs_param_is_u32" },
	{ 0x52629954, "inode_newsize_ok" },
	{ 0x9c161d5b, "d_drop" },
	{ 0x4d783f8, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x239cdccd, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xe3ba553, "bdi_put" },
	{ 0xdabccaea, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x8556f997, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x32329226, "make_kuid" },
	{ 0x251fdee6, "truncate_inode_pages_final" },
	{ 0xfa4e932, "fs_kobj" },
	{ 0x87e43ff9, "__filemap_set_wb_err" },
	{ 0x2b848af7, "simple_dir_operations" },
	{ 0xd769872b, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xe73bb491, "backing_file_mmap" },
	{ 0x33b84f74, "copy_page" },
	{ 0x758524ef, "const_pcpu_hot" },
	{ 0x8d7125e7, "__free_pages" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xcf340980, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xa8ec1818, "setattr_should_drop_suidgid" },
	{ 0x55c595fc, "capable_wrt_inode_uidgid" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1162D9636E219973DECB213");
