#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(netfs_readahead, "", "");
KSYMTAB_FUNC(netfs_read_folio, "", "");
KSYMTAB_FUNC(netfs_write_begin, "", "");
KSYMTAB_FUNC(netfs_buffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_file_read_iter, "", "");
KSYMTAB_FUNC(netfs_perform_write, "", "");
KSYMTAB_FUNC(netfs_buffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_file_write_iter, "", "");
KSYMTAB_FUNC(netfs_page_mkwrite, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter, "", "");
KSYMTAB_FUNC(netfs_subreq_terminated, "", "");
KSYMTAB_FUNC(netfs_extract_user_iter, "_gpl", "");
KSYMTAB_FUNC(netfs_limit_iter, "", "");
KSYMTAB_FUNC(netfs_start_io_read, "", "");
KSYMTAB_FUNC(netfs_end_io_read, "", "");
KSYMTAB_FUNC(netfs_start_io_write, "", "");
KSYMTAB_FUNC(netfs_end_io_write, "", "");
KSYMTAB_FUNC(netfs_start_io_direct, "", "");
KSYMTAB_FUNC(netfs_end_io_direct, "", "");
KSYMTAB_DATA(__tracepoint_netfs_sreq, "", "");
KSYMTAB_FUNC(__traceiter_netfs_sreq, "", "");
KSYMTAB_DATA(__SCK__tp_func_netfs_sreq, "", "");
KSYMTAB_FUNC(__SCT__tp_func_netfs_sreq, "", "");
KSYMTAB_FUNC(netfs_dirty_folio, "", "");
KSYMTAB_FUNC(netfs_unpin_writeback, "", "");
KSYMTAB_FUNC(netfs_clear_inode_writeback, "", "");
KSYMTAB_FUNC(netfs_invalidate_folio, "", "");
KSYMTAB_FUNC(netfs_release_folio, "", "");
KSYMTAB_FUNC(netfs_write_subrequest_terminated, "", "");
KSYMTAB_FUNC(netfs_prepare_write_failed, "", "");
KSYMTAB_FUNC(netfs_writepages, "", "");
KSYMTAB_FUNC(netfs_stats_show, "", "");
KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");
KSYMTAB_DATA(fscache_n_dio_misfit, "", "");

SYMBOL_CRC(netfs_readahead, 0x761f8d21, "");
SYMBOL_CRC(netfs_read_folio, 0x674062e5, "");
SYMBOL_CRC(netfs_write_begin, 0xa571e3cc, "");
SYMBOL_CRC(netfs_buffered_read_iter, 0xedd4fc4f, "");
SYMBOL_CRC(netfs_file_read_iter, 0x044f06f5, "");
SYMBOL_CRC(netfs_perform_write, 0xf005c018, "");
SYMBOL_CRC(netfs_buffered_write_iter_locked, 0xa3332234, "");
SYMBOL_CRC(netfs_file_write_iter, 0x78e511d2, "");
SYMBOL_CRC(netfs_page_mkwrite, 0x1d09f789, "");
SYMBOL_CRC(netfs_unbuffered_read_iter_locked, 0xe6cc2dec, "");
SYMBOL_CRC(netfs_unbuffered_read_iter, 0x26d692cf, "");
SYMBOL_CRC(netfs_unbuffered_write_iter_locked, 0x78ea7be9, "");
SYMBOL_CRC(netfs_unbuffered_write_iter, 0xbecb51f4, "");
SYMBOL_CRC(netfs_subreq_terminated, 0x6d519696, "");
SYMBOL_CRC(netfs_extract_user_iter, 0x9bedf48c, "_gpl");
SYMBOL_CRC(netfs_limit_iter, 0x3101503f, "");
SYMBOL_CRC(netfs_start_io_read, 0x0aa5574d, "");
SYMBOL_CRC(netfs_end_io_read, 0xaf2564ea, "");
SYMBOL_CRC(netfs_start_io_write, 0xf9183096, "");
SYMBOL_CRC(netfs_end_io_write, 0xb10f86ee, "");
SYMBOL_CRC(netfs_start_io_direct, 0xc766528b, "");
SYMBOL_CRC(netfs_end_io_direct, 0x99f0bc33, "");
SYMBOL_CRC(__tracepoint_netfs_sreq, 0x172a5796, "");
SYMBOL_CRC(__traceiter_netfs_sreq, 0x6f982503, "");
SYMBOL_CRC(__SCK__tp_func_netfs_sreq, 0x014d7fdd, "");
SYMBOL_CRC(__SCT__tp_func_netfs_sreq, 0x42c377ab, "");
SYMBOL_CRC(netfs_dirty_folio, 0xadcc1ca9, "");
SYMBOL_CRC(netfs_unpin_writeback, 0x9e926d44, "");
SYMBOL_CRC(netfs_clear_inode_writeback, 0x7a925e80, "");
SYMBOL_CRC(netfs_invalidate_folio, 0xdc8b7e8b, "");
SYMBOL_CRC(netfs_release_folio, 0xd1ae63cb, "");
SYMBOL_CRC(netfs_write_subrequest_terminated, 0x90f5f875, "");
SYMBOL_CRC(netfs_prepare_write_failed, 0xd501f962, "");
SYMBOL_CRC(netfs_writepages, 0x1e168dd2, "");
SYMBOL_CRC(netfs_stats_show, 0x70c2321a, "");
SYMBOL_CRC(fscache_addremove_sem, 0x557a775f, "");
SYMBOL_CRC(fscache_clearance_waiters, 0x8c2d6da7, "");
SYMBOL_CRC(fscache_acquire_cache, 0x0de880a8, "");
SYMBOL_CRC(fscache_relinquish_cache, 0x37304030, "");
SYMBOL_CRC(fscache_add_cache, 0x1b3b7911, "");
SYMBOL_CRC(fscache_io_error, 0x8940fa25, "");
SYMBOL_CRC(fscache_withdraw_cache, 0x91af8a08, "");
SYMBOL_CRC(fscache_end_cookie_access, 0xd6c81b1b, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0x04defd07, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0x4ffae277, "");
SYMBOL_CRC(fscache_caching_failed, 0x51546224, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0xfc7b634f, "");
SYMBOL_CRC(__fscache_use_cookie, 0x4145b20d, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0xca2b9136, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0xeb3606d4, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0xf89ecb3f, "");
SYMBOL_CRC(fscache_put_cookie, 0x58d1982f, "");
SYMBOL_CRC(fscache_get_cookie, 0x7370b243, "");
SYMBOL_CRC(__fscache_invalidate, 0xe6e60575, "");
SYMBOL_CRC(fscache_wait_for_operation, 0xcccff06f, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0x30001fc4, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0xeb5f9ff0, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0x8e09639f, "");
SYMBOL_CRC(__fscache_write_to_cache, 0x6e31e2fd, "");
SYMBOL_CRC(__fscache_resize_cookie, 0x9bdd445c, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x0d23858b, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x8c705931, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_cache, 0x7c87e02d, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x3fd9961a, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x14ec9f54, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_volume, 0x7b1b25da, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x89708dc7, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x2d530d92, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access, 0x5954d7ac, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0x9f542f8b, "");
SYMBOL_CRC(fscache_end_volume_access, 0x2b858f2f, "");
SYMBOL_CRC(__fscache_acquire_volume, 0xa22ffafb, "");
SYMBOL_CRC(fscache_put_volume, 0xe6182dca, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0x0e5d3027, "");
SYMBOL_CRC(fscache_withdraw_volume, 0x9cbd7620, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");
SYMBOL_CRC(fscache_n_dio_misfit, 0x2acb5e19, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x87e43ff9, "__filemap_set_wb_err" },
	{ 0xe3bcbac8, "__filemap_get_folio" },
	{ 0x758524ef, "const_pcpu_hot" },
	{ 0x23c6a355, "filemap_invalidate_inode" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8699aef0, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x367ff79f, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc9fb76d5, "copy_page_from_iter_atomic" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xad9901ae, "bit_waitqueue" },
	{ 0xf40871b4, "kmem_cache_size" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x77e768f9, "readahead_expand" },
	{ 0x9ac2ed3, "__inode_attach_wb" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x26f437b3, "__folio_lock_killable" },
	{ 0x87971f58, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xe16faebc, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x209fb23, "xas_load" },
	{ 0x23089dcd, "file_update_time" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc517ebb7, "kmem_cache_free" },
	{ 0x1a68968e, "seq_putc" },
	{ 0x33a85d65, "trace_event_reg" },
	{ 0x3e369f7f, "file_remove_privs" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x1a3ee134, "__folio_start_writeback" },
	{ 0x54814847, "bpf_trace_run1" },
	{ 0xa56bb367, "folio_end_writeback" },
	{ 0x7767af8a, "folio_alloc_noprof" },
	{ 0xb61d6fc2, "down_read_interruptible" },
	{ 0xad412db, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x94c946c7, "iov_iter_bvec" },
	{ 0x61b72dd9, "unpin_user_page" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe391ab9f, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4d655bcb, "folio_end_private_2" },
	{ 0xcfb75a45, "writeback_iter" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfc487e8a, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5328666c, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0x61b916b8, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0xab518f81, "filemap_fdatawait_range" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0xd3505e77, "seq_write" },
	{ 0xe621c277, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9d4a0746, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8b683cab, "seq_printf" },
	{ 0xcbd7031d, "iov_iter_zero" },
	{ 0x7935bbbd, "touch_atime" },
	{ 0x8b7a9710, "filemap_read" },
	{ 0x581024cc, "__percpu_down_read" },
	{ 0xa5e3e5fc, "balance_dirty_pages_ratelimited_flags" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x8b63b43c, "filemap_dirty_folio" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xb24d2f9c, "rcuwait_wake_up" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x165864fa, "iov_iter_xarray" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0x988d641e, "proc_create_single_data" },
	{ 0x1a221a7a, "filemap_write_and_wait_range" },
	{ 0x97429be, "folio_wait_writeback_killable" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0x754d539c, "strlen" },
	{ 0xeaa70123, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x2ebfa899, "generic_write_checks" },
	{ 0xec636656, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc4c0b7c8, "proc_create_seq_private" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x7ccf05e9, "iov_iter_npages" },
	{ 0xb78c6ef4, "fault_in_iov_iter_readable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0xb465848, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xed1c533b, "__page_file_index" },
	{ 0x21120694, "vfs_fsync_range" },
	{ 0xcf766a07, "wbc_detach_inode" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x726e050f, "bpf_trace_run4" },
	{ 0x980139c, "kiocb_write_and_wait" },
	{ 0x400221e9, "filemap_range_has_page" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x10675f9f, "folio_unlock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2b2dcf, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x248a33dd, "__trace_trigger_soft_disabled" },
	{ 0xeddc5cd8, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe8ac31f9, "iov_iter_advance" },
	{ 0xd4bad11a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x23967b1, "xas_find" },
	{ 0x687fb473, "folio_redirty_for_writepage" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xd1f033ac, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6851b80a, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x247ae887, "invalidate_inode_pages2_range" },
	{ 0xa28c7e70, "pcpu_hot" },
	{ 0xcb8b932b, "wbc_attach_and_unlock_inode" },
	{ 0x5793bb12, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x97bdc636, "remove_proc_subtree" },
	{ 0x226703c5, "kmem_cache_create" },
	{ 0xbf5b89e0, "folio_clear_dirty_for_io" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7362d263, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7FC9B73C23775E5BFEEBDC6");
