#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x7804d23f, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xb58c7f92, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0xa5a760e0, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0xc94be8fb, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xf673c8c7, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xa34dfe80, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x31dc7724, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xdc08dde, "skb_mpls_pop" },
	{ 0xcafb6529, "skb_vlan_pop" },
	{ 0x2cd4dd77, "dst_init" },
	{ 0xb003ae09, "module_put" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xdb3a4730, "rtnl_link_unregister" },
	{ 0x87971f58, "perf_trace_run_bpf_submit" },
	{ 0x25014ae7, "__skb_get_hash" },
	{ 0x315f65c2, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x99c06bd2, "ipv6_stub" },
	{ 0xdb34972a, "skb_mpls_update_lse" },
	{ 0x29c5175d, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x88a52c92, "netlink_unicast" },
	{ 0xe16faebc, "bpf_trace_run5" },
	{ 0x9cadfac9, "dev_get_by_index_rcu" },
	{ 0xf0c63ff6, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4d07fe92, "skb_push" },
	{ 0xc517ebb7, "kmem_cache_free" },
	{ 0x73b8d893, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0x33a85d65, "trace_event_reg" },
	{ 0xa5a3e918, "skb_ensure_writable" },
	{ 0x9fdbebef, "free_netdev" },
	{ 0x7b7f76a9, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe279fe43, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8a57cb13, "ethtool_op_get_link" },
	{ 0xd0de8087, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f6e4b51, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xe391ab9f, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7b976341, "__pskb_pull_tail" },
	{ 0xaad6933b, "nf_ct_delete" },
	{ 0x516ff2ea, "nf_conncount_init" },
	{ 0xf30e1799, "skb_vlan_push" },
	{ 0xd8932289, "dev_get_tstats64" },
	{ 0xd7de8ec2, "netif_rx" },
	{ 0x1943e917, "__netdev_alloc_skb" },
	{ 0x57a3399f, "netdev_master_upper_dev_link" },
	{ 0x24195cdb, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x6d446061, "inet_proto_csum_replace16" },
	{ 0x4b078a66, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb6a7dc2c, "skb_scrub_packet" },
	{ 0xc14b22af, "nf_ct_deliver_cached_events" },
	{ 0xa8fb71b1, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xb11c7f68, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x35132cb8, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x61b916b8, "trace_event_buffer_reserve" },
	{ 0xc477ef22, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe06a101d, "inet_proto_csum_replace4" },
	{ 0x52381124, "nf_conncount_destroy" },
	{ 0x525f73c6, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6466067f, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x47483e5, "dev_get_by_name" },
	{ 0x336a782d, "skb_clone" },
	{ 0x8c0de383, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb814633a, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x83150a12, "peernet2id_alloc" },
	{ 0x952def7d, "nf_ct_get_tuplepr" },
	{ 0xc19b007, "netdev_rx_handler_register" },
	{ 0xb97a589, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0x9f2c83d8, "genl_unregister_family" },
	{ 0xa799ccfa, "dev_disable_lro" },
	{ 0x76b449f7, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x1ec7160c, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5dd6fbf2, "genl_register_family" },
	{ 0x916f865a, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8cbe7bf5, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf5ff4dd, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0xeb72d1f5, "skb_mpls_push" },
	{ 0x233f5a9d, "register_pernet_device" },
	{ 0xa43fd545, "nf_conntrack_in" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb465848, "kmem_cache_destroy" },
	{ 0x991e5c7b, "__skb_vlan_pop" },
	{ 0x72cb049d, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa5c9faa5, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xd056f246, "nf_ct_ext_add" },
	{ 0x60cdeb53, "__skb_get_hash_symmetric" },
	{ 0x87c020da, "nsh_pop" },
	{ 0x527a9425, "nf_conntrack_find_get" },
	{ 0xa25198a1, "nf_ct_set_timeout" },
	{ 0x7591a1e5, "dev_get_stats" },
	{ 0xfcc9d052, "__nla_put" },
	{ 0x598c2c2, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9e31577, "dev_fill_metadata_dst" },
	{ 0x726e050f, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xbe42da74, "skb_copy_bits" },
	{ 0x5303cb65, "nf_ct_handle_fragments" },
	{ 0x4e3d7a49, "eth_mac_addr" },
	{ 0xa5872d2c, "skb_put" },
	{ 0x1b231de8, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5b21c0af, "nsh_push" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xfafc0eea, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x61989a5d, "nf_ct_nat" },
	{ 0xca9e776c, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x33da16ce, "skb_eth_pop" },
	{ 0x9d2b2dcf, "trace_raw_output_prep" },
	{ 0xcc98da52, "skb_gso_validate_mac_len" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x24c0cdee, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x3008fd00, "nf_ct_helper" },
	{ 0x248a33dd, "__trace_trigger_soft_disabled" },
	{ 0x28e4874c, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xd4bad11a, "trace_event_printf" },
	{ 0xd4af13a9, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4bdcf43a, "rtnl_link_register" },
	{ 0xc2c8f7ee, "nf_connlabels_put" },
	{ 0xa02a7a97, "genlmsg_put" },
	{ 0xdf2883ae, "___pskb_trim" },
	{ 0xd1f033ac, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x78f88e23, "dev_set_promiscuity" },
	{ 0xd7d996db, "nf_ct_destroy_timeout" },
	{ 0x6a9db3d9, "nf_ct_add_helper" },
	{ 0xa28c7e70, "pcpu_hot" },
	{ 0xbf4a43f7, "nf_conntrack_helper_put" },
	{ 0x44d60edb, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x568d70af, "nf_ct_skb_network_trim" },
	{ 0x598cb98e, "unregister_netdevice_queue" },
	{ 0x226703c5, "kmem_cache_create" },
	{ 0x91a443c7, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xf32ec785, "ether_setup" },
	{ 0x36b362f, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f646664, "pskb_expand_head" },
	{ 0xd46694a6, "skb_csum_hwoffload_help" },
	{ 0x7362d263, "trace_event_buffer_commit" },
	{ 0x8ce564f8, "dev_addr_mod" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0xc1064591, "nf_connlabels_replace" },
	{ 0x456ec0e5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x14d6f80c, "alloc_netdev_mqs" },
	{ 0xb8f7350a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2d2c728e, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x70ae224b, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc2b96c29, "skb_eth_push" },
	{ 0xcfa3b655, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_conncount,libcrc32c,nsh,nf_nat");


MODULE_INFO(srcversion, "28B0EAFEEF492AC528CE226");
