#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x524bc117, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x106ea3f9, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0xb8660c68, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x9222c3ed, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0xfdcbfcaf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xa1c3e63e, "inet_ctl_sock_create" },
	{ 0x609ff8d4, "inet_ioctl" },
	{ 0xd9d0ec32, "reuseport_add_sock" },
	{ 0xb50dacc2, "reuseport_select_sock" },
	{ 0xe3fdae42, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfbe7919c, "sk_filter_trim_cap" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x87971f58, "perf_trace_run_bpf_submit" },
	{ 0x89dc108b, "fput" },
	{ 0xe0bc78dd, "inet_accept" },
	{ 0x315f65c2, "init_net" },
	{ 0x6cbb8483, "crypto_shash_setkey" },
	{ 0x29c5175d, "skb_pull" },
	{ 0xc4e37bea, "inet_add_offload" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xd5df1b05, "ip6_mtu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xba4ad0e6, "__SCK__tp_func_sk_data_ready" },
	{ 0x570a0a5e, "inet_add_protocol" },
	{ 0x898bc6a1, "inet_shutdown" },
	{ 0xab2dfc1c, "sk_free" },
	{ 0xc2e6cc95, "sock_wake_async" },
	{ 0x9cadfac9, "dev_get_by_index_rcu" },
	{ 0xf0c63ff6, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0x3c21010d, "inet_del_offload" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4d07fe92, "skb_push" },
	{ 0x6fffa8e1, "__ip_queue_xmit" },
	{ 0xc517ebb7, "kmem_cache_free" },
	{ 0x44967a6c, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x30705123, "proc_doulongvec_minmax" },
	{ 0x33a85d65, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x137c66f9, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x40638db2, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x282cb9b4, "inet6_ioctl" },
	{ 0x69b63eb4, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x511d27b0, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x2d6302d9, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6a0210f2, "ip6_dst_lookup_flow" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x934e9c00, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x82183fb2, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe391ab9f, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8b4cda1c, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7b976341, "__pskb_pull_tail" },
	{ 0x68a5c688, "kmalloc_node_track_caller_noprof" },
	{ 0xe7184c82, "setup_udp_tunnel_sock" },
	{ 0x1442e9c6, "udp_sock_create6" },
	{ 0x4b078a66, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x994ab1a, "sk_common_release" },
	{ 0x48549775, "pv_ops" },
	{ 0x5328666c, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xf3f52d36, "inet6_getname" },
	{ 0x9fa191f4, "sock_i_ino" },
	{ 0x2ab0d876, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb66e120f, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0x73ef3737, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xadcda900, "ipv4_mtu" },
	{ 0x8d2f7c81, "rhltable_init_noprof" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x91c1451c, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x61b916b8, "trace_event_buffer_reserve" },
	{ 0xc477ef22, "__skb_checksum" },
	{ 0x2db4eacf, "reuseport_alloc" },
	{ 0xec236f1, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x64d1a845, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x5e031daa, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1f51de4f, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x3616eb22, "ipv6_dup_options" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xd3505e77, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x96d5e77b, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8b683cab, "seq_printf" },
	{ 0x4e76ab80, "proc_create_net_single" },
	{ 0x4a9f8b7f, "skb_copy" },
	{ 0x336a782d, "skb_clone" },
	{ 0x7eec0b31, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb814633a, "dst_release" },
	{ 0x5f36845f, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xb76e162b, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x623b6e23, "inet_recv_error" },
	{ 0xbdbc3518, "proc_dointvec" },
	{ 0x46d08bc8, "sock_gettstamp" },
	{ 0x7c435d2f, "security_sctp_bind_connect" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x984b81ab, "_proc_mkdir" },
	{ 0x25910ea8, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd115df9f, "send_sig" },
	{ 0x7fd435b0, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x4959b557, "inet6_add_protocol" },
	{ 0x4c01395a, "from_kuid_munged" },
	{ 0x4b1187c4, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0xbd7073dd, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x89034d29, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0x4a5b3d5c, "reuseport_detach_sock" },
	{ 0x2b2a3db, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xec636656, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x74ee5ea1, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x72324771, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xc08899f5, "sock_init_data" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0xb465848, "kmem_cache_destroy" },
	{ 0x679c5033, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa0e638fc, "skb_queue_head" },
	{ 0x3c3c55af, "proc_dointvec_minmax" },
	{ 0x3f7b3c61, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x4c4d0e56, "sock_i_uid" },
	{ 0x60ff3f5, "ip6_dst_check" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1f80c9dd, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xbe42da74, "skb_copy_bits" },
	{ 0xede25b1a, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x85969800, "sock_wfree" },
	{ 0xa5872d2c, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x798d4c44, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x187be34c, "ip6_dst_hoplimit" },
	{ 0xfafc0eea, "consume_skb" },
	{ 0xa1eca8a4, "inet6_add_offload" },
	{ 0x640552ae, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc993abbc, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9d2b2dcf, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xbb07f728, "l3mdev_fib_table_by_index" },
	{ 0xab03153f, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xd62e47c2, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x967d3133, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x248a33dd, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb1499b78, "skb_segment" },
	{ 0xd4bad11a, "trace_event_printf" },
	{ 0x9829e27f, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x7a12d69f, "udp_tunnel6_xmit_skb" },
	{ 0x73607297, "sock_common_getsockopt" },
	{ 0x5f2fb530, "inet_bind" },
	{ 0xe6d51f0d, "sock_create" },
	{ 0x8b6447b8, "net_hotdata" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x589e524a, "fd_install" },
	{ 0xd1f033ac, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xcb1f12d7, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xa28c7e70, "pcpu_hot" },
	{ 0x824d985d, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0x8499dbcd, "__tracepoint_sk_data_ready" },
	{ 0x5793bb12, "bpf_trace_run2" },
	{ 0x964531ca, "sock_common_setsockopt" },
	{ 0x97bdc636, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x81212030, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x226703c5, "kmem_cache_create" },
	{ 0xaaa82698, "__sk_mem_schedule" },
	{ 0x3cb641ea, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xf719e7f5, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xdd9eeb8c, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xe0cb9b2, "sk_error_report" },
	{ 0xec25a607, "register_pernet_subsys" },
	{ 0x573e30c5, "put_cmsg" },
	{ 0x7362d263, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x963b73d0, "register_net_sysctl_sz" },
	{ 0xbce30350, "inet_sock_destruct" },
	{ 0xb9d949ed, "crypto_destroy_tfm" },
	{ 0xf58f8e7b, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1fc0b0dc, "inet_sk_get_local_port_range" },
	{ 0x5544af71, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0x279c853b, "inet_getname" },
	{ 0xef20eb86, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0x8b4e5265, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x31dc7724, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x1cec54fd, "inet_release" },
	{ 0x758524ef, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1bfe39f9, "proto_register" },
	{ 0x7675335e, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xfc4403cc, "inet6_compat_ioctl" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "84E3262D892FD809CB240DE");
