#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd7550d54, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x758524ef, "const_pcpu_hot" },
	{ 0xae9a08dd, "snd_pcm_hw_rule_add" },
	{ 0x6b111d7f, "amdtp_domain_stop" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x97ab82ff, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdb4e2a5f, "snd_ctl_boolean_mono_info" },
	{ 0xd4f9e5ef, "devm_kmemdup" },
	{ 0x94098ff8, "snd_interval_list" },
	{ 0xdf0e63a1, "_dev_err" },
	{ 0x592463c6, "snd_hwdep_new" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9e9e9f9e, "amdtp_stream_destroy" },
	{ 0xe5147c6b, "driver_unregister" },
	{ 0x41146e20, "snd_pcm_set_ops" },
	{ 0xb2008e6, "amdtp_domain_add_stream" },
	{ 0x13bb4a3c, "avc_general_get_sig_fmt" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xea653cca, "cmp_connection_establish" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6f51c1b0, "amdtp_stream_get_max_payload" },
	{ 0xc12168d5, "avc_general_get_plug_info" },
	{ 0x72584e7a, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0x8361c6e1, "fcp_avc_transaction" },
	{ 0x1d6f83f4, "cmp_connection_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x783d61c5, "snd_rawmidi_new" },
	{ 0x46ba0ef4, "snd_rawmidi_set_ops" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe80e5087, "fw_csr_iterator_init" },
	{ 0xbc2a7a09, "fw_bus_type" },
	{ 0x8b683cab, "seq_printf" },
	{ 0xe9936707, "snd_info_create_card_entry" },
	{ 0xd2a5bf60, "avc_general_set_sig_fmt" },
	{ 0x6dc50487, "fw_csr_string" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0x81188c30, "match_string" },
	{ 0x1469d7ec, "__fw_send_request" },
	{ 0x754d539c, "strlen" },
	{ 0xa1f96e13, "amdtp_domain_stream_pcm_ack" },
	{ 0xd836e94e, "amdtp_domain_destroy" },
	{ 0x7c22dca6, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0x77b376ec, "amdtp_domain_start" },
	{ 0xe3fde125, "fw_csr_iterator_next" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x98d3f96, "fw_send_response" },
	{ 0xf8c72566, "cmp_connection_reserve" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x89cbc8ef, "snd_rawmidi_receive" },
	{ 0xaedf84ce, "fw_high_memory_region" },
	{ 0xc6304f1e, "devm_kmalloc" },
	{ 0x9862a7cd, "amdtp_am824_set_parameters" },
	{ 0xf468588, "snd_rawmidi_transmit" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x257df0d1, "snd_fw_transaction" },
	{ 0xe1a87de8, "snd_ctl_add" },
	{ 0xb0e602eb, "memmove" },
	{ 0xf0216be2, "cmp_connection_check_used" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x22075108, "snd_pcm_new" },
	{ 0xc85cfdd0, "amdtp_am824_midi_trigger" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x53ca18e8, "amdtp_rate_table" },
	{ 0x47087d60, "cmp_connection_release" },
	{ 0x53f4cc05, "amdtp_am824_init" },
	{ 0x1e8f0424, "snd_card_register" },
	{ 0x69cffc2b, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1ac2a739, "amdtp_am824_add_pcm_hw_constraints" },
	{ 0x96848186, "scnprintf" },
	{ 0xae5a420d, "cmp_connection_init" },
	{ 0xbc582ee1, "snd_pcm_hw_constraint_minmax" },
	{ 0x78344550, "cmp_connection_break" },
	{ 0x481309f1, "fcp_bus_reset" },
	{ 0x6a26f43d, "amdtp_domain_stream_pcm_pointer" },
	{ 0x388e91c2, "amdtp_stream_pcm_abort" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x83383f41, "fw_core_remove_address_handler" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x2f228ba8, "amdtp_domain_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x19603129, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc882125, "snd_pcm_set_sync" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6544e424, "fw_core_add_address_handler" },
	{ 0xf6f6b148, "amdtp_stream_pcm_prepare" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf3831c38, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-firewire-lib,snd,snd-hwdep,snd-rawmidi,firewire-core");

MODULE_ALIAS("ieee1394:ven00001292mo0000F970sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven0000D04Bmo0000F970sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven000030E0mo0000F970sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001564mo0000FC22sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00000FF2mo00000460sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00000FF2mo0000200Fsp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00000FF2mo*sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven0000022Emo00800007sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001260mo00001000sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001260mo00002000sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven000003DBmo0001DDDDsp0000A02Dver00010001*");

MODULE_INFO(srcversion, "956BE7B17D058817B94C130");
