#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(oxygen_read8, "", "");
KSYMTAB_FUNC(oxygen_read16, "", "");
KSYMTAB_FUNC(oxygen_read32, "", "");
KSYMTAB_FUNC(oxygen_write8, "", "");
KSYMTAB_FUNC(oxygen_write16, "", "");
KSYMTAB_FUNC(oxygen_write32, "", "");
KSYMTAB_FUNC(oxygen_write8_masked, "", "");
KSYMTAB_FUNC(oxygen_write16_masked, "", "");
KSYMTAB_FUNC(oxygen_write32_masked, "", "");
KSYMTAB_FUNC(oxygen_write_ac97, "", "");
KSYMTAB_FUNC(oxygen_read_ac97, "", "");
KSYMTAB_FUNC(oxygen_write_ac97_masked, "", "");
KSYMTAB_FUNC(oxygen_write_spi, "", "");
KSYMTAB_FUNC(oxygen_write_i2c, "", "");
KSYMTAB_FUNC(oxygen_reset_uart, "", "");
KSYMTAB_FUNC(oxygen_write_uart, "", "");
KSYMTAB_FUNC(oxygen_pci_probe, "", "");
KSYMTAB_DATA(oxygen_pci_pm, "", "");
KSYMTAB_FUNC(oxygen_pci_shutdown, "", "");
KSYMTAB_FUNC(oxygen_update_dac_routing, "", "");

SYMBOL_CRC(oxygen_read8, 0xac90b9c6, "");
SYMBOL_CRC(oxygen_read16, 0x1b56d8bb, "");
SYMBOL_CRC(oxygen_read32, 0xd4beb80c, "");
SYMBOL_CRC(oxygen_write8, 0x4b6c73f6, "");
SYMBOL_CRC(oxygen_write16, 0x2beaf92f, "");
SYMBOL_CRC(oxygen_write32, 0xdf578571, "");
SYMBOL_CRC(oxygen_write8_masked, 0x5cf0072a, "");
SYMBOL_CRC(oxygen_write16_masked, 0x39513e03, "");
SYMBOL_CRC(oxygen_write32_masked, 0xb43c4710, "");
SYMBOL_CRC(oxygen_write_ac97, 0xb007eb6b, "");
SYMBOL_CRC(oxygen_read_ac97, 0xfc9295bf, "");
SYMBOL_CRC(oxygen_write_ac97_masked, 0xbab69336, "");
SYMBOL_CRC(oxygen_write_spi, 0x3c2c4a98, "");
SYMBOL_CRC(oxygen_write_i2c, 0x8a73a04f, "");
SYMBOL_CRC(oxygen_reset_uart, 0x7802d61f, "");
SYMBOL_CRC(oxygen_write_uart, 0x28260862, "");
SYMBOL_CRC(oxygen_pci_probe, 0x673e1785, "");
SYMBOL_CRC(oxygen_pci_pm, 0x42cdff38, "");
SYMBOL_CRC(oxygen_pci_shutdown, 0x656538c2, "");
SYMBOL_CRC(oxygen_update_dac_routing, 0xe46a51f0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x94b06568, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x8b683cab, "seq_printf" },
	{ 0xcbc13a4f, "snd_mpu401_uart_new" },
	{ 0x6e5dd605, "pci_match_id" },
	{ 0xc085881f, "snd_pcm_hw_constraint_msbits" },
	{ 0x5bef3005, "snd_pcm_period_elapsed" },
	{ 0x81188c30, "match_string" },
	{ 0xe574172d, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0x47ece35f, "pcim_enable_device" },
	{ 0x319cfa9b, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9412dd51, "pci_write_config_dword" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb4a21fb6, "devm_request_threaded_irq" },
	{ 0xc6304f1e, "devm_kmalloc" },
	{ 0xe1a87de8, "snd_ctl_add" },
	{ 0x22075108, "snd_pcm_new" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1e8f0424, "snd_card_register" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7b524d2e, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x228f694d, "snd_card_free_on_error" },
	{ 0xefc7e6be, "snd_card_rw_proc_new" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc882125, "snd_pcm_set_sync" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf6bf39f0, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf3831c38, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2bddc090, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xe28f338a, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdb4e2a5f, "snd_ctl_boolean_mono_info" },
	{ 0xdf0e63a1, "_dev_err" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xcd11fbdc, "snd_ctl_notify" },
	{ 0x41146e20, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd90c8063, "snd_pcm_set_managed_buffer" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x72584e7a, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x1f9b922d, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-mpu401-uart,snd-pcm");


MODULE_INFO(srcversion, "7F1C9A83DA5732EA6CB6EEA");
