#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_calibration_controls, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_calibration, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_read_prot_status, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_speaker_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0xa8d5dd23, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0xe9a324c9, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0xb7877344, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0x8b48b144, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0x408ca3f2, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0x2c47e888, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0xfbe00ed6, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0x9ba189fb, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0x8d844b9e, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0x09efebe8, "_gpl");
SYMBOL_CRC(cs35l56_calibration_controls, 0x0fa4d22d, "_gpl");
SYMBOL_CRC(cs35l56_get_calibration, 0xdf0fe536, "_gpl");
SYMBOL_CRC(cs35l56_read_prot_status, 0xc4241227, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0xc80eaa0e, "_gpl");
SYMBOL_CRC(cs35l56_get_speaker_id, 0x17d3d276, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0xcd5438ad, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0xe038d012, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0x566dd6cd, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0x9903e2be, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb4a21fb6, "devm_request_threaded_irq" },
	{ 0xbdd3174c, "cs_amp_get_efi_calibration_data" },
	{ 0x1502fa80, "regmap_raw_read" },
	{ 0x96991649, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2f74ee42, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x34fa86b4, "gpiod_get_array_optional" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe28f338a, "_dev_info" },
	{ 0x9013aeeb, "regmap_multi_reg_write_bypassed" },
	{ 0xdf0e63a1, "_dev_err" },
	{ 0xe55f32d7, "gpiod_put_array" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe5dfb811, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf2d499af, "regmap_read_bypassed" },
	{ 0xb2baa391, "regmap_read" },
	{ 0x56aa9d93, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf462538d, "_dev_crit" },
	{ 0x29960a2, "regmap_update_bits_base" },
	{ 0xb243772a, "dev_err_probe" },
	{ 0x1d63e3b7, "__pm_runtime_suspend" },
	{ 0x4e46f19d, "regmap_register_patch" },
	{ 0x782a8015, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x60178283, "gpiod_get_value_cansleep" },
	{ 0x2ea4e5e5, "regcache_cache_only" },
	{ 0x5c2a898f, "regcache_sync" },
	{ 0x199dc40d, "regmap_write" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs-amp-lib");


MODULE_INFO(srcversion, "BA35FBD13C3671D3CC758A4");
