#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfe11769e, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x18406ebc, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x97ab82ff, "snd_card_new" },
	{ 0x3adcd016, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x44d52de, "snd_card_set_id" },
	{ 0xdf0e63a1, "_dev_err" },
	{ 0xa1786fb4, "usb_set_interface" },
	{ 0x41146e20, "snd_pcm_set_ops" },
	{ 0xc3556c4b, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe8711fa7, "usb_string" },
	{ 0x72584e7a, "snd_pcm_set_managed_buffer_all" },
	{ 0xe5dfb811, "_dev_warn" },
	{ 0x3ab06932, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd1118718, "input_event" },
	{ 0x1b65cf8c, "input_set_abs_params" },
	{ 0x783d61c5, "snd_rawmidi_new" },
	{ 0x1befcbbb, "snd_card_disconnect" },
	{ 0x46ba0ef4, "snd_rawmidi_set_ops" },
	{ 0x1f51de4f, "param_ops_bool" },
	{ 0x1d437a11, "usb_kill_urb" },
	{ 0xa526e8c8, "kmalloc_trace_noprof" },
	{ 0xa317d237, "usb_init_urb" },
	{ 0x5bef3005, "snd_pcm_period_elapsed" },
	{ 0x84a87ac2, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x74a946a8, "kmalloc_caches" },
	{ 0x66ef873b, "input_allocate_device" },
	{ 0xbcc6ba9b, "usb_alloc_urb" },
	{ 0x89cbc8ef, "snd_rawmidi_receive" },
	{ 0x42537bbc, "usb_free_urb" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0xf468588, "snd_rawmidi_transmit" },
	{ 0xe1a87de8, "snd_ctl_add" },
	{ 0x22075108, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1e8f0424, "snd_card_register" },
	{ 0x69cffc2b, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x27386ecb, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x47431a63, "param_array_ops" },
	{ 0xcdcd310e, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2f74ee42, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe895c370, "input_free_device" },
	{ 0xf3831c38, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2ae8e9b2, "usb_bulk_msg" },
	{ 0xc9a1c906, "input_register_device" },
	{ 0xef3d9e62, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd,snd-pcm,snd-rawmidi");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "D5AA2B49B509894EBFF12B1");
